20030505 snapshot.c: use the fully encapsulated libspectrum_snap
	 implementation
20030506 ui/gtk/options.pl: make 'cancel via Escape' GTK+ 2.0 compatible
	 (Matthew Westcott)
20030506 ui/fb/fbdisplay.c: make bright black also be black (Witold).
20030508 ui/gtk/debugger.c: add disassembly scrollbar and other small
	 improvements
20030510 fall back to normal IO if mmap(2) fails
20030513 fuse.c, utils.c: use libspectrum_identify_class
20030514 machine.c: fall back to 48K if selected machine not available
20030514 ui/gtk/browse.c, ui/gtk/debugger.c: improvements on resizing
	 windows
20030516 ui/scaler/scalers.c: fix initialisation bug in AdvMame2x
	 scaler (Fred)
20030516 widget/options.pl: refresh screen when dialog finished (Fred?)
20030516 change scaler calling convention to remove unused paramter
	 macroise the declarations in ui/scaler/scaler_internals.h
	 (Fred/ScummVM team)
20030516 Add AdvMame3x scaler (Fred/ScummVM team)
20030519 ui/scaler/scalers.c: use ScummVM's fix for the AdvMame2x bug
	 (Fred/ScummVM team)
20030520 keysyms.pl: tidy up
20030524 z80/z80_ops.c: Add missing memory contention on SBC A,nn
20030524 z80/z80_ops.c: autogenerate
20030525 dck.c: support for dock files with RAM in the HOME bank
	 (Fred)
20030525 z80/z80_cb.c: autogenerate
20030525 tape.c: TC2068 traps apply only when in EXROM (Fred)
20030525 tc2068.c: memory contention applies only in home bank (Fred)
20030525 z80/z80_ed.c, z80_ddfd.c, z80_cbddfd.c: autogenerate
20030525 TAG: Release-0_6_1pre1
20030527 Deactivate inappropriate menu items
20030528 BRANCH: Release-0_6_0-bugfix-branch (from Release-0_6_0)
20030528 trdos.c: fix race conditions (Release-0_6_0-bugfix-branch)
20030529 ui/scaler/scalers.c: apply AdvMame2x bugfix from HEAD
	 (Release-0_6_0-bugfix-branch)
20030529 ui/gtk/debugger.c: 'return' evaluates current command
	 (Random)
20030529 spec128.c: get port mask right when checking for contention
20030531 TAG: Release-0_6_0_1 (on Release-0_6_0-bugfix-branch)
20030531 merge from Release-0_6_0-bugfix-branch onto HEAD
20030601 make the File/Recording menu items activate correctly
20030602 PSG logging (Matthew Westcott)
20030603 sdlsound.c: let SDL convert sound formats for us
	 (Fred/Steven Harrison)
20030605 z80/coretest.c: beginnings of core test program
20030606 first tests for the core tester (0x00, 0x01)
20030607 z80/tests/: tests for 0x02 to 0x0f
20030608 z80/tests/: tests for 0x11 to 0x1f
20030608 specplus3.c: fix call signature of lib765's error function
20030609 z80/tests/: tests for 'most of' 0x20 to 0x3f
20030610 z80/tests/: tests for 0x20, 0x28, 0x30, 0x38 and 0x40 to 0x7f
20030610 snapshot.c: new snapshot writing API
20030611 z80/tests/: tests for 0x80 to 0xbf, "RET and friends",
20030611 snapshot.c: print appropriate warning on major info loss when
	 writing
20030612 rzx.c: use libspectrum_creator
20030612 rzx.c: File/Recording menu should still be active when
	 recording
20030613 snapshot.c: use libspectrum_creator
20030614 debugger/: "out" command to write to a port
20030615 add ability to load/save arbitrary chunks of memory
20030616 machine.c: use new "dock" capability
20030616 sdlsound.c: remove bits now unused due to SDL doing the sound
	 format conversions
20030616 ui/gtk/binary.c: typecast info->file.length to unsigned long
	 when printing
20030616 trdos.c: use libspectrum to identify TRDOS disks
20030618 ui/gtk: add confirmation dialogs for reset and exit
20030618 keysyms.pl, widget/menu.c, widget/menu_data.c: fix
	 compilation failures
20030620 ui/scaler: various cleanups (Fred/ScummVM team)
20030620 move gcc compatibility macros into compat.h
20030620 explicitly open files as O_BINARY. #define O_BINARY to 0 on
	 systems where this isn't needed
20030620 widget/widget.c: use utils_file_{open,close} (Marek)
20030620 utils.c: never try and munmap a file if mmap not present.
20030621 ui/gtk/confirm.c: add keyboard shortcuts
20030621 ui/gtk/binary.c, ui/gtk/confirm.c: don't compile if not using
	 the GTK+ UI
20030621 Add mkstemp code from glibc 2.3.1.
20030621 Move the getopt replacement code into compat/
20030623 trdos.c, utils.c, utils.h: Add utils_get_temp_path and use it
	 in trdos.c:insert_scl
20030623 utils.c: optionally autoload TRDOS disks.
20030623 Make GTK+ 2.x work again (Marek)
20030623 Removed unneeded #include <sys/mman.h>s; Win32 fix (Marek)
20030623 timer.c: remove unused #include <spectrum.h>
20030624 z80/tests: add tests for {c,d,e,f}1: POP regpair,
	 {c,d,e,f}{2,a}: JP condition, location,  c3: JP nnnn,
	 {c,d,e,f}{4,c}: CALL condition, location, {c,d,e,f}5: PUSH
	 regpair, {c,d,e,f}{6,e}: arithmetic/logical nn,
	 {c,d,e,f}{7,f}: RST nn, cd: CALL nnnn, d{3,b}: OUT (nn),A and
	 IN A,(nn), d9: EXX, e{3,b}: EX (SP),HL and EX DE,HL, e9: JP
	 HL, f{3,9,b}: DI, LD SP,HL and EI and 10: DJNZ.
20030624 Rename DATADIR to FUSEDATADIR; Win32 compatability.
20030624 timer.c: add Win32 timing routines (Marek)
20030625 lib/disk_plus3.z80, utils.c: autoloading for +3 disks.
20030626 z80/tests: add tests for 27 (DAA) and all of the cb xx
	 opcodes.
20030626 timer.c: put Unix-specific includes inside the #ifndef WIN32
20030626 trdos.c: #include <compat.h>
20030629 z80/tests: add some ed xx tests
20030705 z80/tests: add more ed xx tests
20030706 z80/tests: finish ed xx tests
20030706 z80/tests: add tests for all of dd xx and fd xx
20030708 debugger/commandl.l, debugger/commandy.y: use derived types
	 to reduce the number of commands needed
20030708 debugger/: remove the obsolete 'breakpoint show' command
20030708 debugger/commandl.l, debugger/commandy.y: add tbreak command
20030709 debugger/debugger.c: remove last remnants of 'breakpoint
	 show'
20030710 debugger/: first bits of code for conditional breakpoints
20030710 z80/tests/: add tests for all of dd cb xx and fd cb xx
	 opcodes
20030711 use libspectrum_word etc rather than WORD
20030711 debugger/commandy.y: add missing semicolons at end of rules
20030712 debugger/, ui/gtk/debugger.c: more conditional breakpoint
	 code
20030713 debugger/: yet more conditional breakpoint code
20030715 specplus3.c: allow opening of read-only disk images (bug
	 pointed out by Erik Kunze)
20030716 configure.in: remove unused sizeof(...) tests
20030717 tape.c: use encapsulated tape block API
20030719 tape.c: use encapsulated tape API
20030722 Sync the crypto branch (Release-0_5_1pre1-crypto-branch) with
	 current HEAD
20030722 Create tag Release-0_5_1pre1-crypto-branch-1
	 (Release-0_5_1pre1-crypto-branch)
20030723 Add 'competition' mode (Release-0_5_1pre1-crypto-branch)
20030724 timer.c: tidy up the multiple #ifndef DEBUG_MODE directives
	 (Release-0_5_1pre1-crypto-branch)
20030725 timer.c: stop competition mode recording if the emulator gets
	 more than 0.5s behind 'real time' (Release-0_5_1pre1-crypto-branch)
20030725 Add separate rzx_competition_mode variable
	 (Release-0_5_1pre1-crypto-branch)
20030725 rzx.c: Set speed to 100% when starting competition mode
	 recording (Release-0_5_1pre1-crypto-branch)
20030727 fuse.c, rzx.c: start rzx recording after parsing all
	 non-option arguments (Release-0_5_1pre1-crypto-branch)
20030728 rzx.c, timer.c: use gettimeofday for speed regulation
	 (Release-0_5_1pre1-crypto-branch)
20030804 rzx.c: use new crypto API (Release-0_5_1pre1-crypto-branch)
20030804 rzx.c: get division the right way up when calculating
	 relative speeds (Release-0_5_1pre1-crypto-branch)
20030812 rzx.c, settings.dat, options.dat: add support for competition
	 codes (Release-0_5_1pre1-crypto-branch)
20030812 ui/gtk/options.pl: improve spacing around text entry options
	 (Release-0_5_1pre1-crypto-branch)
20030812 ui/gtk/options.pl: pressing 'Return' is equivalent to 'OK'
	 (Release-0_5_1pre1-crypto-branch)
20030812 hacking/cvs-tags: document the crypto-branch tags
	 (Release-0_5_1pre1-crypto-branch)
20030812 Merge the crypto branch (at Release-0_5_1pre1-crypto-branch-2)
	 onto HEAD (at Release-0_6_1pre1-merge-2)
20030814 ui/gtk/debugger.c: print the Timex DEC field out properly
20030817 dck.c: use the libspectrum dock capability
20030817 ui/sdl/sdlui.c: handle SDL_VIDEOEXPOSE event (Fred)
20030817 fuse.c: don't ever exit early from fuse_end
20030817 rzx.h: add missing extern on rzx_competition_mode (Fred)
20030817 joystick.c: use Kempston joystick capability
20030818 settings.pl: check no strdup() calls return NULL.
20030820 compat/Makefile.am: add @INCLUDES@
20030820 debugger/commandy.y: add missing ';'
20030821 rzx.c: deactivate recording menu before checking the start
	 time (or OS X loses too much time and stops competition mode
	 recording) (Fred)
20030822 ui/sdl/sdlui.c: #include "display.h"
20030822 fuse/fuse.c: check whether emulation is paused before
	 displaying 'stopping competition mode recording'.
20030825 rzx.c: read in external snapshots before starting RZX
	 playback.
20030901 ui/options.dat: rename "auto-load tapes" to "auto-load
	 tapes/disks".
20030901 man/fuse.1: bring up to date.
20030902 man/fuse.1: use \fB rather than .B for large bit of bold text
	 in the 'competition mode' entry (works much better on Solaris).
20030902 THANKS: Add Ivan Ruiz Etxabe and David Muriel.
20030902 ChangeLog: bring up to date.
20030902 AUTHORS: Add Matthew Westcott.
20030903 ui/scaler/scalers.c: small fix to 2xSaI scaler (Fred/ScummVM team).
20030903 ui/gtk/binary.c: add padding around widgets
20030905 ui/gtk/binary.c: call save_data not load_data when saving binary
         data. Add padding around the save binary data dialog widgets.
20030905 debugger/expression.c: get brackets right when deparsing
         expressions.
20030908 dck.c: use Timex dock capability in dck_read
20030912 ChangeLog, README, man/fuse.1: documentation updates for the
         0.6.1 release (Release-0_6_1-branch)
20030912 man/fuse.1: fix typo in BUGS section (for -> from). Mention 16K
	 Spectrum as being available when changing machine.
	 (Release-0_6_1-branch)
20030913 Makefile.am: distribute compat.h (Release-0_6_1-branch)
20030913 Merge all changes except the different DSA key from
	 Release-0_6_1-branch onto HEAD.
20030913 lib/Makefile.am: distribute disk_plus3.z80 (Release-0_6_1-branch)
20030913 Merge the above change back onto HEAD.
20030918 settings.dat, ui/options.dat, ui/sdl/sdldisplay.c: B&W TV mode (Fred).
20030918 ui/gtk/gtkdisplay.c, ui/gtk/options.pl: B&W TV mode for the GTK+ UI.
20030919 configure.in: no longer need to explicitly link against gcrypt.
20030919 Makefile.am, configure.in, ui/Makefile.am: step into only the UI
	 directory for the one we're actually building (similarly for the
	 widget directory).
20030919 ui/gtk/gtkdisplay.c, ui/sdl/sdldisplay.c: get greyscale values
	 via 0.299r+0.587g+0.114b rather than 0.333r+0.333g+0.333b.
20030919 rzx.c: prevent RZX recording being stopped twice under widget UIs.
20030919 rzx.c: make sure an RZX file is allocated when we try and do
	 anything with it.
20030919 rzx.c: count the 'expected time' in 1/50ths of a second, rather
	 than repeated adds of 0.02; avoids rounding errors.
20030922 rzx.c: start timing measurements after a 1s delay to avoid
         transients.
20030923 fuse.c, rzx.c, widget/menu.c: port RZX bugfixes from HEAD
	 (Release-0_6_1-branch)
20030923 ChangeLog, README, configure.in, man/fuse.1: updates for 0.6.1.1
	 release (Release-0_6_1-branch)
20030930 ChangeLog, README, man/fuse.1: put in release date for 0.6.1.1
	 (Release-0_6_1-branch).
20031001 ChangeLog, README, man/fuse.1: port 0.6.1.1 changes to HEAD.
20031003 configure.in: bump version number to 0.6.1.1 (missed when porting
	 the 0.6.1.1 changes to HEAD).
20031004 timer.c: remove duplicated Win32 code (Marek)
20031004 tape.c, tape.h: make tape and tape_playing static.
20031004 tape.c, ui/ui.h, ui/gtk: add very simple statusbar showing tape
	 status.
20031004 ui/gtk: merge gtkdisplay.h, gtkkeyboard.h and gtkui.h into
	 gtkinternals.h.
20031004 specplus3.c, ui/ui.h, ui/gtk: add disk motor indicator to the
	 status bar.
20031005 specplus3.c, tape.c, ui/ui.h, ui/gtk: better encapsulation of the
	 status bar routines.
20031005 machine.c, ui/ui.h, ui/gtk/statusbar.c: add a 'not available'
	 state for the disk statusbar item.
20031005 dck.c, machine.c, rzx.c, specplus3.c, trdos.c, ui/ui.h,
	 ui/gtk/gtkui.c: better encapsulation of the menu activation
	 routines.
20031005 widget/menu.c, widget/widget.c: use the new statusbar and menu
	 activation routines.
20031006 specplus3.c: if emulating a +2A, don't update the status of the
	 disk motor when the +2A/+3 memory port is written to.
20031006 machine.c: remove duplicated code from machine_select_machine()
20031006 settings.pl: change config file name to 'fuse.cfg' on Win32
20031006 settings.dat, ui/options.dat, ui/gtk/confirm.c: add option to
	 disable the 'confirm' dialogs.
20031006 debugger/command.c, debugger/commandy.y: better error recovery
20031007 ui/fb/fbdisplay.c, ui/fb/fbkeyboard.c: fix up framebuffer UI
	 (Darren).
20031007 Real joystick support (Darren/Fred)
20031008 ui/ggi/ggikeyboard.c: #include "fuse.h" (thanks, cmdzod)
20031008 settings.pl: don't segfault if there are empty string entries
	 in the config file.
20031008 fuse.c, utils.c: partial cleanup of the startup code: there is
	 now only one place at which each type of file is opened.
20031008 configure.in: correct joystick code detection if libjsw not
	 present.
20031008 ui/svga/svgakeyboard.c: F3 should open all files, not just
	 snapshots.
20031009 fuse.c: make the --record option record rather than playback.
20031009 fuse.c, settings.dat, ui/options.dat, ui/gtk/gtkui.c,
	 widget/menu.c: add option as to whether to embed snapshot when
	 creating RZX files from a given snapshot.
20031009 fuse.c: add information from uname() into creator custom data.
20031009 configure.in, ui/sdl/sdljoystick.c: if using SDL, use its
	 joystick code by default. Change BYTE etc in sdljoystick.c to
	 libspectrum_byte. Add missing ; to configure.in (Darren).
20031010 printer.c, settings.dat, ui/options.dat: add option to disable
	 ZX (etc) printer.
20031010 fuse.c: On Solaris, uname() returns 1 to indicate success.
20031011 machine.c, utils.c: when looking for ROMs or library files, look
	 in the roms/ or lib/ directory off where the Fuse executable is,
	 not off the current directory.
20031011 Remove the now unused getopt/ directory.
20031012 rzx.c: reset rzx_competition_mode when starting a non-competition
	 mode recording.
20031013 fuse.c: check libspectrum's version at startup.
20031013 fuse.c: add libspectrum version to the creator custom data.
20031013 fuse.c, rzx.c: put gcrypt version into creator custom data. Give
	 warning if a competition mode recording is started, but gcrypt is
	 not available.
20031014 configure.in: no longer need to explicitly link against zlib
20031014 configure.in, trdos.c: we need <strings.h> for strncasecmp on
	 QNX6 (thanks, Mike Gorchak).
20031015 ui/gtk/statusbar.c: the statusbar should not expand to fill the
	 space available.
20031016 compat/Makefile.am: distribute getopt.h.
20031016 event.c, debugger/debugger.h: must explicitly include glib.h as
	 it is no longer pulled in by libspectrum.
20031020 fuse.c, trdos.c, utils.c: use libspectrum_identify_file_with_class
	 where appropriate.
20031020 utils.c: use TMPDIR before /tmp for temporary files.
20031023 Add simple 'poke finder'.
20031023 fuse.c, osssound.c: more useful error messages if we couldn't
	 initialise the OSS sound code.
20031025 ui/gtk/pokefinder.c: UI improvements.
20031025 ui/gtk/pokefinder.c: keyboard shortcuts
20031026 ui/gtk/debugger.c, ui/gtk/pokefinder.c: correct behaviour if the
	 window receives a delete event.
20031026 pokefinder/pokefinder.c: ensure we get a prototype for memset.
20031027 ui/gtk/gtkui.c: add confirmation dialog if the main window
	 receives a delete-event.
20031027 ui/gtk: "delete-event" is spelt "delete-event", not
	 "delete_event".
20031027 widget/widget.c: Win32 timing routines (Marek).
20031028 Generalise the timer routines (see hacking/timer.txt).
20031028 fuse.[ch], machine.c, utils.c: when looking for ROM/library
	 files, look relative to the directory Fuse started in, not the
	 current directory.
20031028 sdlsound.c: fix memset typo (Marek).
20031028 timer.c: restore old timers only if they exist in timer_pop().
20031028 timer.c: ensure we have the prototype for strerror().
20031029 osssound.c, sdlsound.c, sunsound.c: ensure that we don't try and
	 recursively open the sound device if an error occurs when opening
	 it.
20031029 timer.c: fix typos in Win32 time routines (Marek).
20031029 trdos.c, utils.c: don't assume temp path ends with a slash
	 (Marek).
20031029 settings.pl, utils.[ch], ui/uijoystick.c: add and use
	 utils_get_home_path function.
20031030 machine.c, utils.c: make machine_find_rom and utils_find_lib work
	 if argv[0] is a full path.
20031030 Merge machine_find_rom and utils_find_lib into one
	 utils_find_auxiliary_file routine.
20031030 ui/ui.h, ui/gtk/gtkui.c, ui/gtk/statusbar.c: add 'pause'
	 functionality.
20031101 dxsound.[ch], Makefile.am, configure.in: DirectX sound routines
	 (Marek).
20031102 debugger/commandy.y, z80/z80.pl, z80/z80_macros.h: rename the
	 IN and OUT macros to avoid clashing with Win32's windows.h.
20031102 Makefile.am: revert unintended commit of DIST_SUBDIRS change.
20031103 Makefile.am, ui/Makefile.am: add DIST_SUBDIRS so all user
	 interfaces etc get into the dist tarball (thanks, Erik Kunze).
20031103 rzx.c: add Win32 timing routines (Marek).
20031103 fuse.c: add Win32 uname-like routines (Marek).
20031105 configure.in: explicitly link in zlib if using libpng.
20031105 event.[ch], z80/z80.[ch], z80/z80.pl: prevent interrupts from
	 being accepted immediately after an EI.
20031106 event.[ch]: always reenable interrupts before sampling if both
	 events occur at the same tstate.
20031106 event.[ch], machine.c, rzx.c, scld.c, spectrum.[ch], z80/z80.c,
	 z80/z80_ops.c: add support for retriggered interrupts.
20031106 debugger/command.c, debugger/commandl.l: remove use of %option
	 noyywrap.
20031107 ui/uijoystick.c: fix typos (thanks, Erik Kunze).
20031107 event.[ch], spectrum.c, z80/coretest.c, z80/z80.[ch], z80/z80.pl:
	 improved retrigged interrupt support: interrupts no longer
	 accepted after an EI/EI or EI/DI sequence.
20031107 snapshot.c: use libspectrum's support for the 'last instruction
	 EI' flag.
20031111 event.c, z80/z80.[ch]: further changes to the interrupt code to
	 allow old Fuse recordings to play back successfully.
20031112 memory.c, z80/Makefile.am, z80/coretest.c, z80/harness.pl,
	 z80/z80.pl, z80/z80_macros.h, z80/tests/: Z80 core improvements
	 to reduce the number of calls made to contend_memory().
20031113 printer.c: readbyte() should be readbyte_internal().
20031114 Make the memory access routines both simpler and more flexible.
	 TODO: TC2068 routines.
20031114 memory.[ch], z80/z80.pl, z80/z80_ops.c: macroise
         readbyte_internal().
20031114 Remove use of *_contend_memory().
20031114 Precalculate the contention at every tstate.
20031115 event.c, rzx.c, timer.[ch], ui/ui.h, ui/gtk/statusbar.c,
	 widget/widget.c: add current emulation speed to GTK+ statusbar.
20031116 fuse.c, timer.[ch]: better speed estimation just after emulation
	 unpause (or startup).
20031117 memory.h, scld.c, tape.c, tc2068.c: get TC2068 memory routines
	 working again.
20031118 ui/gtk/gtkui.c: make speed estimates work properly after the GTK+
	 pause function is used.
20031119 Merge the 'generic' and TC2068 paging schemes.
20031120 psg.c: write pause lengths out correctly.
20031120 specplus3.c: make the 64Kb RAM configurations work again.
20031124 timer.c: prevent too big a 'backlog' from occuring.
20031127 memory.h: ensure 'address' is a 16-bit value before using it.
20031128 fuse.c: initialise the poke finder on startup.
20031128 ui/gtk/gtkui.c: split create_dialog into multiple functions.
20031201 spec16.c: ensure we have a prototype for memset().
20031202 Some --enable-warnings tidy-ups.
20031202 machine.c: fix a small (but definite) memory leak.
20031203 ui/gtk/debugger.c: add ability to turn individual 'panes' on and
	 off.
20031206 event.[ch], ui/gtk/debugger.c: add a 'pending events' pane to the
	 debugger.
20031207 event.[ch]: use the defined enum for event type variables.
20031209 ui/gtk/gtkjoystick.c: fix filename in initial comment.
20031209 ChangeLog: bring up-to-date.
20031214 widget/filesel.c: on Win32, chdir does not return ENOTDIR for not
	 a directory, so check explicitly (Marek).
20031214 fuse.c, spectrum.c: DirectX sound routines do not provide timing
	 control, so always use the timer_* routines.
20031214 Generalise the low-level sound routines.
20031215 machine.c: remove unused #includes.
20031216 ui/svga/svgajoystick.c: remove use of BYTE, WORD (Witold).
20031226 ui/gtk/debugger.c: use a smaller monospaced font under GTK 2.
20031227 Add reverse page mappings to the memory_page structure.
20031227 display.c, memory.c: make writes to the screen work when the
	 screen is paged in other than at 0x4000.
20031227 ui/gtk/debugger.c, debugger/: add page-specific breakpoints.
20031227 debugger/debugger{,_internals}.h, ui/gtk/pokefinder.c: add ability
	 to set write breakpoints by clicking on the appropriate 'possible'.
20031228 ui/gtk/debugger.c, ui/gtk/pokefinder.c: update the debugger display
	 after adding a breakpoint with the pokefinder.
20031228 sound.c: add dummy functions for when we don't have a sound device
	 (fixes bug #866403).
20031228 fuse.c: must call machine_init_machines() before tape_init()
	 (Witold).
20031228 ui/gtk/{Makefile.am,fileselector.c,gtkui.c}: make the GTK+
	 fileselector remember its previous directory. Also move the
	 fileselector code into its own file and tidy up a bit.
20031229 ui/gtk/debugger.c: double-clicking on the stack display causes
	 emulation to run to that address.
20031229 event.[ch], debugger/, ui/gtk/debugger.c: new breakpoint type to
	 trigger when tstates is greater than a certain value.
20031229 ui/gtk/debugger.c: double-clicking on an event causes emulation
	 to run until that event occurs.
20031230 fuse.c: another attempt to get tape_init() in the right place
	 (patch #867906) (Fred).
20031231 z80/z80_ops.c: use gcc's computed goto feature to give a small
	 performance boost.
20031231 ui/gtk/fileselector.c: remove incorrect pointer warnings.
20031231 ui/sdl/sdljoystick.c: 'port' is unused in ui_joystick_read().
	 (patch #868419) (Fred).
20031231 rzx.c, ui/gkt/gtkui.c: always assign float values to timer_count.
	 (patch #868415) (Fred).
20031231 ui/win32: first (simple!) native Win32 user interface (Marek).
20031231 ChangeLog: bring up-to-date.
20040101 ui/sdl/sdlui.c, widget/widget.c: put speed in SDL title (patch
	 #868412) (Fred).
20040101 ui/sdl/sdldisplay.c: simplify uidisplay_frame_end by combining the
         two loops increasing the chance that the data processed by the
	 first is still available in cache for the second (patch #868414)
	 (Fred).
20040102 fuse.[ch], machine.c: make the buffer holding Fuse's starting
	 directory be of length PATH_MAX (patch #868409) (Fred).
20040102 fuse.c: remove unused variable 'autoload' from fuse_init().
20040102 ui/scaler, ui/sdl/sdldisplay.c: add Timex 1.5x scaler (part of
	 patch #868418) (Fred).
20040102 ui/scaler/scalers.c: merges to keep us close to ScummVM's code
	 (rest of patch #868418) (Fred).
20040102 ui/gtk/{gtkdisplay,gtkui}.c: allow 3x3 scaled modes.
20040102 ui/gtk/gtkdisplay.c: in uidisplay_area, reorder the loop to
	 improve cache localisation and then apply the obvious
	 optimisations.
20040104 tape.[ch], ui/ui.h, ui/gtk/browse.c: make the GTK+ tape browser
	 no longer modal.
20040104 widget/{browse,widget}.c: fix up the widget UIs for the new
	 tape browser code.
20040104 tape.[ch], ui/gtk/browse.c: add a 'tape modified' indicator to
	 the GTK+ tape browser window.
20040104 tape.[ch], utils.c, ui/ui.h, ui/gtk/{confirm,gtkui.c}: confirm
	 before an attempt is made to close a modified tape.
20040104 widget/{menu,widget}.c: fix up widget UIs for new confirm code.
20040105 tape.c, ui/gtk/{confirm,gtkui}.c: check for tape modification
	 on exit.
20040105 specplus3.[ch], ui/ui.h, ui/gtk/gtkui.c: make writes to +3 disks
	 only be committed when explicitly requested by the user.
20040105 ui/gtk/gtkui.c, widget/{menu.c,menu_data.c,widget_internals.h}:
	 fix up the widget UIs and non-lib765 systems wrt the disk writing
	 changes.
20040106 ui/gtk/gtkui.c: merge the gtkui_disk_open_[ab] and
	 gtkui_disk_eject(_write)_[ab] functions.
20040106 tape.c: put the header type/name in the tape browser 'details'
	 field.
20040107 trdos.c: always non-busy just after a reset (part of patch
	 #871182) (Fred).
20040107 trdos.c: update the statusbar disk indicator (next part of patch
	 #871182) (Fred).
20040107 utils.c: replace arbitrary constant by PATH_MAX (next part of
	 patch #871182) (Fred).
20040108 specplus3.c, trdos.[ch], utils.[ch], ui/ui.h, ui/gtk/gtkui.c:
	 make writes to TR-DOS disks need explicit commits.
20040108 widget/menu.c: fix up widget UIs for the TR-DOS write scheme.
20040108 ui/gtk/{Makefile.am,debugger.c,gtkinternals.h,gtkui.c}: add
	 a simple memory browser.
20040110 machine.c: remove pointless free( NULL ) (patch #874507)
	 (Stuart Brady).
20040110 TAG: Release-0_6_2-trunk
	 BRANCH: Release-0_6_2-branch (from Release-0_6_2-trunk)
20040111 ui/gtk/{memory,pokefinder}.c: use capital letters in hex
	 constants (fixes bug #867286) (Release-0_6_2-branch).
20040111 configure.in: bump version number to 0.6.2pre1
	 (Release-0_6_2-branch).
20040112 fuse.c: change copyright date in startup message to 2004, and
	 reformat slightly (Release-0_6_2-branch).
20040114 memory.h, z80/{Makefile.am,coretest.c,z80_macros.h}: get the
	 core tester working again (Release-0_6_2-branch).
20040114 ChangeLog: bring up to date (Release-0_6_2-branch).
20040115 ui/uijoystick.c, ui/svga/svgajoystick.c: ui_joystick_end returns
	 void (Release-0_6_2-branch) (Witold).
20040115 screenshot.c: make .png screenshots save in black and white if
	 colour TV mode disabled (Release-0_6_2-branch).
20040115 pokefinder/Makefile.am: add @LIBSPEC_FLAGS@ to INCLUDES (more of
	 patch #871182) (Release-0_6_2-branch) (Fred).
20040115 ui/uijoystick.h: add #include <libspectrum.h> (more of patch
	 #871182) (Release-0_6_2-branch) (Fred).
20040115 Add optional tape and disk icons for the SDL UI (slightly
	 modified version of the rest of patch #871182)
	 (Release-0_6_2-branch) (Fred/Phil).
20040117 TAG: Release-0_6_2pre1 (Release-0_6_2-branch).
20040119 ui/Makefile.am: distribute uijoystick.[ch] (and move the
	 Release-0_6_2pre1 tag to this version) (Release-0_6_2-branch).
20040120 configure.in, ui/Makefile.am, ui/win32/Makefile.am: put the win32
	 UI code in the distribution tarball (Release-0_6_2-branch).
20040120 configure.in, z80/Makefile.am, z80/test/Makefile.am: put the z80
	 core tests in the distribution tarball (Release-0_6_2-branch).
20040120 ui/gtk: use Fred's tape and disk icons on the GTK+ statusbar
	 (Release-0_6_2-branch).
20040122 settings.dat, ui/gtk: make the 'view statusbar' option be
	 effective under GTK+ (Release-0_6_2-branch).
20040126 tc2068.c: return the correct value when both joystick ports are
	 read from simultaneously (patch #883637) (Release-0_6_2-branch)
         (Fred).
20040126 dck.c: use libspectrum_dck_read2 instead of libspectrum_dck_read
	 to aid with identifying compressed files (patch #884355)
	 (Release-0_6_2-branch) (Fred).
20040127 ui/gtk/statusbar.c, timer.c: visual improvements to the GTK+
	 statusbar (Release-0_6_2-branch).
20040129 ui/gtk/{gtkinternals.h,pixmaps.c,statusbar.c}: add pause icon
	 (Release-0_6_2-branch).
20040130 ui/gtk/{browse.c,gtkinternals.h,pixmaps.c}: add simple pixmap
	 to mark the current tape location (Release-0_6_2-branch).
20040131 ui/gtk/gtkui.c: stop RZX competition mode recording if the
	 GTK+ pause function is used (Release-0_6_2-branch).
20040202 debugger/debuggery.y: Update comment for <stdio.h> include
	 (patch #883358) (Release-0_6_2-branch) (Fred).
20040204 man/fuse.1: update (Release-0_6_2-branch).
20040205 configure.in: bump version number to 0.6.2pre2
	 (Release-0_6_2-branch).
20040205 TAG: Release-0_6_2pre2 (Release-0_6_2-branch).
20040205 man/fuse.1: fix typos (Release-0_6_2-branch).
20040206 ChangeLog, README, man/fuse.1: final doc updates for the 0.6.2
	 release (Release-0_6_2-branch).
20040206 rzx.c: change over to using the 'release' key for signing
	 competition mode files (Release-0_6_2-branch).
20040207 Create and use a new UI_ERROR_WARNING error level.
20040207 Remove duplicated ui_verror code.
20040207 widget/error.c: #include "fuse.h".
20040207 ui/svga/svgakeyboard.c: #include "utils.h"
	 (Release-0_6_2-branch).
20040208 settings.dat, man/fuse.1, ui/options.dat, ui/gtk/gtkdisplay.c,
	 ui/sdl/sdldisplay.c: Rename Colour TV to Black and white TV for
	 extra clarity (Release-0_6_2-branch).
20040209 screenshot.c: final rename of the colour_tv member of settings
	 to bw_tv (Release-0_6_2-branch).
20040209 ui/gtk/pixmaps.c: change grayscale pixmaps to colour or they
	 don't work under GTK+ 1.2 (Release-0_6_2-branch).
20040209 screenshot.c, ui/gtk/gtkdisplay.c, ui/sdl/sdldisplay.c: avoid
	 rounding errors when calculating greyscale colours
	 (Release-0_6_2-branch).
20040209 ui/options.dat: stop two options having 'b' as their hotkey
	 (Release-0_6_2-branch).
20040209 settings.dat, man/fuse.1, ui/options.dat, ui/gtk/confirm.c:
	 rename options to fit properly in widgets
20040211 configure.in: bump version number to 0.6.2
	 (Release-0_6_2-branch).
20040211 fuse.c, sound.h, man/fuse.1: fix the 'no sound on SVGAlib
	 startup' bug (Release-0_6_2-branch) (Rus).
20040212 TAG: Release-0_6_2 (Release-0_6_2-branch).
20040213 widget/menu.c: don't use +3 functions when lib765 not available.
	 (Release-0_6_2-branch).
20040213 ui/sdl/Makefile.am: distribute sdljoystick.h (thanks, Owen Dunn)
	 (Release-0_6_2-branch).
20040214 First pass at code to allow for a dynamically modifiable
	 peripheral list.
20040214 specplus3.c: reverse map mapping for 0xc000 - 0xffff was
	 incorrectly always set to 0 in normal_memory_map()
	 (Release-0_6_2-branch).
20040215 Use the new peripheral code to (de)activate the Kempston
	 interface at run-time where appropriate.
20040216 widget/{options.pl,widget.c}: update peripherals list when widget
	 options dialog exited.
20040216 ui/sdl/sdldisplay.c: don't overrun the rectangles array in
	 sdl_blit_icon() (thanks, Simon Tatham) (Release-0_6_2-branch).
20040216 configure.in: use glib 2.0 if available (Release-0_6_2-branch)
	 (Darren).
20040216 configure.in, utils.c: compilation fix if ROMSDIR defined (and
	 configure.in option to define it) (Release-0_6_2-branch)
	 (Darren).
20040217 settings.dat, ui/uijoystick.c: allow selectable joystick devices
	 (Release-0_6_2-branch) (Darren).
20040218 ui/uijoystick.c: open_stick should be open_joystick
	 (Release-0_6_2-branch).
20040219 ChangeLog, README, configure.in, man/fuse.1: documenation etc
	 updates for the 0.6.2.1 release (Release-0_6_2-branch).
20040219 TAG: Release-0_6_2_1 (Release-0_6_2-branch).
20040223 Merge changes from Release-0_6_2_1 to HEAD.
20040223 TAG: Release-0_6_2-merge-1
20040225 z80/{harness.pl,z80.pl,tests/37.in,tests/37.out}: SCF should copy
	 bits 3 and 5 from the A register, not OR them (thanks, Erik Kunze
	 and Thomas Harte).
20040225 z80/test/37*: split the SCF test into 4, rather than one overly
	 complicated test.
20040225 z80/{z80.pl,z80_macros.h,tests/README,tests/*cb*}: BIT
	 instructions should set bits 3 and 5 only for BIT 3,<arg> and BIT
	 5,<arg> respectively.
20040226 debugger/{breakpoint.[ch],Makefile.am,commandy.y,debugger.[ch]},
	 ui/gtk/{debugger.c,pokefinder.c}: stop the evil multiplexing of
	 the 'value' parameter to debugger_breakpoint_add().
20040226 debugger/{breakpoint.[ch], commandy.y}, ui/gtk/debugger.c: allow
	 masks to be applied before checking for port breakpoints.
20040227 event.c,ui.[ch]: don't display an error message if the same
	 message was displayed within the past second (fixes bug #901023).
20040301 trdos.c: make the TR-DOS read/write functions be no-ops if the
	 TR-DOS ROM is not active (part of patch #874504 from Stuart
	 Brady, but a separate bugfix IMO).
20040301 machine.c,scorpion.[ch],settings-header.pl,settings.{dat,pl},
	 snapshot.c,spec128.c,spectrum.[ch],tape.c,roms/256s-?.rom,
	 z80/z80_ops.c: Scorpion support (rest of patch #874504) (Stuart
	 Brady).
20040301 configure.in: make GTK+ 2.x the default user interface.
20040301 ui/gtk/{gtkinternals.h,gtkui.c,roms.c}: split the ROMs selection
	 dialog into one dialog for each machine.
20040302 ui/gtk/gtkui.c,widget/{menu.c,menu_data.c,roms.c,widget_internals.h}:
	 split the ROMs selection dialog into one dialog for each machine.
20040303 Another change to the peripheral handling code to let each 'read'
	 function determine whether it had a peripheral attached.
20040303 scorpion.c: no need to zero memory in reset function (Stuart
	 Brady).
20040303 lib/tape_scorpion.z80: add Scorpion tape auto-load snapshot
	 (Stuart Brady).
20040305 tc2068.c: make code C89 compatible.
20040309 pokefinder/pokefinder.[ch],ui/gtk/pokefinder.c: extend the
	 pokefinder to be able to find bytes which have increased or
	 decreased since the last check.
20040310 Move the low-level sound files into the new sound/ directory.
20040310 fuse.c,sound.c,spectrum.c,timer.c,sound/: move the sound code
	 detection logic into the new sound/lowlevel.h.
20040310 configure.in,sound/{Makefile.am,hpsound.c,lowlevel.h}: add HP-UX
         sound support (patch #911651) (Stuart Brady).
20040311 Makefile.am,input.[ch],keyboard.[ch],keysyms.{dat,pl},ui/ui.h,
	 ui/gtk/gtkkeyboard.c: first changes to introduce a generalised
	 input layer.
20040311 input.[ch],keysyms.dat,ui/options.dat,ui/sdl/sdlkeyboard.c,widget/:
	 widgets and SDL UI working with the new input layer code.
20040311 ui/xlib/{xdisplay.c,xkeyboard.c}: make Xlib UI work with new
	 input layer code.
20040311 ui/gtk/roms.c: make changing ROMs work.
20040311 machine.c: remove the segfault which would occur if one of the
	 ROMs of a multi-ROM machine didn't load.
20040312 ay.c: unused bits of AY registers are silently zeroed (basically
	 equivalent to patch #911206 by Stuart Brady).
20040317 sound/Makefile.am: Add libspectrum path to includes.
20040319 Makefile.am,fuse.c,machine.c,periph.c,settings.dat,ui/options.dat,
	 ui/gtk/gtkui.c,widget/{menu.c,menu_data.c,widget_internals.h}:
	 add support for the "simple 8-bit" IDE interface (part of patch
	 #916816) (Garry Lancaster).
20040319 simpleide.[ch],ui/gtk/gtkui.c,widget/{menu.c,menu_data.c,
	 widget_internals.h}: add a 'commit' menu option for the IDE
	 disks.
20040320 snapshot.c: copy RAM page 8-15 into the libspectrum_snap structure.
20040320 snapshot.c,tape.c: select output format based on filename.
20040320 snapshot.c,trdos.[ch]: support the Beta 128 block of the SZX format.
20040320 machine.[ch],z80/{coretest.c,z80_ops.c}: use libspectrum's new
	 'Even M1' capability.
20040322 input.c,joystick.[ch]: convert the QAOP<space> joystick emulation
	 over to using the new input layer.
20040323 input.c,joystick.[ch],settings.dat,ui/gtk/{gtkinternal.h,
	 gtkjoystick.c,gtkui.c}: first bits of code allowing emulation of
	 multiple joystick types.
20040324 joystick.[ch],ui/gtk/gtkjoystick.c: generalise the joystick
	 selection code.
20040324 joystick.[ch]: start merging the Timex joystick emulation into
	 the new scheme of things.
20040325 input.c,joystick.[ch],ui/sdl/{sdljoystick.c,sdlkeyboard.c},
	 widget/menu_data.c: make the SDL joystick code use the new input
	 layer; also a couple of SDL compilation fixes.
20040325 sound.c: use 16 bits when mixing sound samples (patch #911525)
	 (Stuart Brady).
20040325 event.c,ui/uijoystick.[ch]: make the libjsw code use the new
	 input layer.
20040325 ui/uijoystick.c: fix up the 'no joystick' code for the new input
	 layer.
20040327 input.[ch], rzx.c, ui/uijoystick.c, ui/sdl/sdljoystick.c: make
	 the 'real joystick' code actually use the input layer.
20040328 compat.h,configure.in,compat/{Makefile.am,dirname.c}: add dirname
	 replacement.
20040329 fuse.c,settings.dat,sound.[ch],man/fuse.1,sound/osssound.c,
	 ui/options.dat: full 16-bit sound code (Rus).
20040329 ui/sdl/sdljoystick.c: compilation fixes.
20040329 sound/sdlsound.c: change to 16-bit sound.
20040329 sound/sdlsound.c: make 8-bit sound work again.
20040331 Move the machine-specific files into the machines/ directory.
20040331 widget/{menu.c,menu_data.c}: fix up for the machines/ changes.
20040331 ui/gtk/gtkjoystick.c: improve user interface.
20040401 ui/gtk/{gtkinternals.h,gtkjoystick.c,gtkui.c},widget/{Makefile.am,
	 joystick.c,menu_data.c,widget.c,widget.h,widget_internals.h}:
	 add widget code to select joysticks and match up the GTK+
	 interface.
20040401 input.c,joystick.[ch],widget/{Makefile.am,joystick.c,menu.c,
	 menu_data.c,scaler.c,select.c,widget.[ch],widget_internals.h}:
	 replace the three 'select' widgets (machine, scaler, joystick)
	 with one generalised one.
20040401 machine.c,machines/: general tidy-up of the machines/ directory.
20040401 machine.c,settings.dat,machines/{Makefile.am,machines.h,
	 specplus3.[ch],specplus3e.c}: Spectrum +3e support.
20040402 machines/specplus3e.c: make the +3e be a +3e not a +3.
20040402 tape.c: use libspectrum_tape_write().
20040402 display,c,machine.c,machines/,memory.h,spectrum.c: remove use of
	 the read_screen_memory function.
20040402 machine.c,machines/{pentagon.c,scorpion.c,spec128.c,spec16.c,
	 spec48.c,specplus2.c,specplus2a.c,specplus3.c,specplus3e.c,
	 tc2048.c,tc2068.c}: move call to machine_set_timings() from
	 individual init functions to machine_add_machine.
20040402 utils.c: when opening a disk image, don't switch machine type
	 if the current machine supports this kind of disk.
20040402 tape.c: add tape trap checks for the +3e.
20040403 widget/roms.c: Fix ROM name lookup for labels
20040403 widget/select.c: Add <string.h> for strlen
20040403 ui/sdl/sdldisplay.c: Fix icon overlays for timex machines
20040403 ui.c: Add <string.h> for strncpy and strcmp
20040404 ay.h,sound.h,machines/{pentagon.c,scorpion.c,spec128.c,spec16.c,
	 spec48.c,specplus2.c,specplus2a.c,specplus3.c,specplus3e.c,
	 tc2048.c,tc2068.c}: remove use of ayinfo.present.
20040406 input.c,input.h,keyboard.h,settings.dat: make the 'real joystick
	 fire' action configurable to be either 'emulated joystick fire'
	 or 'press a key'.
20040407 ui/gtk/{browse.c,debugger.c,pokefinder.c}: prevent segfault if
	 the keyboard (space) is used to select things from a GtkCList
	 (Darren).
20040407 joystick.[ch]: add emulation of the two Sinclair-type joysticks.
20040408 input.c,keyboard.[ch],keysyms.pl: use hash tables rather than
	 linear lookup to do the three levels of keyboard remapping.
20040408 ui/gtk/debugger.c: add a simple memory map pane.
20040409 memory.h,snapshot.c,utils.c,machines/{pentagon.c,scorpion.c,
	 spec128.c,spec16.c,spec48.c,specplus3.c,tc2048.c,tc2068.c},
	 ui/gtk/debugger.c,z80/z80_ops.c: add the beginnings of code to
	 allow breakpoints to be set on pages other than RAM (eg ROM,
	 DOCK, EXROM).
20040409 ui/gtk/debugger.c: add indications of whether a chunk is writable
	 and/or contended to the memory map pane.
20040409 machines/tc2068.c: #include <string.h> for memset.
20040410 ui/gtk/browse.c: #include <string.h> for strcpy.
20040111 Revamp of menu system to share code between the GTK+ and widget
	 implementations (patch #931017).
20040411 compat.h,debugger/expression.c,fuse.[ch],input.c,joystick.c,
	 nullsound.c,tape.c,utils.c,widget/menu.c: declare fuse_abort()
	 to never return and remove the 'keep gcc happy' bits this
	 assumption makes unnecessary.
20040411 menu.c,menu_data.c,settings-header.pl,settings.pl: allow the
	 +3e ROMs to be selected from the user interfaces.
20040413 menu_data.pl: Perl 5.6 fixup.
20040415 tape.c: when loading a block via the tape traps, we must have at
	 least DE + 2 bytes due to the flag and parity bytes.
20040415 tape.c: after successfully loading a block with tape traps, set
	 DE equal to zero as this is what happens in the ROM code.
	 Necessary for 'The Rats' to load with tape traps enabled; thanks
	 to Simon Stuart for reporting this (fixes bug #890838).
20040415 menu_data.pl,widget/{menu.c,widget.h}: fix up widget compilation
	 of the new menu code.
20040415 menu.[ch],rzx.[ch],ui/gtk/{binary.c,fileselector.c,gtkinternals.h,
	 gtkui.c,roms.c},widget/menu.c: generalise more functions into
	 menu.c (GTK+ changes).
20040415 widget/{menu.c,widget.h}: generalise more functions into menu.c
	 (widget changes).
20040415 menu.[ch]: add copyright and GPL notice.
20040416 menu.[ch],ui/gtk/gtkui.c,widget/menu.c: generalise
	 menu_media_disk_insert().
20040416 keyboard.[ch],ui/gtk/gtkjoystick.c: add kludgey UI to allow
	 the joystick fire button actions to be changed.
20040419 Major memory mapping revamp (patch #932893).
20040419 printer.c: stop output to the serial printer when printer
	 emulation is disabled.
20040420 utils.c: cartridges would be lost on reset if opened with
	 File/Open (or from the command line) rather than with
	 Media/Cartridge/Insert.
20040420 dck.c,machine.c,memory.[ch],scld.[ch],utils.c,
	 machines/{spec16.c,tc2068.c}: simplify memory handling by
	 allocating all memory from a pool and then just throwing the pool
	 away on reset.
20040420 dck.c: when inserting a cartridge, change the setting only after
	 we have verified that the file loads successfully.
20040423 tape.c: further improvements to the register values after the
	 tape loading trap (patch #939572) (Darren).
20040423 machines/tc2068.c: if we couldn't load a dock file on reset
	 (its contents may have changed behind our back), just ignore it,
	 rather than cause the reset to fail (which causes Fuse to abort).
20040428 z80/z80.pl,z80/tests/{34,35,cb?[6e],ed67,ed6f}.out: improved
	 contended memory timings for INC/DEC (HL), <shift/rotate> (HL),
	 BIT/SET/RES b,(HL), RLD and RRD (thanks, Mark Woodmass and
	 Jonathan Needle).
20040428 z80/z80.pl,z80/tests/[df]d{3[456],[45689ab][6e],7[0123457e],cb??}.out:
	 improved contended memory timings for (IX+nn) and (IY+nn)
	 instructions (thanks, Mark Woodmass and Jonathan Needle).
20040430 z80/z80.pl,z80/tests/{dde3.out,e3.out,fde3.out}; improved
	 contended memory timings for EX (SP),HL, EX (SP),IX and EX
	 (SP),IY (thanks, Mark Woodmass and Jonathan Needle).
20040505 z80.c: fix times for interrupt acknowledgement.
20040508 display.c,z80/z80_macros.h: improved display timings (thanks,
	 Mark Woodmass and Jonathan Needle).
20040511 machine.c,spectrum.[ch],machines/,z80/{coretest.c,z80.pl,
	 z80_macros.h},z80/tests/{d3,db,ed[4567][0189],ed[ab][23ab]}.out:
	 improved contention on IO port access (thanks again, Mark
	 Woodmass and Jonathan Needle).
20040512 dck.c,machine.[ch],memory.[ch],scld.[ch],snapshot.c,spectrum.h,
	 machines/,z80/coretest.c: new page mapping control scheme where
	 each machine has a function which can be called to set the
	 current page mapping (part of patch #937338) (Fred).
20040513 Makefile.am,dck.c,if2.[ch],machine.[ch],menu.[ch],menu_data.c,
	 periph.[ch],settings.dat,machines/,ui/{options.dat,ui.h},
	 ui/gtk/gtkui.c: add Interface II support (rest of patch #937338)
	 (Fred).
20040513 machines/machines.h: use correct #include guard name (part of
	 patch #929112) (Fred).
20040513 machine.c,memory.[ch],menu.c,menu_data.c,settings-header.pl,
	 settings.pl,spectrum.[ch],tape.c,machines/{Makefile.am,
	 machines.h,spec_se.c,tc2068.c}: Spectrum SE support (hacked
	 version of the rest of patch #929112) (Fred/Phil).
20040513 roms/{Makefile.am,plus3e-[0123].rom}: add +3e ROMs.
20040514 spectrum.[ch]: Correct RAM array size comments.
20040514 dck.c: Move i and mem variables to loop that uses them.
20040514 roms/{Makefile.am,se-[01].rom}: add SE ROMs.
20040514 if2.c,machine.[ch],memory.[ch],debugger/breakpoint.[ch],
	 machines/,ui/gtk/debugger.c: allow breakpoints to be set for
	 non-RAM pages.
20040514 memory.[ch],debugger/breakpoint.[ch]: allow breakpoints to be set
	 on the ROMCS pages.
20040516 spectrum.c: use Ramsoft's screen/attributes pattern for the
	 floating bus, but stick to the 14335/14361 timings. Arkanoid and
	 Sidewize now work.
20040517 memory.[ch],scld.c,tape.c,trdos.c,utils.c,debuggger/breakpoint.c,
	 machines/{scorpion.c,spec128.c,spec16.c,spec48.c,spec_se.c,
	 specplus3.c},ui/gtk/debugger.c,z80/{coretest.c,z80.pl,z80_macros.h,
	 z80_ops.c}: refactor to introduce separate mappings for reading
	 and writing.
20040517 Makefile.am,fuse.c,machine.c,memory.c,menu.[ch],menu_data.c,
	 periph.c,settings.dat,zxatasp.[ch],zxcf.[ch],ui/options.dat:
	 first commit of ZXATASP/ZXCF code. Not working yet.
20040517 memory.c,menu.h,menu_data.c,zxatasp.[ch],zxcf.c,
	 machines/{machines.h,spec16.c,spec48.[ch],tc2048.c,tc2068.c},
	 options.dat: ZXATASP/ZXCF closer to working and some related
	 tidy-ups.
20040517 zxatasp.c,zxcf.c: get page mappings (closer to) correct. ZXCF
	 now boots, although ZXATASP doesn't.
20040518 configure.in,acconfig,h: Remove need for acconfig.h for newer
         autotools per patch #953734.
20040518 roms/se-0.rom: Change 3 bytes at 0x240 to XOR A, OUT (FF), A instead
         of NOP, NOP, NOP. This resets the SCLD on real hardware.
20040519 machine.c,snapshot.[ch],zxcf.[ch]: add support for saving
	 snapshots with ZXCF support.
20040521 trdos.c,machines/{pentagon.c,scorpion.c,spec128.c}: use /ROMCS
	 to page in the TRDOS ROM.
20040521 spec_se.c,specplus3.c: enable /ROMCS on the +2A/+3/+3e/SE to
	 let ZXCF work there.
20040521 machines/{machines.h,tc2048.c,tc2068.c}: get the dock/exrom
	 working properly again.
20040521 if2.[ch],snapshot.c: Add support for saving interface 2 cart in
         snapshots.
20040524 if2.c,snapshot.c: Fix Interface II eject menu state after snapshot
         loading.
20040524 ui/gtk/Makefile.am: ensure config.h can be found when processing
	 menu_data.c.
20040524 zxcf.c: start the 'last memory control' byte off in the
	 'ZXCF disabled' state.
20040525 dck.[ch],if2.c,memory.[ch],snapshot.c,
         machines/{spec16.c,spec_se.c,tc2048.c,tc2068.c}: Add Timex Dock
         snapshot support per patch #959422.
20040525 snapshot.c,machines/spec_se.c: allow saving of the dock/exrom
	 from the Spectrum SE.
20040525 tape.c,lib/{tape_plus3e.szx,tape_se.szx}: add autoload snaps for
	 the +3e and SE, and allow autoload snaps to be .szx as well as
	 .z80.
20040525 sound/hpsound.c: update for 16-bit sound (Stuart Brady).
20040527 sound/hpsound.c: further small update (Stuart Brady).
20040527 snapshot.c: Save Timex HSR register for the Spectrum SE.
20040527 snapshot.c: Use existing memory pages for Dock/Exrom when loading SE
         snapshots.
20040527 snapshot.c: Enable dock cartridge eject menu item when loading 2068
         snapshots with Dock cartridges installed.
20040527 if2.[ch],memory.c,periph.c,trdos.[ch],zxatasp.[ch],zxcf.[ch]:
	 simplify the handling of /ROMCS memory mapping.
20040527 utils.c: make TRDOS autoloading work again.
20040527 zxatasp.c: ZXATASP write protect should protect only the odd pages.
20040528 menu_data.c,periph.c,simpleide.c,zxatasp.c,zxcf.c,ui/ui.h,
	 ui/gtk/gtkui.c: (De)activate IDE menu items as appropriate.
20040528 ui/gtk/gtkui.c: refactor the menu item (de)activation code.
20040528 settings.pl: Make 2048 ROM label consistent with the others.
20040528 ui/gtk/debugger.c: Fix Timex HSR and DEC register display.
20040528 periph.c: Enable/disable Interface II menu items as interface is
         enabled and disabled.
20040528 periph.c: simplify code slightly.
20040529 ui/gtk/debugger.c: display the DEC if the Timex memory capability
	 is set (as it controls dock/exrom selection). Display both DEC
	 and HSR if SE memory capability set. Display ZXCF memory control
	 port if ZXCF active.
20040531 fuse.c,utils.c: load .hdf images into the active IDE interface,
	 or ZXCF if none active.
20040531 fuse.c,settings.pl: further small changes to how .hdf images are
	 handled.
20040601 utils.c,fuse.c: Add handling of LIBSPECTRUM_CLASS_CARTRIDGE_IF2.
20040601 machines/spec_se.c: Add include <string.h> for memset.
20040601 utils.c: Fix bad merge of IF2 patch.
20040602 snapshot.c: save/restore ZXCF upload state.
20040602 snapshot.c,zxatasp.[ch]: save/restore ZXATASP state.
20040602 menu_data.c: use proper C comment rather than #if 0/#endif.
20040602 widget/{menu.c,widget.[ch]}: make Options/Peripherals work.
20040603 snapshot.c: refactor snapshot_copy_to into multiple functions.
20040603 snapshot.c: refactor snapshot_copy_from into multiple functions.
20040604 snapshot.c: restore all RAM pages present in snap; Scorpion and
	 SE snaps now more likely to work properly.
20040604 widget/Makefile.am: ensure config.h can be found when building
	 menu_data.c
20040604 ui/uijoystick.c: #include "joystick.h"
20040606 Makefile.am,ay.[ch],if2.[ch],memory.[ch],scld.[ch],slt.[ch],
	 snapshot.c,spectrum.[ch],trdos.[ch],zxatasp.[ch],zxcf.[ch],
	 z80/{Makefile.am,z80.[ch]}: move routines to (de)serialise
	 each bit of the snapshot structure into their own source files.
	 Improves encapsulation somewhat.
20040609 slt.[ch],spectrum.[ch],z80/{coretest.c,z80.pl,z80_ops.c}:
	 improve encapsulation of SLT data.
20040609 Makefile.am,machine.c,memory.c,snapshot.c,spectrum.[ch],
	 machines/{pentagon.c,scorpion.c,spec128.c,spec16.c,spec48.c,
	 spec_se.c,specplus2a.c,specplus3.c,tc2048.c,tc2068.c},
	 ui/gtk/debugger.c,ula.[ch],z80/{coretest.c,z80.pl,z80_macros.h,
	 z80_ops.c}: place ULA routines in their own source file.
20040610 settings.dat: make ZXATASP upload and write protect, and ZXCF
	 upload default to off.
20040610 settings-header.pl,settings.pl,ui/gtk/roms.c,widget/roms.c:
	 no need to put machine name in ROM titles any more as they're
	 now on their own menus.
20040610 ay.c: add 'return 0' to the end of ay_to_snapshot.
20040610 ui/gtk/roms.c: improve user interface a bit.
20040610 ui/gtk/gtkjoystick.c: improve user interface a bit.
20040611 settings.dat,ui/gtk/gtkjoystick.c: allow up to 10 buttons per
	 joystick, and improve user interface for changing these.
20040611 ui/gtk/{gtkjoystick.c,roms.c}: remove a couple of warnings.
20040615 snapshot.c: fall back to +2A if +3e not available.
20040615 ay.[ch],psg.c: remove duplicated literal constant for number
	 of AY registers.
20040616 configure.in,menu_data.c,perl/cpp-perl.pl,ui/gtk/Makefile.am,
	 widget/Makefile.am: use custom preprocessor to parse menu_data.c
	 as OS X 10.1(?)'s preprocessor requires proper C syntax.
20040616 debugger/{commandl.l,commandy.y,debugger_internals,h,expression.c}:
	 remove duplicated literal constants.
20040616 debugger/{breakpoint.c,commandl.l,commandy.y,debugger_internals.h}:
	 make setting breakpoints in non-RAM pages slightly more user
	 friendly.
20040617 ui/gtk/roms.c: add ellipses to the 'Select' buttons.
20040617 man/fuse.1: man page update. More updates welcome :-)
20040618 AUTHORS,ChangeLog,README,THANKS: doc updates working towards a
	 0.7.0 release.
20040618 joystick.c,widget/menu.c: don't set joystick type to an invalid
	 value if the widget joystick selector cancelled.
20040618 ui/svga/svgakeyboard.c: update for the new input layer scheme.
20040618 input.[ch],ui/uijoystick.c,ui/sdl/sdljoystick.c: allow the libjsw
	 and SDL joystick codes to pass more than one fire button through
	 to the input layer.
20040618 hacking/input.txt: add some documentation on the input layer.
20040619 z80/z80.c: save/restore the high bit of R correctly (thanks, Jan
         Samohýl).
20040620 zxatasp.c,zxcf.c: more literal constant removal.
20040620 README,autogen.sh: add script to do the autotools invocation.
20040621 configure.in: restore autoconf2.13 compatability.
20040621 man/fuse.1: small man page update.
20040621 ChangeLog: Darren did the initial Spectrum SE emulation.
20040623 man/fuse.1: Updates for Interface II and IDE command line options.
20040626 spectrum.c: Now need to include "sound/lowlevel.h" to get
         ALWAYS_USE_TIMER defined for SDL
20040627 sound/sdlsound.c: Fuse generates 16 bit sound in signed host byte
         order.
20040628 ui/gtk/options.pl: improve user interface for text entry boxes
	 slightly.
20040701 configure.in,utils.c,ui/gtk/fileselector.c: check we have
	 <libgen.h> before #including it (thanks, Marek).
20040702 ui/gtk/debugger.c: add column headings to the memory map pane.
20040702 man/fuse.1: debugger docs update.
20040702 hacking/sound.txt,sound/sunsound.c: fix up for 16 bit sound
	 (compiles, but untested).
20040702 machines/tc2048.c,memory.c,scld.c,slt.c,zxatasp.c,zxcf.c:
         #include <string.h> for memcpy and memset prototypes.
20040702 configure.in,ui/Makefile.am: disable the broken and unmaintained
	 GGI user interface.
20040703 settings.dat,man/fuse.1,ui/options.dat,widget/menu.c: allow
	 selection between .szx and .z80 for snaps saved by the widget
	 UIs.
20040703 rzx.c: use libspectrum's new ability to select the embedded snap
	 format.
20040704 ui/uijoystick.h: remove unused kempston_bits and kempston_type
	 types.
20040704 configure.in: --without-gtk disables GTK+ 2.0 user interface
	 (Darren).
20040704 screenshot.c,sound.c,ui/ggi/ggidisplay.c,ui/gtk/gtkdisplay.c,
	 ui/scaler/scaler.c,ui/sdl/sdldisplay.c,ui/xlib/xdisplay.c,
	 z80/z80.[ch]: make some variables static and/or const where
	 appropriate (Darren).
20040704 timer.c: add calibration for the setitimer() routines (Darren).
20040705 configure.in: add missing comma.
20040706 menu.h: get initial comment filename right (thanks, Marek).
20040706 acinclude.m4: distribute the Glib 1.2, Glib 2.x, GTK+ 1.2, GTK+
	 2.x and libxml2 autoconf macros.
20040707 z80/z80.pl,z80/tests/edb[3b].out: make INI, OUTI, INIR, OTIR and
	 the D variants timings consistent with the FAQ.
20040707 acinclude.m4: update SDL macros to latest upstream.
20040708 timer.c: modify timer calibration slightly (Darren).
20040708 ui/fb/fbkeyboard.c: update for new input layer (Darren).
20040708 ui/fb/fbui.c: add SIGTERM and SIGHUP handlers (Darren).
20040708 input.h,keyboard.c,keysyms.dat: map Tab to Extended Mode (Darren).
20040709 ui/gtk/debugger.c: shorten 'Writable?' and 'Contended?' headings.
20040709 configure.in: bump version number to 0.7.0pre1.
20040709 TAG: Release-0_7_0pre1
20040710 ui/fb/fbui.c: #include <errno.h> and <string.h>
20040715 ui/svga/svgajoystick.c: fix up for new input layer (Darren).
20040715 ChangeLog,README,man/fuse.1: more 0.7.0 doc updates.
20040715 pokefinder/pokefinder.c,ui/gtk/pokefinder.c: allow pokefinder to
	 search all 272K of normal RAM.
20040715 autogen.sh: copy auxiliary files rather than linking them.
20040715 man/fuse.1: Fix typo in pokefinder section.
20040716 rzx.c: change over to using the release RZX signing key.
20040716 configure.in: bump version number to 0.7.0.
20040716 gtkjoystick.c: add delete-event handler (thanks, Darren).
20040717 ui/fb/fbkeyboard.c: support Tab (Darren).
20040719 ui/fb/fbdisplay.c: check FRAMEBUFFER environment variable for
	 framebuffer device to use (Darren).
20040719 ui/fb/fbdisplay.c: hide/restore cursor on startup/exit (Darren).
20040719 ui/fb/fbdisplay.c: remove unused variables (Darren).
20040719 ui/xlib/xui.c: catch window close events (Darren).
20040720 ui.c: fix missing return value (Darren).
20040720 ui/fb/fbdisplay.c: generate palette dynamically (Darren).
20040720 widget/select.c: stop cursor at correct bottom limit (Darren).
20040720 rzx.c: change back to the RZX test key.
20040720 ui/fb/fbdisplay.c: Timex rendering fixes (Darren).
20040720 settings.dat,man/fuse.1,ui/fb/fbdisplay.c,ui/svga/svgadisplay.c:
	 optionally use doublescan modes for SVGAlib and fb (Darren).
20040720 tape.c: improve 'tape modified' confirmation message (Darren).
20040721 ui/gtk/{Makefile.am,binary.c,browse.c,confirm.c,debugger.c,
	 gtkinternals.h,gtkjoystick.c,gtkui.c,memory.c,options.pl,
	 picture.c,pokefinder.c,roms.c,stock.c}: factor out common button
	 creation code. Add GTK+ 2.x stock buttons (Darren).
20040721 ui/fb/fbkeyboard.c: restore old keyboard mode on exit.
20040721 ui/gtk/pixmaps.c: #include <config.h>
20040721 ula.c: Add issue 2 keyboard snapshot support.
20040722 ui/fb/fbdisplay.c: improve error messages slightly.
20040723 trdos.c: get the capabilities check right in trdos_from_snapshot.
	 Should prevent the occasional errant 'No disk' messages.
20040724 ui/sdl/sdldisplay.c: SDL_SetColors does not take a const array. Fix
         565/555 mode detection.
20040724 widget/text.c: fix small memory leak (Darren).
20040724 ui/gtk/pokefinder.c: remove unnecessary accelerator code (Darren).
20040724 keysyms.pl,ui/fb/fbkeyboard.c: reintegrate the framebuffer keyboard
         mapping code into keysyms.pl.
20040729 z80/tests/README: document .in and .out file formats.
20040730 configure.in,ui/fb/fbdisplay.c: actually use the GPM code (Darren).
20040807 Makefile.am,configure.in,fuse.c,input.c,kempmouse.[ch],periph.c,
	 settings.dat,ui.c,man/fuse.1,ui/{options.dat,ui.h},
	 ui/fb/{Makefile.am,fbdisplay.c,fbmouse.[ch],fbui.c},
	 ui/gtk/{Makefile.am,gtkinternals.h,gtkkeyboard.c,gtkmouse.c,gtkui.c},
	 ui/sdl/{sdldisplay.c,sdlui.c}, ui/svga/svgaui.c, ui/win32/win32ui.c,
	 ui/xlib/xui.c: Kempston mouse support (Darren).
20040807 ui.c: remove extraneous if in ui_mouse_suspend (Darren).
20040808 ui/ui.h, ui/gtk/{gtkmouse.c,statusbar.c}: add 'mouse grabbed'
	 icon.
20040809 z80/Makefile.am: Link coretest against @LIBSPEC_LIBS@.
20040813 ui/fb/fbdisplay.c, ui/svga/svgadisplay.c, ui/xlib/xdisplay.c:
	 add support for black and white TV option (Darren).
20040813 ui/gtk/{binary.c,browse.c,confirm.c,debugger.c,gtkinternals.h,
	 gtkjoystick.c,gtkui.c,memory.c,options.pl,picture.c,pokefinder.c,
	 roms.c,stock.c}: add stock dialog creation function (Darren).
20040816 ui/gtk/{fileselector.c,memory.c}: use DEFAULT_DESTROY wherever
	 possible (Darren).
20040816 ui.c,ui/ui.h,ui/gtk/gtkui.c,widget/{menu.c,widget.[ch],
	 widget_internals.h}: (de)activate widget menu items where
	 appropriate (mostly Darren).
20040816 machine.c,periph.c,ui.c,ui/ui.h: deactivate Media/Cartridge menu
	 if neither Dock nor If2 available.
20040817 ui/sdl/{sdldisplay.c,sdlui.c}: SDL mouse support updates.
20040818 ui/sdl/sdldisplay.c: Wrap long lines.
20040905 fuse.c,menu.[ch],menu_data.c,rzx.c: support multiple input
	 recording blocks in an RZX file.
20040907 trdos.c: Fix disk ejection (thanks Paul van der Laan).
20040908 menu.c,trdos.[ch],utils.c,machines/specplus3.[ch]: change +3 and
         TR-DOS autoload to work for any disk insert operation ala tapes.
20040909 rzx.c: use new libspectrum_rzx_write API.
20040909 machines/specplus3.c: #include "snapshot.h"
20040910 input.h,keysyms.dat,menu.[ch],menu_data.c: implement RZX
	 rollback.
20040918 menu.[ch],menu_data.c,rzx.[ch],machine/Makefile.am,sound/Makefile.am,
	 ui/ui.h,ui/gtk/{Makefile.am,rollback.c}: allow RZX rollback to
	 arbitrary points.
20041002 keysyms.pl: SDL does not support caps lock as used in Fuse.
20041014 .cvsignore, Makefile.am, autogen.sh, configure.in, ui/gtk/.cvsignore,
         ui/gtk/Makefile.am: Use libtool to link Fuse and libuigtk, sorts out
         transitive dependencies when gtk (and probably libspectrum) is
         installed in a non-default directory. Fixes build of UNIX version on
         Mac OS X.
20041014 ui/scaler/scalers.c: Fix typo.
20041014 man/fuse.1: Add documentation of --full-screen command line option.
20041019 man/fuse.1: Quote '-'s for UTF-8 environments (Darren).
20041019 widget/widget.c: Add dummy ui_get_rollback_point function.
20041024 rzx.c,timer.[ch],hacking/input.txt,sound/Makefile.am,
         sound/{sdlsound.c,sfifo.[ch]},ui/gtk/gtkui.c,widget/widget.c:
         Sort out time problems with compo mode RZX recordings being aborted,
         add OSS-style latency to timer mode, remove sound glitches in SDL.
20041025 joystick.[ch],settings.dat,snapshot.c,ui/{options.dat,ui.h},
         ui/gtk/gtkui.c,widget/widget.c: Add support for filing joystick
         connection in snapshots, need to implement GTK+ and widget dialogs
         so users can reconfig joysticks on snap loading. Switch Sinclair
         joysticks to match Sinclair documentation and other emulators.
20041025 timer.c: Use proper machine interrupt rate (e.g. 48k uses 50.08Hz).
20041025 hacking/input.txt: Fix typo.
20041029 rzx.c,ui.c,ui/ui.h,ui/gtk/gtkui.c,widget/widget.c: (de)activate
	 rollback menu items appropriately.
20041031 .cvsignore,z80/.cvsignore: ignore .libs directories.
20041106 settings.dat: make RZX files be compressed by default.
20041106 machine.c,menu.c,menu_data.c,trdos.c,ui.c,machines/specplus3.c,
	 man/fuse.1,ui/ui.h: split the Media/Disk menu into separate +3 and
	 TR-DOS entries.
20041106 display.c,menu.[ch],menu_data.c,screenshot.[ch],ui.c,ui/ui.h,
	 man/fuse.1,ui/gtk/gtkui.c,widget/{menu.c,widget.c}: add ability to
	 save 'movies' as collections of screenshots (Gergely Szasz).
20041113 AUTHORS,Makefile.am,THANKS,configure.in,sound/{Makefile.am,
	 aosound.c,lowlevel.h}: add ao sound driver (Gergely Szasz).
20041122 THANKS,sound/lowlevel.h: do <sys/audio.h> check before
	 <sys/soundcard.h> (thanks, Mark Round) (fixes bug #1068670).
20041128 Makefile.am, if1.[ch], machine.c, memory.[ch], menu.[ch],
	 menu_data.c, periph.[ch], settings.{dat,pl}, ui.c,
	 lib/Makefile.am, machines/{pentagon.c,spec128.c,spec16.c,spec48.c,
	 spec_se.c,specplus2.c,specplus2a.c,specplus3.c,specplus3e.c,
	 tc2048.c,tc2068.c}, roms/{Makefile.am,if1-[12].rom},
	 ui/{options.dat,ui.h}, ui/gtk/{gtkinternals.h,pixmaps.c,
	 statusbar.c}, ui/sdl/sdldisplay.c, z80/{coretest.c,z80_ops.c}:
	 Interface I and microdrive emulation (patch #1060831)
	 (Gergely Szasz)
20041128 if1.c,ui.c,ui/ui.h: simplify menu item (de)activation code.
20041128 if1.c: add void to prototypes where appropriate.
20041128 if1.[ch]: declare local functions as static.
20041128 if1.h: name parameters in if1.h prototypes.
20041128 if1.[ch],periph.c: update If1 menu in periph_update().
20041128 if1.c: split if1_port_{in,out} into multiple functions.
20041128 if1.c: declare local variables as static.
20041128 if1.c: various formatting 'improvements'.
20041128 if1.c,machine.c,lib/{Makefile.am,microdrive.bmp},ui/ui.h,
	 ui/gtk/statusbar.c,ui/sdl/sdldisplay.c: global rename of
	 'microdrv' to 'microdrive'.
20041201 z80/z80_ops.c: remove 'opcode may be used uninitialized'
         warning. There's no chance that it is, but gcc doesn't realise
	 that.
20041207 lib/{Makefile.am, disk_plus3.[szx|z80], tape_128.[szx|z80],
         tape_16.[szx|z80], tape_2048.[szx|z80], tape_2068.[szx|z80],
         tape_48.[szx|z80], tape_pentagon.[szx|z80], tape_plus2.[szx|z80],
         tape_plus2a.[szx|z80], tape_plus3.[szx|z80], tape_scorpion.[szx|z80]}:
         Change z80 snaps to szx snaps without joystick information to prevent
         Fuse attempting to change joystick settings when auto-loading tapes or
         disks.
20041222 display.c,screenshot.c: Fix compilation without libpng.
20041225 display.c,event.[ch],machine.c: first pass at character-accurate
	 rendering.
20041225 widget/widget.c: Add joystick prompt when loading snaps for widget UI.
20041227 display.c: reenable border emulation.
20041229 display.c,machine.c,memory.c,periph.[ch],ula.[ch],debugger/debugger.c,
	 z80/{z80.pl,z80_macros.h}: fixes for display timings with the
	 character-accurate renderer.
20041229 display.[ch]: reduce display_is_dirty to being 32-bit again as it's
	 no longer needed for the border. Various other bug fixes, leading
	 to the Overscan demo now looking pretty much perfect :-)
20041229 display.c: get Timex borders working properly again.
20041230 configure.in: improved libao checking (Gergely Szasz).
20041231 ui/gtk/{gtkkeyboard.c,stock.c}: add appropriate header files.
20050102 fuse.c, if1.[ch], settings.dat, utils.c, ui/options.dat: variable
	 length microdrive cartridge handling (rest of patch #1085429)
	 (Gergely Szasz).
20050102 fuse.c: update copyright date to 2005.
20050102 machine.c,periph.c,zxatasp.c,zxcf.c: fix ZXATASP/ZXCF upload/reset
	 behaviour (patch #1094632) (Garry Lancaster).
20050102 machine.c,menu.c,settings.{dat,pl},tape.c,machines/{Makefile.am,
	 machines.h,spec_se.c,tc2048.[ch],tc2068.c,ts2068,c}: add TS2068
	 support (part of patch #1080531) (Fred).
20050102 .cvsignore: add .gdb_history
	 man/fuse.1: add comment about select SDL audio output type
	 sound/osssound.c: add comment about writing frame sized chunks
	 ui/options.dat: shorten "joystick snap prompt" entry
	 (all part of patch #1080531) (Fred).
20050102 ui.c: don't try and set the 'Record movie as PNG' menu item as
	 (in)active if libpng not present.
20050103 if1.c: fdatasync is from the POSIX Realtime Extension, use fsync
         instead.
20050103 screenshot.[ch], ui.c: Further fixes for compiling without libpng.
20050103 rzx.c: Don't enable rollback in compo mode and disble rollback menu
         when playback ends.
20050104 screenshot.[ch]: Undo bogus changes from 20050103.
20050105 sound/sdlsound.c: Use device to select SDL audio driver.
20050105 man/fuse.1: tweak comment about select SDL audio output type.
20050106 man/fuse.1: more hyphen fixups for UTF-8 and an open quote
	 (patch #1096868) (Stuart Brady).
20050107 event.[ch],fuse.c,machine.c,sound.[ch],spectrum.c,timer.[ch],
	 hacking/timer.txt,sound/lowlevel.h: modify timing routines to
	 simply execute enough tstates to match the (real) elapsed time.
	 Also allows variable frame rates (ie 60Hz for the TS2068)
	 (rest of patch #1080531) (Fred).
20050111 zxcf.c: Stop zxcf_reset overwriting romcs bank when zxcf isn't active
	 (fixes TR-DOS machines) (Fred).
20050111 machines/pentagon.c: Don't allow Interface I to be used with the
	 Pentagon, it masks the TR-DOS interface (Fred).
20050111 machines/pentagon.c: Remove if1 from peripherals array (Fred).
20050112 lib/{tape_ts2068.szx|Makefile.am}: Add TS2068 tape auto-load snapshot
         tape.c: Fix tape traps for TS2068 (Fred).
20050113 settings.dat,sound.c,sound/sdlsound.c,man/fuse.1: Allow the user to
         set the frequency to use with the sound card, and make the SDL sound
         driver pass back the obtained frequency if it is not able to get that
         originally requested as long as it gets a native endian 16 bit format
         (Fred).
20050113 ui/scaler/{scaler.[ch],scaler_internals.h,scalers.c},
         ui/sdl/sdldisplay.c: Undo accidental commit (Fred).
20050113 menu_data.c: add TS2068 to change ROMs menu.
20050114 ui/scaler/scalers.c: Undo accidental commit again (Fred).
20050115 settings.pl: Add short option for sound frequency (Fred).
20050115 hacking/implementation_notes.txt: update with new display algorithm.
20050115 sound/aosound.c: small fixes (Gergely).
20050115 man/fuse.1: add documentation for libao sound driver (Gergely).
20050205 Makefile.am: Add kempmouse.h to headers list (Fred).
20050205 sound/sdlsound.c: Remove unused socket header and replace setenv with
         putenv for Windows compatibility (Fred).
20050212 ui/gtk/{gtkinternals.h,pixmaps.c,statusbar.c}: add mouse icon
	 (Darren).
20050216 Makefile.am,menu.[ch],menu_data.c,profile.[ch],z80/{coretest.c,
	 z80_ops.c}: add very simple profiler; just records which
	 locations where executed at the moment.
20050217 profile.[ch],spectrum.c: make the profiler actually profile.
20050218 Makefile.am,ide.[ch],simpleide.c,zxatasp.c,zxcf.c: add "Save,
	 Don't Save, Cancel" functionality on IDE disk eject.
20050218 ide.[ch],simpleide.c,zxatasp.c,zxcf.c: add ide_insert function.
20050219 machines/specplus3.c: add "Save, Don't Save, Cancel" functionality on
	 +3 disk eject.
20050219 machines/specplus3.c: the +3 disk autoload snap is now an SZX file.
20050219 ide.[ch],simpleide.c,zxatasp.c,zxcf.c: make ide_insert check whether
	 the currently inserted disk is dirty before doing the insert.
20050219 ui/gtk/gtkui.c: check for modified IDE disks before exit.
20050219 machines/specplus3.c,ui/gtk/gtkui.c: check for modified +3 disks
	 before exit.
20050219 snapshot.c: ensure all menus etc are updated after snapshot load.
20050219 trdos.c,ui/gtk/gtkui.c: add "Save, Don't Save, Cancel"
	 functionality for TR-DOS disks.
20050223 input.[ch],keysyms.dat,ui/gtk/gtkkeyboard.c,ui/xlib/xkeyboard.c,
	 widget/text.c: enable 'native' keysyms to be passed through to
	 the widget controls, rather than the 'Spectrum' keysyms.
20050223 display.c: force border to be redrawn in display_refresh_all();
	 means the border gets correctly restored after Help/Keyboard
	 widget.
20050226 input.c: drive the joystick from the Spectrum keysym, not the
	 native one, or (the emulating machine's) Caps Lock causes
	 problems.
20050226 ui/gtk/gtkjoystick.c: use two columns of five rather than one
	 column of ten for the fire button configuration (patch #1150711)
	 (Darren).
20050226 ui/gtk/{gtkdisplay.c,gtkui.c},ui/xlib/xdisplay.c: make the size
	 of the Spectrum screen be the smaller of the width and height of
	 our window (patch #1150684) (Darren).
20050226 ui/gtk/{debugger.c,gtkinternals.h,gtkui.c,memory.c}: make the
	 scroll wheel work when used over the disassembly pane or the
	 memory dump (patch #1150709) (Darren).
20050226 tape.[ch]: Media/Tape/Play always starts the tape playing, even
	 if tape traps are active. Makes working with normal speed custom
	 loader blocks less painful (patch #1150682) (Darren).
20050226 ui/gtk/debugger.c: pad disassembled instructions to fixed width
	 so debugger pane stays a constant width (patch #1150686)
	 (Darren).
20050226 perl/cpp-perl.pl,perl/Fuse/Dialog.pm,ui/options.dat,
	 ui/gtk/Makefile.am,widget/Makefile.am: allow SDL full-screen mode
	 to be used (patch #1150687) (Darren).
20050305 widget/widget.c: 'round' widget corners (patch #1150690)
	 (Darren).
20050305 z80/z80.c: get interrupt length (closer) to correct (thanks,
	 Woody, Jon Needle and Ramsoft).
20050305 configure.in,lib/{Makefile.am,disk_plus3.[szx|z80],tape_128.[szx|z80],
         tape_16.[szx|z80], tape_2048.[szx|z80], tape_2068.[szx|z80],
         tape_48.[szx|z80], tape_pentagon.[szx|z80], tape_plus2.[szx|z80],
         tape_plus2a.[szx|z80], tape_plus3.[szx|z80], tape_scorpion.[szx|z80]},
         lib/[un]compressed/{disk_plus3.[szx|z80],tape_128.[szx|z80],
         tape_16.[szx|z80], tape_2048.[szx|z80], tape_2068.[szx|z80],
         tape_48.[szx|z80], tape_pentagon.[szx|z80], tape_plus2.[szx|z80],
         tape_plus2a.[szx|z80], tape_plus3.[szx|z80], tape_scorpion.[szx|z80]}:
         Make configure choose compressed or uncompressed auto-load snapshots
         based on libspectrum support for the feature (Fred).
20050306 configure.in: Annoyingly missed path from link invocation (Fred).
20050314 display.c: don't extend y past the end of the screen to avoid array
         overruns (Fred).
20050321 widget/{filesel.c,menu.c,roms.c,widget_internals_h}: add title to
	 fileselector widget (half of patch #1150689) (Darren).
20050321 widget/{filesel.c,widget.c,widget_internals.h}: add arrows to
	 show when the fileselector is scrollable (other half of patch
	 #1150689) (Darren).
20050321 settings.dat,ui/options.dat,widget/{filesel.c,menu.c,options.pl,
	 text.c,widget.[ch],widget_internals.h}: add selectable filenames
	 when saving via the widget UI (patch #1150692) (Darren).
20050321 machine.c,memory.c,machines/{scorpion.c,spec128.c,spec16.c,spec48.c,
	 spec_se.c,specplus3.c},pokefinder/{pokefinder.[ch]},ui/ui.h,
	 ui/gtk/{gtkinternals.h,gtkui.c,pokefinder.c},widget/widget.c:
	 various pokefinder improvements (patch #1150701) (Darren).
20050325 menu.[ch],menu_data.c,profile.c,ui.c,ui/ui.h,ui/gtk/gtkui.c,
	 widget/widget.c: improve profiler UI.
20050325 menu_data.c,widget/{Makefile.am,menu.c,pokefinder.c,widget.[ch],
	 widget_internals.h}: add widget pokefinder (patch #1150703)
	 (Darren).
20050325 ChangeLog: bring up to date.
20050325 ui/gtk/gtkui.c,widget/widget.c: add GTK+ joystick confirmation
	 dialog.
20050325 ui/gtk/gtkui.c: don't prompt for joysticks if disabled in config.
20050325 ui/gtk/picture.c: allow input to continue while the keyboard help
	 is being displayed (fixes bug #1145084).
20050326 ChangeLog,widget/{Makefile.am,error.c,menu.c,query.c,widget.[ch],
	 widget_internals.h}: add widget query confirmation dialog (patch
	 #1150708) (Darren).
20050327 z80/z80.c: page in TR-DOS ROM on NMI (enables Pentagon snapshot
	 function to work).
20050327 menu.[ch],ui/gtk/gtkui.c,widget/menu.c: check all media types for
	 changes on exit via widget UIs.
20050402 machines/specplus3.c: stop cancelled attempts to save a +3 disk
	 from silently ejecting the disk.
20050402 ui/gtk/gtkui.c: remove unused variable from menu_file_exit().
20050402 z80/{coretest.c,z80.c}: page in ROM 2 on NMI on Scorpion: enables
	 monitor to work (fixes bug #1094070) (thanks, Erik Kunze).
20050425 fuse.c,settings.pl,sound.c,tape.c,trdos.c,machines/tc2048.c,
	 ui/gtk/binary.c,z80/z80_ops.c: gcc 4.0 fixups.
20050427 event.c: don't reset tstates at the end of
	 event.c:event_force_events() (fixes bug #1163983; thanks, Jon
	 Needle).
20050427 ui/sdl/sdldisplay.c: check smallest supported fullscreen resolution,
         and if we don't have a resonable match try to find one (Fred).
20050501 widget/{.cvsignore,Makefile.am,fuse.font.sbf,mkfusefont.pl}: add
	 proportional font (part of patch #1150693) (Darren).
20050501 widget/{widget.c,widget_internals.h}: core support for
	 proportional printing (next part of patch #1150693) (Darren).
20050501 widget/{menu.c,widget.c}: remove unused variables/functions.
20050501 menu_data.pl,widget/{browse.c,debugger.c,error.c,filesel.c,
	 menu.c,options.pl,query.c,roms.c,select.c,text.c,widget.c,
	 widget_internals.h}: implement proportional printing (rest of
	 patch #1150693) (Darren).
20050501 keysyms.pl,ui/sdl/{sdlkeyboard.[ch],sdlui.c}: SDL support for
	 'native' keysyms change (patch #1152497) (Fred).
20050501 utils.[ch],widget/widget.c: find the Fuse font file when running
	 in the build tree.
20050606 input.c: also drive the joystick from the Spectrum keysym on release
         (Fred).
20050606 ui/sdl/sdlui.c: Set miminised Fuse name to exclude speed (Fred).
20050906 periph.[ch],machines/{pentagon.c,scorpion.c,spec128.c,spec16.c,
         spec48.c,spec_se.c,specplus2.c,specplus2a.c,specplus3.c,specplus3e.c,
         tc2048.c,tc2068.c,ts2068.c}: split periph_setup into separate
         functions for each device (patch #1144590) (Stuart Brady).
20050910 menu_data.c,widget/{Makefile.am,memory.c,menu.c,widget.[ch],
         widget_internals.h} : add widget memory browser (patch #1150704)
         (Darren).
20050913 widget/{error.c,menu.c,roms.c,select.c,text.c,widget.c,
         widget_internals.h} : prettify widget interface (patch #1150706)
         (Darren).
20051010 screenshot.c: fix writing and reading of Timex screenmode/colour in
         hires .scr screenshots (thanks, Gergely Szasz) (Fred).
20051020 tape.c,ui/ui.h,ui/gtk/browse.c,widget/widget.c: add support for
         partial updating of the tape browser (Fred).
20051012 screenshot.c: fix warning in hires byte assignment (Fred).
20051027 snapshot.c: make default snapshot format .szx (Fred).
20051027 display.c: make border changes only apply to the correct mode (e.g.
         loading a tape in hires mode should not show border stripes) (Fred).
20051029 Makefile.am,divide.[ch],machine.c,memory.c,menu.[ch],periph.c,
         settings.dat,ui/options.dat,z80/{coretest.c,z80_ops.c}: initial
         DivIDE implementation (Matthew Westcott).
20051029 divide.h: fix typo in comment.
20051031 divide.[ch],fuse.c,menu.c,menu_data.c,periph.c,settings.dat,ui.c,
	 utils.c: Improved DivIDE emulation: actual connection to IDE
	 devices (Matthew Westcott).
20051224 z80/coretest.c: remove unused variable (Markus Oberhumer).
20051224 autogen.sh: add --automake to libtoolize invocation (Markus
         Oberhumer). Remove --copy from automake invocation.
20060514 widgets/menu.c: allow 'File/Movies/Stop movie recording' to work
	 under the widget UIs (part of bug #1439280) (Gergely Szasz).
20060514 screenshot.c,widgets/menu.c: allow selection of a filename for
	 movie recording under the widget UIs (more of patch #1439280) (Gergely
	 Szasz).
20060515 display.c: Restore hires/standard mixed mode support in borders (Fred).
20060603 sound/sdlsound.c: Add 10ms delay if SDL sound fifo is full (meaning
         we already have a frame worth of sound information built up) to ease
         up on CPU usage (Fred).
20060625 machines/spec_se.c: SE does not have 128 style memory lockout (Fred).
20060625 roms/se-0.rom: Change 3 bytes at 0x240 to XOR A, OUT (00), A instead
         of XOR A, OUT (FF), A to properly reset the SCLD.
20060702 fuse.c: reset AY chip when starting sound (fixes bug #1515666).
20060702 z80/z80.pl: get contention right for EX (SP),HL, EX (SP), IX and
	 EX (SP),IY (thanks, Mark Woodmass).
20060702 z80/z80.pl: swap order of writes in EX (SP),HL and friends (thanks,
	 Mark Woodmass).
20060713 z80/tests/{e3.in,dde3.in,fde3.in}: update tests to match corrections
	 to EX (SP),HL and friends.
20060714 z80/coretest.c,z80/tests/{d{3,b},ed{4,5,6,7}{0,1,8,9},
	 ed{a,b}{2,3,a,b}}.out: update IN and OUT tests so we actually
	 pass our own test suite.
20060714 z80/tests/{README,d{3,b}_{1,2,3}.{in,out}}: add tests to explicitly
	 check for all four contention possibilities on IO.
20060714 z80/z80.pl, z80/tests/edb{3,b}.out: get contention right for
	 OTIR and OTDR (thanks, Mark Woodmass).
20060715 fuse.[ch],settings.dat,tape.[ch],timer.c: implement fastloading
	 (part of patch #1511906; also thanks to Gergely Szasz for patch
	 #1291273).
20060716 timer.c: #include "ula.h"
20060716 pokerfinder/pokefinder.c: remove unused variable.
20060716 tape.c,man/fuse.1,ui/options.dat: reset speed estimate when
	 fastloading finished. Add fastloading option to General Options
	 dialog. Document fastloading.
20060721 display.c,screenshot.c,screenshot.h,ui/gtk/gtkui.c,widget/menu.c:
         Allow movie paths to be up to PATH_MAX (Fred).
20060721 ui/options.dat: Stop key binding clash over f in SDL ui (Fred).
20060722 z80/z80.pl,z80/tests/{README,dd00.{in,out},ddfd00.{in,out}}: fix
	 timings of "extended NOP" opcodes (partial fix for bug #1526868)
20060723 z80/{z80.pl,z80_macros.h}: move tstate addition out of ADD16 macro
	 for consistency with ADC16 and SBC16.
20060726 machines/ts2068.c: change TS2068 machine id to match tape loading snap
         name (fixes bug #1526688; thanks Phil!) (Fred).
20060729 fuse.c: reenable sound in fuse_emulation_unpause (Fred).
20060730 z80/z80.c: IM 0 takes 13 tstates to acknowledge (partial fix for
	 bug #1526868).
20060730 z80/{z80.pl,z80_macros.h}: add IR contention (thanks, Mark Woodmass)
	 (patch #1527439).
20060730 z80/tests/{[0123][39b],10,[cdef][08]_[12],[cdef]5,[cdef][7f],f9,
	 [df]d{[0123]9,2[3b],e5,f9},ed{[4567][2a],[45][7f],[ab][23ab]}}.
	 {in,out}: update tests for IR contention.
20060730 Makefile.am,loader.[ch],menu.c,settings.dat,spectrum.c,tape.[ch],
	 ula.c,lib/{un,}compressed/tape_{16,48,128,plus2,pentagon,scorpion,
	 2048,ts2068}.szx,ui/options.dat: loader detection (patch
	 #1511906).
20060730 tape.c: don't use tape traps unless we're at the very start of a
	 ROM block (partial fix for bug #1531346).
20060806 z80/z80_macros.h,z80/tests/{*cb*,README}: bits 3 and 5 of the value
	 are copied to F on all BIT instructions, not just BIT 3,r and BIT 5,r
	 (thanks Mark Woodmass for testing on a real machine).
20060806 profile.c: ensure changes in profiling state are picked up by the
	 main loop (fixes bug #1530345).
20060806 tape.c: make actually starting the tape the very last action in
	 tape_play(), as this can cause the tape to stop again which can
	 lead to our internal state becoming inconsistent.
20060812 tape.c: ensure tapes with multiple metadata blocks use traps
	 correctly (see bug #1531346).
20060812 tape.c: don't use tape traps when loading part of a block (Technician
	 Ted as part of bug #1531346).
20060814 ui/sdl/sdldisplay.c: fix tape icon display before a tape is played
         (Fred).
20060823 menu.c,menu_data.c,trdos.h,ui/gtk/gtkui.c: add support for up to four
         drives and four interfaces in the UI 
	 (patch #1145082) (Stuart Brady).
20060825 man/fuse.1: fix typo (Stuart Brady).
20060825 TAG: Release-0_7_0-trunk-1
20060825 BRANCH: Release-0_7_0-disciple-branch
20060825 display.c: don't extend rects past the end of the screen (fixes bug
         #1304939) (Fred).
20060903 display.[ch],machines/{scorpion.c,spec128.c,specplus3.c},memory.c,
         scld.c: update critical region on 128 screen switch and SCLD mode
         change, update tstates on memory write before checking critical
         region (fixes bug #1105190) (Fred).
20060904 event.c: minor event optimisations - keep most recent event around
         in case we need a new one soon to save on malloc/free overhead, 
         and if we know an event will go on the front of a list just prepend
         rather than insert sorted (Fred).
20060904 widget/menu.c: fix saving PNG screenshots from the widget UI (Fred).
20060904 sound/sdlsound.c: add extra comment (Fred).
20060904 machine.c: reduce magic number count (Fred).
20060917 display.[ch],screenshot.[ch],uidisplay.c,machines/spec128.c,
         ui/uidisplay.h,ui/fb/fbdisplay.c,ui/ggi/ggidisplay.c,
         ui/gtk/gtkdisplay.c,ui/gtk/gtkui.c,ui/sdl/sdldisplay.c,
         ui/svga/svgadisplay.c,ui/win32/win32display.c,ui/xlib/xdisplay.c,
         widget/menu.c,widget/widget.c: move display_plot* over to the UIs
         and remove the screen copy in display.c to allow SDL (and maybe GTK
         if Phil is so inclined) to draw directly into their existing
         temporary screens ready for scaling to reduce unnecessary copying
         of screen data. Restore display_last_screen for less overdraw in
         screen/mode switch situations. Move border updating into the
         display_*_dirty/display_plot8 system to reduce overdraw with
         frequent border changes - e.g. loading and Shock II. Fix updating
         of last border line after the end of the screen (fixes Shock II last
         border line). Bulk allocate border change objects. Make
         display_get_addr a macro. (patch #1551481) (Fred).
20061017 snapshot.c,tape.c: fix memory leaks on snapshot and tape write (fixes
         bug #1568084; thanks, crabfists) (Fred).
20061021 if1.c,if2.c,machine.[ch],machines/{pentagon.c,scorpion.c,spec128.c,
         spec16.c,spec48.c,spec_se.c,specplus2.c,specplus2a.c,specplus3.c,
         specplus3e.c,tc2048.c,tc2068.c,ts2068.c},profile.c,settings-header.pl,
         settings.dat,settings.pl,widget/roms.c: fallback to loading default ROM
         if custom ROM is not found (Fred).
20061126 ui/sdl/sdljoystick.c: fix joystick support in SDL UI (Fred).
20061126 man/fuse.1: add a smidgeon of content about Interface I (Fred).
20061202 widget/widget.c: guard against the double free on the options dialog
         (Fred).
20061202 widget/widget.c: use checkbox instead of "On/Off" text in widget UIs
         (patch #1309374) (Gergely Szasz).
20061202 man/fuse.1: add some more TS2068 stuff (Fred).
20061213 ui/xlib/xdisplay.c: fix compilation.
20061215 debugger/breakpoint.c: fix segfault on "clear" command (thanks,
	 Stuart Brady)
20061217 machine.c: load rom into correct memory bank (fixes If1 ROM paging)
         (Fred).
20061217 menu.c,rzx.[ch]: reset rzx_instructions_offset on rollback to fix
	 replay of rolled back recordings (and some refactoring).
20061222 sound/sdlsound.c: clear sound fifo before closing (Fred).
20061222 Makefile.am,configure.in,sound/{Makefile.am,coreaudiosound.c,
         lowlevel.h,sfifo.c},timer.c: add CoreAudio sound driver for Mac OS X
         (Fred).
20061223 configure.in: fix CoreAudio comment (Fred).
20061223 configure.in: fix typo in above! (Fred).
20070101 menu_data.c,ui.c,man/fuse.1: change capitalisation of
	 "Insert snapshot" command and document rollback commands.
20070106 tape.c: support "no edge", "level low" and "level high" from
	 tape edges.
20070111 tape.c: display vaguely useful information in the tape browser for
	 generalised data blocks.
20070113 ChangeLog: bring up to date.
20070115 fuse.[ch],machine.c,sound.[ch],tape.c: make the sound lifecycle be
         treated more like the uidisplay - initialised and ended based on
         machine lifecycle (fixes bug #1582087) (Fred).
20070115 ChangeLog: add reference to new CoreAudio sound driver (Fred).
20070117 fuse.c, if1.[ch]: free memory on exit. Use C89-style struct
	 initialisation (patch #1637020) (Gergely Szasz).
20070120 if1.c: reduce magic number count.
20070122 display.c: inline get_beam_position and display_dirty_chunk for more
         speed (Fred).
20070128 settings.dat,ui/options.dat,ui/gtk/gtkdisplay.c,ui/sdl/sdldisplay.c,
         ui/scaler/{scaler.[ch],scaler_internals.h,scalers.c}: add new PAL TV
         scalers that attempt to reproduce TV-esque colour reproduction (patch
         #1537920) (Gergely Szasz).
20070128 ChangeLog,man/fuse.1: add information about PAL scalers (Fred).
20070128 ui/{fb/fbdisplay.c,ggi/ggidisplay.c,gtk/gtkdisplay.c,
         svga/svgadisplay.c,win32/win32display.c,xlib/xdisplay.c}: fix hires
         Timex display (Fred).
20070128 man/fuse.1: updates.
20070129 man/fuse.1: add documentation for "MDR cartridge len" and "Snap
         joystick prompt" (Fred).
20070129 ui/scaler/scalers.c: corrections to YUV to RGB conversions etc.
         (more from patch #1537920) (Gergely Szasz).
20070202 <almost everything>: change my e-mail address to @shadowmagic and
	 remove my postal address.
20070202 TAG: Release-0_8_0-trunk
20070202 BRANCH: Release-0_8_0-branch
20070202 TAG: Release-0_8_0-pre1 (Release-0_8_0-branch)
20070204 sound.c: don't disable sound completely if we don't enable sound
         after an unpause (fixes bug #1648246) (Release-0_8_0-branch) (Fred).
20070204 rzx.c: use new libspectrum_rzx_playback_frame() API to allow
	 loading of snapshots (necessary for playing back RZX files made with
	 SPIN's "RZX Pause" feature).
20070207 man/fuse.1: document that metacity needs --no-aspect-hint
	 (Thanks, Stuart Brady and dave in #spin) (Release-0_8_0-branch).
20070208 rzx.c: ensure tstates is sane after RZX completion
	 (bug #1654165) (Release-0_8_0-branch).
20070209 rzx.c: ensure tstates is sane after RZX desync
	 (Release-0_8_0-branch).
20070210 sound/{coreaudiosound.c,sdlsound.c}: make sound fifo two frames in
         size rather than a multiple of the sound fragment size, make sound
         callbacks run after some sound is available, calculate SDL fragment
         size based on machine speed and output frequency
	 (Release-0_8_0-branch) (Fred).
20070217 widget/filesel.c: allow absolute pathnames to be used (fixes bug
	 #1651433) (Release-0_8_0-branch) (Gergely Szasz).
20070217 sound/aosound.c: stop possible segfaults (part of bug #1659865)
	 (Release-0_8_0-branch) (Gergely Szasz).
20070217 man/fuse.1: small ao improvements (rest of bug #1659865)
	 (Release-0_8_0-branch) (Gergely Szasz).
20070217 fuse.c,if1.c,settings.dat,utils.c: allow microdrive cartridge images
	 to be used on startup (bug #1660099) (Release-0_8_0-branch)
	 (Gergely Szasz).
20070303 settings.dat,man/fuse.1,ui/gtk/gtkui.c: new --strict-aspect-hint
	 option to improve situation with Metacity not being able to resize
	 or move GTK+ window (bug #1539655) (Release-0_8_0-branch).
20070303 configure.in: don't use libao by default (bug #1668916)
	 (Release-0_8_0-branch).
20070303 TAG: Release-0_8_0-pre2 (Release-0_8_0-branch)
20070303 man/fuse.1: document --rom-* options (bug #1262547)
	 (Release-0_8_0-branch).
20070304 ui.c: swap Kempston mouse buttons (bug #1507684)
	 (Release-0_8_0-branch).
20070306 sound.c: don't leak memory for tape_buf (Release-0_8_0-branch) (Fred).
20070306 display.c: don't overrun line_times array (Release-0_8_0-branch)
	 (Fred).
20070310 man/fuse.1: add divide url (Release-0_8_0-branch) (Fred).
20070311 machines/spec_se.c: fix marking Dock and EXROM banks as writable in
         the SE (Release-0_8_0-branch) (thanks, Andrew Owen) (Fred).
20070317 compat/mkstemp.c: remove abberant break (thanks, Marek Januszewski)
	 (Release-0_8_0-branch).
20070321 periph.c: when stopping RZX playback due to overrun, ensure the
	 change is picked up in z80_do_opcodes() (thanks, Julian Wiseman)
	 (Release-0_8_0-branch).
20070327 joystick.c: don't prompt for joystick config changes when loading a
         snap during RZX playback (Release-0_8_0-branch)
	 (thanks, Julian Wiseman) (Fred).
20070404 printer.c: don't buffer output so text is available as it is
         printed (Release-0_8_0-branch) (Fred).
20070409 ChangeLog,README,configure.in,man/fuse.1: updates for 0.8 release
	 (Release-0_8_0-branch).
20070409 rzx.c: change over to the 'release' DSA key (Release-0_8_0-branch).
20070409 fuse.c: remove warning (Release-0_8_0-branch).
20070410 rzx.c: don't allow use of rollback commands during playback (thanks,
	 Julian Wiseman) (Release-0_8_0-branch).
20070411 README: these aren't all IDE interfaces (Release-0_8_0-branch).
20070411 fuse.c: update copyright date to 2007 (Release-0_8_0-branch).
20070416 widget/Makefile.am: distribute fuse.font.sbf and mkfusefont.pl
         (Release-0_8_0-branch) (Fred).
20070424 TAG: Release-0_8_0 (Release-0_8_0-branch).
20070425 uidisplay.c,widget/menu.c: initialise border in help screen and
         center keyboard picture on help screen (thanks, Alberto Garcia)
         (Release-0_8_0-branch).
20070425 widget/pokefinder.c: fix up for non-proportional display
	 (thanks, Alberto Garcia) (Release-0_8_0-branch).
20070428 hacking/ui.txt,ui/{uidisplay.h,fb/fbdisplay.c,ggi/ggidisplay.c,
         gtk/gtkdisplay.c,scaler/scaler.c,sdl/sdldisplay.c,
         svga/svgadisplay.c,win32/win32display.c,xlib/xdisplay.c}:
         check that we don't exceed maximum fullscreen dimensions with
         SDL UI and attempt a more graceful failure if things go wrong
         (fixes bug #1708636; thanks Alberto Garcia) (Release-0_8_0-branch)
         (Fred).
20070501 screenshot.c: include limits.h for PATH_MAX (Release-0_8_0-branch)
         (Fred).
20070501 ui/scaler/scalers.c: make sure MIN and ABS are defined
         (Release-0_8_0-branch) (Fred).
20070503 periph.c,spectrum.[ch],ula.[ch],machines/{pentagon.c,scorpion.c,
	 spec128.c,spec16.c,spec48.c}: fix IN timings and consequent fixes
	 to floating bus behaviour (fixes bug #1708597) (thanks, Pegaz and
	 Mark Woodmass) (Release-0_8_0-branch).
20070507 lib/Makefile.am: distribute autoload snapshots
         (thanks Stuart Brady and Arda Erdikmen) (Release-0_8_0-branch)
         (Fred).
20070509 snapshot.c: call machine_select() only if the machine has changed
	 (fixes bug #1701246) (thanks, Julian Wiseman) (Release-0_8_0-branch)
	 (Fred).
20070509 acinclude.m4: remove warnings about underquoted definitions
	 (Release-0_8_0-branch) (Stuart Brady).
20070510 ChangeLog,README,configure.in,man/fuse.1: doc updates for 0.8.0.1
	 release (Release-0_8_0-branch).
20070511 TAG: Release-0_8_0_1 (Release-0_8_0-branch).
20070512 ui/scaler/scalers.c: make sure ABS is correctly defined
         (Release-0_8_0-branch) (Fred).
20070512 hacking/cvs-tags: document merge to trunk (Release-0_8_0-branch).
20070512 Merge from Release-0_8_0-branch).
20070512 TAG: Release-0_8_0-merge-1
20070513 dck.h,if1.[ch],if2.h,snapshot.h,debugger/{debugger.c,disassemble.c},
         ui/{ggi/ggidisplay.c,gtk/rollback.c,xlib/xjoystick.c},z80/z80.pl:
	 fix filenames in comments (patch #1716201) (Stuart Brady).
20070513 README,Makefile.am,acinclude.m4,configure.in,settings.dat,
         sound.c,man/fuse.1,ui/options.dat: add support for using
         libsamplerate to reduce aliasing noise in beeper emulation
	 (fixes bug #1629741) (Fred).
20070513 debugger/{commandl.l,commandy.y}: fix clashes with Win32 API
	 (patch #1711412) (Stuart Brady).
20070513 dxsound.c: add synchronisation, 16-bit sound support and improved
	 error handling (patch #1713519) (Stuart Brady).
20070513 Makefile.am,configure.in,timer.c,sound/lowlevel.h: use DirectSound
	 if available (patch #1716734) (Stuart Brady).
20070513 z80/z80.pl,z80/tests/{edb0,edb1,edb2,edb8,edb9,edba}.out: on
	 LD?R, CP?R and IN?R, the pre-modified value is used for the
	 contention (thanks, Mark Woodmass).
20070515 configure.in,if1.c: check that fsync is available before using it
	 (thanks, Chris Young) (Fred).
20070515 debugger/{breakpoint.[ch],command.c},widget/debugger.c: add
         more comprehensive widget debugger (patch #1150698) (Darren).
20070515 compat/mkstemp.c,if1.c: use O_BINARY in mkstemp() and if1_plug(),
         fixes +3 disk support on Win32 (patch #1716167) (thanks,
         Mark Woodmass) (Stuart Brady).
20070515 configure.in,ui/aalib/*: retire the aalib code, use the aalib
         target for SDL if required (Fred).
20070516 widget/filesel.c: fix possible buffer overflows and tidy code
	 (includes patch #1720377) (thanks, Arda Erdikmen) (Stuart Brady and
	 Phil).
20070517 ui/sdl/sdlui.c: prompt to see if we really want to exit
         (fixes bug #1720384) (thanks, Stuart Brady) (Fred).
20070519 utils.c: add Amiga settings and temp dir paths (part of patch
         #1712260) (Chris Young).
20070519 debugger/{commandl.l,commandy.y}: fix clashes with Amiga API
	 (more of patch #1712260) (Chris Young).
20070519 ui/options.dat: allow 5 digit emulation speed (patch #1718215)
	 (Stuart Brady).
20070519 Makefile.am,configure.in,windres.rc: add resource file to allow
	 for an icon for the Win32 build (patch #1716742) (Stuart Brady).
20070519 .cvsignore: ignore more auto-generated files.
20070520 Delete .cvsignore files and ignore some files not automatically
	 ignored by Subversion.
20070520 compat.h,fuse.c,trdos.c,utils.[ch],compat/dirname.c,widget/filesel.c:
	 allow for configurable path separator (patch #1714630) (Stuart Brady).
20070522 sound/{coreaudiosound.c,sdlsound.c}: try to prevent the consumption
         of partial samples with the sfifo using sound interfaces (Fred).
20070522 fuse.c,if1.c: don't use rand_r as it's not available on all platforms
         (thanks, Stuart Brady) (Fred).
20070522 widget/filesel.c: include utils.h for prototype for
         utils_is_absolute_path (Fred).
20070522 widget: ignore *.a libraries (Fred).
20070522 compat: ignore *.a libraries (Fred).
20070522 if1.c: don't need time.h anymore (thanks, Stuart Brady) (Fred).
20070524 z80/z80.pl,z80/tests/27_1.{in,out}: fix undocumented behaviour of
	 DAA (patch #1724193) (Stuart Brady).
20070525 widget/filesel.c: refactor widget_scandir() and improve its error
	 handling (patch #1723371) (Stuart).
20070525 hacking/win32_todo.txt: move from ui/win32/todo.txt into hacking
	 directory, and remove completed items (Stuart).
20070525 ui/gtk/gtkmouse.c: add comment suggesting SetCursorPos() for
	 gtkmouse_reset_pointer() on Win32 (Stuart).
20070525 fuse.[ch],ui/win32/win32ui.c: rename main() to fuse_main() when
	 building with the Win32 UI (Stuart).
20070525 fuse.c: disable copyright message on startup on Win32, to avoid
	 creating an unwanted Win32 console (Stuart).
20070525 ui/win32/menu_data.rc: fix accelerator keys in Win32 UI (Stuart).
20070525 configure.in: add --with-win32 to check for native Win32 UI (Stuart).
20070525 acinclude.m4: remove warning about underquoted definition (Stuart).
20070525 ui/win32/menu_data.h: fix junk in GPL notice (Stuart).
20070526 ui/sdl: ignore *.a libraries (Fred).
20070526 ui/sdl/sdlkeyboard.c: enable key repeat for use in the widget
         fileselector (part of feature request #1720212) (thanks, Cygnus)
         (Fred).
20070526 Makefile.am,menu_data.{dat,pl},ui/gtk/Makefile.am,widget/Makefile.am:
	 rename menu_data.c to menu_data.dat (Stuart).
20070526 <almost everything>: update FSF address in GPL notices, add
	 autogenerated-file comment to settings.h, add missing Id tags, and
	 boilerplate formatting fixes (Stuart).
20070526 keysyms.pl,ui/win32/{Makefile.am,keysyms.c}: autogenerate
         ui/win32/keysyms.c from keysyms.dat (Stuart).
20070526 hacking/Makefile.am,ui/win32/Makefile.am: update EXTRA_DIST lines to
	 reflect new location of win32_todo.txt (Stuart).
20070527 widget/filesel.c: don't segfault when the down key is pressed in a
	 directory with only one entry (Stuart).
20070527 z80/{z80.pl,z80_macros.h},z80/tests/{d,f}dcb{4,5,6,7}?.out: fix
	 undocumented flags after BIT n,(IX+d) instructions (fixes bug
	 #1726453).
20070527 if1.c: disable if1_plug() on Win32 (Stuart).
20070527 menu.h,ui/win32/{Makefile.am,error.c,icons/Makefile.am,menu_data.c,
	 pokefinder.rc,statusbar.c,win32display.h,win32internals.h,
	 win32keyboard.c,win32ui.{c,rc}}: build fixes for Win32 UI, and
	 distribute Win32 UI icons (Stuart).
20070528 ui/win32/win32ui.c: implement File->Exit, File->Reset, File->Save,
	 and menu_get_filename() (Stuart).
20070528 ui/win32/{debugger.c,error.c,pokefinder.c,statusbar.c,win32display.c,
	 win32ui.c,win32ui.rc}: whitespace cleanups (Stuart).
20070529 configure.in,ui/win32/{Makefile.am,win32internals.h,win32ui.rc},
	 windres.rc: work around linker problems affecting Windows resources,
	 and link/include commdlg (Stuart).
20070529 ui/win32/{menu_data.{c,h,rc},win32ui.c}: update Win32 menus, and fix
	 compilation of load/save dialogs (Stuart).
20070529 ui/win32/{debugger.h,pokefinder.h,statusbar.c,win32display.c,
	 win32internals.h,win32ui.c}: use winfuse.ico for Win32 UI window,
	 disable (broken) status bar, change resource IDs to avoid clashes
	 with menu IDs, various cleanups (Stuart).
20070530 tape.c: use refactored call to set tape state (patch #1725974) (Fred).
20070530 profile.c: remove a couple of warnings (Fred).
20070530 menu_data.pl: add code to generate menu data for Win32 UI (Stuart).
20070601 event.h,tape.[ch],widget/widget.c,ui.c,ula.[ch],ui/ui.h,
         ui/gtk/gtkui.c: add support for recording into a RLE raw sample block
         (feature request #1691821) (Fred).
20070601 menu.{c,h},ui/{gtk/{binary.c,fileselector.c,gtkui.c,roms.c},
	 win32/win32ui.c},widget/menu.c: split menu_get_filename() into
	 menu_get_{open,save}_filename(), use menu_get_save_filename() in some
	 cases where a filename could not be entered in widget UIs, and use the
	 'open' file selector in menu_file_recording_recordfromsnapshot() when
	 choosing a snapshot in widget UIs (patch #1727550) (Stuart).
20070602 Makefile.am,configure.in,man/fuse.1,
         sound/{Makefile.am,alsasound.c,lowlevel.h}: add ALSA sound driver
         (patch #1425367) (Gergely Szasz).
20070602 Ignore fuse.exe, ui/win32/keysyms.c and z80/coretest.exe (Stuart).
20070602 ui/win32: ignore *.a libraries (Stuart).
20070602 configure.in,ui/win32/{win32display.{c,h},win32ui.c}: replace
	 DirectDraw-based display code with faster GDI-based code, with
	 scaler support (Stuart).
20070603 configure.in: link with -mwindows for Win32 UI, and remove -lcomdlg32
	 and -lgdi32 as these are automatically linked by -mwindows (Stuart).
20070603 ui/win32/{win32internals.h,win32ui.c}: add support for loading files
	 using drag-and-drop in Win32 UI (Stuart).
20070603 ui/win32/win32ui.c: use modal fileselectors for the Win32 UI (Stuart).
20070604 ui/win32/{win32display.{c,h},win32internals.h}: remove redundant
	 DirectDraw definitions and replace references to DirectDraw with GDI
	 in initial comments (Stuart).
20070604 ui/win32/win32ui.c: implement some more menu callbacks (Stuart).
20070605 compat.h,compat/{getopt.c,getopt1.c},settings.pl: disable use of
         getopt_long on Amiga due to incompatibility of our replacement with
         the GNU getopt in their c library (part of patch #1712260) (Fred).
20070606 man/fuse.1: indentation fixes (Stuart).
20070606 man/fuse.1: various formatting fixes (Stuart).
20070606 man/fuse.1: spelling fixes (Stuart).
20070608 widget/filesel.c: use more native ASL requester on the Amiga in the
         widget UI (more of patch #1712260) (Chris Young).
20070608 widget/pokefinder.c: fix up printf() related warnings (Fred).
20070608 machines: ignore .a archive files (Fred).
20070608 widget/menu.c: fix bug in menu_get_{open,save}_filename() (Stuart).
20070608 ui/xlib: ignore .a archive files (Fred).
20070608 man/fuse.1: fix dashes (Stuart).
20070608 sound/alsasound.c: update FSF address (Stuart).
20070609 profile.c: fix printf() warning.
20070609 BRANCH: plusd_20070609
20070609 Makefile.am,configure.in,disk/{Makefile.am,plusd.{c,h},wd1770.{c,h}},
	 event.{c,h},fuse.c,machine.c,machines/{spec128.c,spec48.c},memory.c,
	 menu.c,menu_data.dat,periph.{c,h},roms/{Makefile.am,plusd.rom},
	 settings.dat,snapshot.c,tape.c,ui.c,ui/{gtk/gtkui.c,options.dat,ui.h},
	 widget/menu.c,z80/{coretest.c,z80.c,z80_ops.c}: +D emulation
	 (part of patch #1546570) (plusd_20070609) (Stuart).
20070610 event.[ch],spectrum.c,rzx.[ch],ula.h: add RZX "sentinel" event to
	 prevent running off the end of the contention array on very long
	 frames (see bug #1057471).
20070610 widget/{memory.c,pokefinder.c,widget_internals.h}: fix up warnings.
20070610 widget/error.c: don't try and output widgets if we don't have a
	 display yet (fixes bug #1718115).
20070610 man/fuse.1: remove outdated widget-specific sections (Stuart).
20070610 keysyms.pl,ui/svga/{svgakeyboard.c,svgadisplay.c}: fix bitrot
	 (fixes bug #1727516) (Gergely Szasz).
20070610 ui/svga: ignore *.a files.
20070610 man/fuse.1: add +D documentation (plusd_20070609) (Stuart).
20070610 man/fuse.1: spelling fixes (Stuart).
20070611 machines/specplus2.c: enable +D support (plusd_20070609) (Stuart).
20070611 machines/specplus3.c: save disk images if their 'dirty' state cannot
	 be determined (Stuart).
20070611 sound/alsasound.c: stop sound_lowlevel_end() from disabling sound
	 (fixes bug #1733567) and disable warning when a sound buffer of
	 exactly the right size could not be obtained (Stuart).
20070611 sound/alsasound.c: refuse to enable sound in ALSA environment with
         more than two channels (fixes bug #1732696) (Gergely Szasz).
20070611 disk/plusd.c,menu.c: check for modifications to +D disks in
	 menu_check_media_changed() (plusd_20070609) (Stuart).
20070611 machine.c,periph.c,ui.c,ui/ui.h: fix disk menu activation
	 (plusd_20070609) (Stuart).
20070612 disk/plusd.{c,h},man/fuse.1: implement +D printer port routines and
	 remove DISCiPLE-specific joystick ports (plusd_20070609) (Stuart).
20070612 printer.c: disable ZX Printer ports when the +D is available
	 (plusd_20070609) (Stuart).
20070612 disk/plusd.c: cleanup disk insertion code and add support for LibDsk's
	 "logical" driver (plusd_20070609) (Stuart).
20070612 disk/plusd.c: assume printer port is 'busy' when no printer is
	 connected (plusd_20070609) (Stuart).
20070612 man/fuse.1: document +D printer emulation (plusd_20070609) (Stuart).
20070612 periph.c: fix typo in comment (plusd_20070609) (Stuart).
20070612 disk/plusd.{c,h},menu.c,ui.c,ui/gtk/gtkui.c: remove fictitious +D
	 drives 3 and 4 (plusd_20070609) (Stuart).
20070612 menu_data.dat: remove +D drives 3 and 4 (plusd_20070609) (Stuart).
20070612 ui/win32/win32ui.c: implement ui_plusd_disk_write() for Win32
	 (plusd_20070609) (Stuart).
20070612 disk/{plusd.{c,h},wd1770.{c,h}}: separate FDC and disk drive
	 emulation (plusd_20070609) (Stuart).
20070612 disk/wd1770.c: comment out unused variables (plusd_20070609) (Stuart).
20070613 disk/plusd.h,machine.c,memory.c,menu.c,snapshot.c,ui/ui.h,
	 z80/z80_ops.c: cleanup conditional compilation of +D code
	 (plusd_20070609) (Stuart).
20070614 disk/{plusd.{c,h},wd1770.{c,h}}: update author contact information
	 (plusd_20070609) (thanks, Fred) (Stuart).
20070615 utils.c: tweak Amiga temp dir path (part of patch #1712260)
         (Chris Young).
20070617 machine.c: refresh display on machine reset to ensure correct display
         as we don't always call machine_select() after loading a new snapshot
         (Fred).
20070617 fuse.c,man/fuse.1,settings.dat,utils.c: allow +D disk images to be
	 specified on command line or in the config file (includes patch
	 #1738602) (plusd_20070609) (Phil/Stuart).
20070617 ay.[ch],divide.[ch],fuse.c,if1.[ch],if2.[ch],joystick.[ch],Makefile.am,
	 machine.c,memory.[ch],module.[ch],printer.[ch],scld.[ch],snapshot.c,
	 trdos.[ch],ula.[ch],z80/{coretest.c,z80.[ch]},zxatasp.[ch],zxcf.[ch]:
	 more explicit modularisation (patch #1734120).
20070617 disk/plusd.{c,h}: +D modularisation fixes (plusd_20070609) (Stuart).
20070617 sound/coreaudiosound.c: correct initialisation of stereo output
         (Fred).
20070617 dck.c,divide.c,fuse.c,if1.c,if2.c,machine.[ch],menu_data.dat,
	 module.[ch],printer.c,scld.c,simpleide.[ch],snapshot.c,ui/gtk/gtkui.c,
	 widget/menu.c,z80/z80.[ch],zxatasp.c,zxcf.c: allow distinction between
	 "soft" resets (activing the reset line on the Z80) and "hard" resets
	 (pulling the power). Needed for DivIDE and +D.
20070617 disk/plusd.c: fix plusd_memory_map() and remove unused variable
	 (plusd_20070609) (Stuart).
20070617 disk/wd1770.h: fix typo in comment (plusd_20070609) (Stuart).
20070617 disk/plusd.c,machine.c: clear the +D RAM only upon a hard reset, and
	 perform a hard reset when selecting a machine (plusd_20070609)
	 (Stuart).
20070617 man/fuse.1,ui/win32/win32ui.c,z80/coretest.c: fix compilation of
	 coretest, document hard resets in the man page and fix the reset menu
	 option for the Win32 UI (Stuart).
20070617 merge plusd_20070609 branch into trunk (Stuart).
20070617 memory.c: remove unused #includes (Stuart).
20070618 machine.c,spectrum.h,ula.[ch],machines/{pentagon.c,scorpion.c,
	 spec128.c,spec16.c,spec48.c,specplus2a.c,specplus2.c,specplus3.c,
	 specplus3e.c,spec_se.c,tc2048.c,tc2068.c,ts2068.c},z80/{coretest.c,
	 z80_macros.h,z80.pl}: separate out contention when MREQ isn't active,
	 as the +2A/+3 ULA applies contention only when MREQ is active (fixes
	 bug #1723250).
20070622 widget/widget.c,ui/xlib/xdisplay.c: show emulation speed in titlebar
         (part of bug #1686228) (Gergely Szasz).
20070624 ui/xlib/xdisplay.c: formatting fixes (part of bug #1686228) (Gergely
         Szasz).
20070624 ui/xlib/xui.c: set minsize WM hint so we don't resize down to
         nothing, and remove common factors from aspect hints (part of bug
         #1686228) (Gergely Szasz).
20070624 ui/xlib/xui.c: formatting fixes (part of bug #1686228) (Gergely
         Szasz).
20070625 sound/alsasound.c: reduce underruns in ALSA environment (fixes bug
         #1735390) (Gergely Szasz).
20070626 widget/options.pl: move widget posthook so that settings changes are
         available in the uidisplay_hotswap_gfx call (fixes bug #1743318)
         (Gergely Szasz).
20070628 zxatasp.c: remove dead code (Stuart).
20070628 machines/specplus3.c,trdos.c: use better variable names for temporary
	 disk image filenames (Stuart).
20070628 display.c,zxcf.h: remove warnings with -Wstrict-prototypes (Stuart).
20070628 machines/{pentagon.c,scorpion.c,spec16.c,spec48.c,spec_se.c,
	 specplus2a.c,tc2048.c},ui/scaler/scalers.c: remove "'static' is not at
	 beginning of declaration" warning with -Wextra (Stuart).
20070628 menu.h,ui/gtk/gtkjoystick.c: fix menu_options_joysticks_select()'s
	 prototype (Stuart).
20070628 pokefinder/pokefinder.[ch]: make pokefinder_{,im}possible's
	 declarations consistent with their definitions (fixes bug #1732504)
	 (Stuart).
20070628 ui/gtk/memory.c: fix type of menu_machine_memorybrowser() in its
	 declaration for the GTK+ UI (Stuart).
20070628 ui/gtk/memory.c: fix compilation (Stuart).
20070628 ChangeLog,compat.h,debugger/{breakpoint.c,commandl.l,commandy.y,
	 expression.c},display.c,event.c,hacking/{implementation_notes.txt,
	 input.txt,ui.txt},if1.c,machines/tc2068.c,memory.c,printer.c,
	 spectrum.c,tape.c,ui/xlib/{xdisplay.h,xerror.c},utils.[ch],
	 z80/{coretest.c,z80.c,z80_ops.c}: fix misspellings (Stuart).
20070629 widget/{widget.c,options.pl},ui/options.dat: move
         uidisplay_hotswap_gfx_mode directly to widget_options_finish (more
         from bug #1743318) (Gergely Szasz).
20070630 ui/xlib/{xui.c,xdisplay.c}: allow the use of 3x scalers and add the
         ability for the window to resize itself (more of bug #1686228) (Gergely
         Szasz).
20070630 ui/xlib/xdisplay.c: support more colour depths and more scalers (more
         of bug #1686228) (Gergely Szasz).
20070701 machines/specplus3.c: if we can't figure out the dirty state, only
	 write if requested to do so (Fred).
20070701 disk/plusd.c: add some more information to errors in plusd_disk_insert
         (Fred).
20070701 configure.in,ui/gtk/{gtkkeyboard.c,gtkinternals.h,gtkui.c,stock.c}:
	 remove GTK+ 1.x UI. Outdated, and didn't link.
20070703 utils.c,display.c,fuse.c,compat.h,widget/{filesel.c,error.c},
         sound/sdlsound.c,compat/{getopt.c,getopt1.c},settings.pl,
         ui/sdl/sdlui.c: patches for MorphOS (patch #1746269) (Q-Master).
20070703 fuse.c: clean up #ifdefs (Stuart).
20070704 z80/z80.c: don't page in the +D on startup (fixes bug #1746073)
	 (thanks, Fred) (Stuart).
20070704 z80/coretest.c: remove dead code (Stuart).
20070704 disk/{plusd.[ch],wd1770.c},display.c,if1.c,machines/{pentagon.c,
	 scorpion.c,specplus2.c,specplus2a.c,specplus3e.c},profile.c,
	 screenshot.c,timer.c,ui/gtk/{browse.c,fileselector.c,memory.c,
	 pokefinder.c,rollback.c}: various cleanups (Stuart).
20070705 z80/z80_ops.c: speed up z80_do_opcodes() with +D enabled (thanks, Fred)
	 (Stuart).
20070706 z80/z80_ops.c: fix non-gcc compilation (Fred).
20070707 ChangeLog: chuck in a few entries as we go (Fred).
20070707 ChangeLog: fix reset attribution (thanks, Stuart) (Fred).
20070707 ui/win32/win32ui.c: fix compilation without lib765 (Stuart).
20070707 ui/win32/menu_data.{c,h,rc}: add hard reset and +D menu items, and
	 disable RS-232 and Sinclair Network menu items in Win32 UI (Stuart).
20070715 ui/win32/{win32display.c,win32ui.c}: coding style cleanups (Stuart).
20070715 ui/win32/{error.c,statusbar.c,win32display.c}: more cleanups (Stuart).
20070715 ui/win32/debugger.c: fix single stepping in the Win32 UI's debugger
	 (Stuart).
20070715 disk/{plusd.c,wd1770.[ch]}: coding style cleanups (Stuart).
20070720 sound/sfifo.c,ui/{ggi/{ggi_internals.h,ggidisplay.c,ggikeyboard.c,
	 ggiui.c},gtk/gtkmouse.c,win32/{win32display.c,win32display.h}}: use
	 '#include <config.h>' instead of '#include "config.h"' (Stuart).
20070727 configure.in,utils.[ch]: remove use of mmap(): added complexity for
	 no real benefit.
20070727 disk/plusd.c,divide.c,if1.c,if2.c,joystick.c,kempmouse.c,keyboard.c,
	 machines/specplus3.c,memory.c,module.c,periph.c,printer.c,scld.c,
	 simpleide.c,tape.c,ui/gtk/{browse.c,debugger.c,gtkjoystick.c,
	 gtkmouse.c,gtkui.c,pokefinder.c,rollback.c},z80/z80.c,zxatasp.c,
	 zxcf.c: some -Wextra tidyup (not finished yet).
20070729 menu_data.pl,printer.c,settings.pl,ui/gtk/{debugger.c,gtkjoystick.c,
	 gtkmouse.c,pokefinder.c,stock.c},z80/coretest.c: more -Wextra tidyup.
20070730 Makefile.am,configure.in,fuse.c,sound/{Makefile.am,alsasound.c,
	 aosound.c,coreaudiosound.c,dxsound.c,hpsound.c,lowlevel.h,nullsound.c,
	 osssound.c,sdlsound.c,sfifo.c,sound.c,sunsound.c},spectrum.c,timer.c:
	 move sound selection logic into configure.in (patch #1763265).
20070730 utils.c: mmap no longer used.
20070730 Makefile.am,configure.in,event.c,fuse.c,rzx.c,spectrum.c,tape.c,
	 timer.[ch],timer/{Makefile.am,sdl.c,timer.c,timer.h,unix.c,win32.c},
	 ui/gtk/gtkui.c,widget/widget.c: move timer code selection logic into
	 configure.in.
20070731 configure.in: fix spelling of ALSA (thanks, Gergely).
20070731 configure.in,compat/{Makefile.am,dirname.c,getopt.c,getopt1.c,
	 mkstemp.c}: move compatability detection logic into configure.in.
20070731 timer/{Makefile.am,sdl.c,unix.c,win32.c}: add missing properties and
	 fix initial comments (Stuart).
20070802 machines/tc2048.c: correct joystick port mask on TC2048 (verified on
         real hardware) (Fred).
20070803 configure.in,timer/timer.h: move timer header selection logic into
	 configure.in.
20070803 sound/alsasound.c: release code should not dump 100 lines of stuff
	 onto the console.
20070804 configure.in,fuse.c,compat/Makefile.am,compat/amiga/Makefile.am,
	 compat/morphos/{Makefile.am,osname.c},compat/unix/{Makefile.am,
	 osname.c},compat/win32/{Makefile.am,osname.c}: move OS name function
	 selection into configure.in.
20070804 compat.h,settings.pl,trdos.c,utils.c,compat/amiga/{Makefile.am,
	 paths.c},compat/morphos/Makefile.am,compat/unix/{Makefile.am,paths.c},
	 compat/win32/{Makefile.am,paths.c}: move pathname functions into
	 compatability directories.
20070804 configure.in: remove debug mode as its not used anywhere.
20070806 compat/unix/osname.c: ensure we have the prototype for strerror()
         (Fred).
20070806 tape.[ch],ula.c: enable beeper output for MIC bit (an attempt at
         feature request #1763114) (Fred).
20070806 keysyms.pl,ui/fb/{fbdisplay.c,fbjoystick.c,fbkeyboard.c,fbmouse.c,
	 fbui.c},ui/ggi/{ggi_internals.h,ggidisplay.c,ggikeyboard.c,ggiui.c},
	 ui/gtk/{binary.c,browse.c,confirm.c,debugger.c,fileselector.c,
	 gtkdisplay.c,gtkjoystick.c,gtkkeyboard.c,gtkmouse.c,gtkui.c,memory.c,
	 picture.c,roms.c,statusbar.c},ui/sdl/{sdldisplay.c,sdljoystick.c,
	 sdlkeyboard.c,sdlui.c},ui/svga/{svgadisplay.c,svgajoystick.c,
	 svgakeyboard.c,svgaui.c},ui/win32/{debugger.c,error.c,statusbar.c,
	 win32display.c,win32display.h,win32keyboard.c,win32ui.c},
	 ui/xlib/{xdisplay.c,xerror.c,xjoystick.c,xkeyboard.c,xui.c}:
	 remove unnecessary #ifdefs.
20070806 fuse.c: remove duplicated constant.
20070806 widget/{browse.c,debugger.c,error.c,filesel.c,menu.c,picture.c,
	 query.c,roms.c,select.c,text.c,widget.[ch]}: remove unnecessary
	 #ifdefs.
20070806 ui/gtk/fileselector.c: replace deprecated GtkFileSelection with
	 GtkFileChooserDialog. TODO: reimplement "current directory"
	 functionality.
20070807 Makefile.am,compat/win32/osname.c,configure.in: fix dependency on
	 libcompatos.a on non-Unix systems, fix MinGW build and fix compilation
	 of Win32 compat_osname() (Stuart).
20070810 ui/uijoystick.c,utils.h: fix compilation and remove redundant
	 prototypes (Stuart).
20070811 disk/plusd.c: various cleanups (Stuart).
20070812 disk/plusd.c: ignore the cmdint line (thanks, Gergely) (Stuart).
20070812 disk/{wd1770.c,wd1770.h}: implement the "write track" command
	 (patch #1768962) (Gergely Szasz).
20070812 ChangeLog: add more items, fix wordwrapping (Stuart).
20070812 machines/{spec16.c,tc2048.c}: allow the +D to be used with the 16K
	 Spectrum and the TC2048 (thanks, Gergely and Fred) (Stuart).
20070816 periph.c: fix IF2 menu activation (Fred).
20070817 timer/unix.c: ensure we have the prototype for strerror() (Fred).
20070817 Makefile.am,compat/unix/{osname.c,paths.c},debugger/{breakpoint.c,
	 command.c,commandy.y,debugger.c,disassemble.c,expression.c},
	 disk/{plusd.c,plusd.h,wd1770.c,wd1770.h},keysyms.pl,
	 machines/{machines.h,pentagon.c,scorpion.c,spec128.c,spec128.h,
	 spec16.c,spec48.c,spec48.h,spec_se.c,specplus2.c,specplus2a.c,
	 specplus3.c,specplus3.h,specplus3e.c,tc2048.c,tc2068.c,tc2068.h,
	 ts2068.c},menu_data.pl,pokefinder/pokefinder.c,settings.pl,
	 sound/{alsasound.c,aosound.c,coreaudiosound.c,dxsound.c,hpsound.c,
	 nullsound.c,osssound.c,sdlsound.c,sunsound.c},timer/{timer.c,unix.c},
	 ui/{gtk/{Makefile.am,binary.c,browse.c,confirm.c,debugger.c,
	 gtkdisplay.c,gtkjoystick.c,gtkkeyboard.c,gtkmouse.c,gtkui.c,memory.c,
	 options-header.pl,options.pl,picture.c,pokefinder.c,rollback.c,roms.c,
	 statusbar.c},scaler/{Makefile.am,scaler.c,scalers.c},sdl/{Makefile.am,
	 sdldisplay.c,sdljoystick.c,sdlkeyboard.c,sdlui.c},ui.h,uijoystick.c,
	 xlib/{Makefile.am,xdisplay.c,xerror.c,xkeyboard.c,xui.c}},
	 widget/{Makefile.am,browse.c,debugger.c,error.c,filesel.c,memory.c,
	 menu.c,options.pl,picture.c,pokefinder.c,query.c,roms.c,widget.c,
	 widget.h},z80/{Makefile.am,coretest.c,z80.c,z80.pl,z80_ops.c}: enable
	 Fuse to build in directories other than the source directory itself.
20070817 debugger/debugger_internals.h,keyboard.h,machines/scorpion.h,
	 widget/widget_internals.h: remove pointless conditional inclusion of
	 headers.
20070817 scorpion.h: fix up header path.
20070817 menu_data.pl: fix up menu.h path (thanks, Fred and Stuart).
20070817 compat/win32/{osname.c,paths.c},ui/win32/{Makefile.am,debugger.c,
	 error.c,menu_data.c,pokefinder.c,statusbar.c,win32display.c,
	 win32keyboard.c,win32ui.c}: allow a builddir to be specified when
	 building for Win32 (Stuart).
20070819 pokefinder/{pokefinder.c,Makefile.am},menu_data.pl,widget/{browse.c,
         menu.c,query.c,memory.c,picture.c,roms.c,widget.c,filesel.c,
         debugger.c,options.pl,pokefinder.c,Makefile.am,widget.h,error.c},
         debugger/{breakpoint.c,command.c,expression.c,debugger.c,Makefile.am,
         disassemble.c,commandy.y},machines/{scorpion.h,spec16.c,ts2068.c,
         spec48.c,pentagon.c,spec48.h,specplus2.c,spec_se.c,specplus2a.c,
         specplus3.c,tc2048.c,spec128.c,tc2068.c,specplus3.h,specplus3e.c,
         Makefile.am,spec128.h,tc2068.h,scorpion.c,machines.h},
         sound/{sunsound.c,hpsound.c,coreaudiosound.c,nullsound.c,dxsound.c,
         Makefile.am,aosound.c,alsasound.c,sdlsound.c,osssound.c},
         disk/{wd1770.h,plusd.c,Makefile.am,wd1770.c,plusd.h},keysyms.pl,
         timer/{timer.c,unix.c,Makefile.am},z80/{z80.c,z80_ops.c,Makefile.am,
         coretest.c},compat/win32/{paths.c,osname.c,Makefile.am},
         compat/unix/{paths.c,osname.c,Makefile.am},compat/morphos/Makefile.am,
         compat/Makefile.am,compat/amiga/Makefile.am,ui/svga/Makefile.am,
         ui/sdl/{sdlui.c,sdljoystick.c,sdlkeyboard.c,Makefile.am,sdldisplay.c},
         ui/win32/{win32ui.c,statusbar.c,win32keyboard.c,debugger.c,
         pokefinder.c,Makefile.am,win32display.c,error.c,menu_data.c},ui/ui.h,
         ui/gtk/{gtkmouse.c,browse.c,gtkjoystick.c,gtkkeyboard.c,statusbar.c,
         memory.c,gtkdisplay.c,picture.c,roms.c,gtkui.c,options.pl,debugger.c,
         binary.c,pokefinder.c,Makefile.am,rollback.c,confirm.c},
         ui/ggi/Makefile.am,ui/fb/Makefile.am,ui/scaler/{Makefile.am,scaler.c,
         scalers.c},ui/Makefile.am,ui/xlib/{xerror.c,xui.c,Makefile.am,
         xkeyboard.c,xdisplay.c},ui/uijoystick.c: use AM_CPPFLAGS rather than
         change every header inclusion to be relaive to the current directory
         (Fred).
20070819 disk/wd1770.c: fix restore and seek commands and implement 'read
	 address' command (Stuart).
20070819 disk/wd1770.c: don't use a hardcoded sector number for the read
	 address command -- use the sector base for the current disk image,
	 instead (Stuart).
20070819 disk/plusd.c,disk/wd1770.[ch]: cleanup disk drive emulation (Stuart).
20070819 disk/wd1770.c: fix a logic error in the read address emulation, and
	 treat the command byte 'ff' as a force interrupt command (needed for
	 Betadisk emulation) (Stuart).
20070819 disk/plusd.c,trdos.c: avoid accumulation of index pulse events
	 (fixes bug #1764981) (Stuart).
20070821 machine.c,memory.h: note when we have loaded a custom ROM (Fred).
20070821 trdos.c: correct snapshot register writing (Fred).
20070821 if2.c: fix bracket indentation (Fred).
20070821 disk/plusd.c: correct default ROM loading (Fred).
20070821 disk/plusd.c: clean up +D RAM code (Stuart).
20070823 ui/sdl/sdldisplay.c: update screen when only the statusbar has changed
         (thanks, Gergely) (Fred).
20070828 TODO: remove unused file; handled by SF trackers.
20070829 compat.h,compat/{amiga,unix,win32}/paths.c,utils.[ch]: move
	 utils_is_absolute_path() into compatability directories.
20070830 compat.h,widget/filesel.c: fix up widget builds.
20070830 ui/xlib/xdisplay.c: remove debugging bloat.
20070831 BRANCH: xvideo-2007-08-31 for integrating Gergely's xvideo code
	 (patch #1686228).
20070901 fuse.c,profile.[ch]: prevent snapshots from triggering the assert
	 in profile.c (fixes bug #1727669).
20070901 event.c,sound/sfifo.c,ui/{gtk/gtkui.c,xlib/xdisplay.c},
	 widget/filesel.c: return value of malloc() shouldn't be cast.
20070902 debugger/breakpoint.c: fix typo which prevented timed breakpoints
	 from working properly.
20070903 compat/morphos/osname.c: add missing return value from compat_osname
         (thanks, Q-Master) (Fred).
20070903 ui/gtk/fileselector.c: reimplement "last directory" functionality
	 (and some obvious refactoring).
20070903 fuse.c: add missing #include (Stuart).
20070904 disk/plusd.c,divide.c: clear plusd_active and divide_active on a reset
	 (fixes bug #1755555) (Stuart).
20070904 disk/plusd.[ch],periph.c: register plusd_peripherals in periph_setup()
	 instead of periph_update(), and modify +D IO port handlers to return
	 when the +D is not available (fixes #1771585) (Stuart).
20070904 Makefile.am: distribute the timer directory (Stuart).
20070904 z80/coretest.c: remove unused variable (Stuart).
20070905 Makefile.am: allow windres.o to build from a directory other than the
	 source directory (Stuart).
20070905 Makefile.am,debugger/Makefile.am,lib/Makefile.am,ui/gtk/Makefile.am,
	 z80/Makefile.am: clean generated files on 'make clean' etc.
20070905 ui/{fb/Makefile.am,ggi/Makefile.am,sdl/Makefile.am,svga/Makefile.am,
	 win32/Makefile.am,xlib/Makefile.am},widget/Makefile.am: clean more
	 generated files on 'make clean' (Stuart).
20070905 ui/ggi: remove unused directory.
20070905 ui/{fb/Makefile.am,svga/Makefile.am}: allow building from a directory
	 other than the source directory (Stuart).
20070905 ui/svga/Makefile.am: add missing '/' (Stuart).
20070905 ui/fb/fbkeyboard.c: fix compilation (Stuart).
20070905 configure.in: fix compilation when target_os is mingw32msvc (Stuart).
20070905 configure.in: add --without-libxml2 option (Stuart).
20070905 Makefile.am: use $@.tmp consistently (Stuart).
20070905 configure.in: fix --without-libxml2, add --without-libsamplerate
	 option, tidy up --with-disk-prefix help and rename --with-joystick to
	 --without-joystick in help (Stuart).
20070906 ui/win32/{menu_data.c,menu_data.h,menu_data.rc,win32internals.h}:
	 update menu items, clean up #includes, move handle_menu() prototype
	 and remove redundant menu_machine_pokefinder() prototype (Stuart).
20070906 compat/win32/osname.c: fix up warnings (Stuart).
20070908 ui/win32/{options-header.pl,options-resource.pl,options.pl}: add code
	 to generate options dialogs for Win32 UI (Stuart).
20070908 ui/win32/menu_data.rc: fix compilation without libpng (Stuart).
20070908 ui/gtk/fileselector.c: give the save dialog its save button back.
20070909 settings.pl: fix up a couple of memory leaks.
20070910 machines/specplus3.c: fix another memory leak.
20070919 z80/z80.pl: various non-MREQ contention fixes.
20070928 disk/wd1770.c: fix seek/restore command decoding (Stuart).
20070928 event.[ch]: add 'user_data' event field (Gergely and Stuart).
20070928 disk/{Makefile.am,crc.[ch],disk.[ch],fdd.[ch],plusd.[ch],wd1770.[ch]},
	 event.[ch]: new WD17xx emulation, with support for non-uniform sector
	 layouts (part of patch #1779138) (Gergely Szasz).
20070928 Makefile.am,configure.in,event.c,fuse.c,menu.c,menu_data.dat,
	 periph.[ch],printer.c,tape.c,ui/{gtk/gtkui.c,options.dat,
	 win32/{menu_data.[ch],menu_data.rc,win32ui.c}},ui.c,utils.c,
	 widget/menu.c,z80/{coretest.c,z80_ops.c}: make libdisk.a no longer
	 depend on libdsk (Stuart).
20071003 disk/wd1770.c: small tidyups.
20071003 sound.c: reindent (Stuart Brady).
20071005 disk/{Makefile.am,plusd.[ch],wd_fdc.[ch]},event.[ch]: rename
	 wd1770.[ch] to wd_fdc.[ch], and s/wd1770/wd_fdc/ (Stuart).
20071006 configure.in: amiga should be detected as amigaos instead of just
         amiga (Thanks, Chris Young) (Fred).
20071007 roms/{plus3e-0.rom,roms/plus3e-1.rom,roms/plus3e-2.rom}: update to
         v1.31 of the +3e ROMs (feature request #1808657) (Fred).
20071016 disk/wd_fdc.h,event.c,profile.c,sound/alsasound.c: warnings removal.
20071016 disk/{crc.c,disk.c,fdd.c,plusd.c,wd_fdc.c}: remove unnecessary
	 header files.
20071019 disk/{fdd.[ch],wd_fdc.[ch]}: remove unnecessary 'direction' member
	 of fdd_t (Stuart).
20071019 disk/{plusd.[ch]},event.[ch]: remove unused event (Stuart).
20071019 disk/disk.c: remove stray semicolon in open_trd() (Stuart).
20071019 Makefile.am,disk/{Makefile.am,beta.[ch],disk.h,wd_fdc.h},event.c,
	 event.h,fuse.c,machines/{pentagon.c,scorpion.c,spec128.c},man/fuse.1,
	 menu.c,menu_data.dat,snapshot.c,tape.c,trdos.[ch],ui/{gtk/gtkui.c,
	 ui.h,win32/{menu_data.[ch],menu_data.rc,win32ui.c}},ui.c,utils.c,
	 widget/menu.c,z80/{coretest.c,z80.c,z80_ops.c}: use new WD FDC code
	 for Beta disk interface emulation (patch #1772618) (Stuart).
20071021 machines/{pentagon.c,scorpion.c,spec128.c,specplus2.c,specplus2a.c,
	 specplus3.c, specplus3e.c}: tidy up a few Valgrind reported errors.
20071021 ay.c: initialise on machine reset (prevents a lot of Valgrind
	 warnings on the 2068 machines).
20071021 disk/{disk.c,plusd.c,wd_fdc.c}: formatting fixes (Stuart).
20071021 disk/{disk.c,fdd.c,wd_fdc.c}: more formatting fixes (Stuart).
20071021 disk/wd_fdc.c: remove fdc_list (part of patch #1779138).
20071021 disk/wd_fdc.c,event.[ch]: add timeout event (part of patch #1779138)
	 (Gergely Szasz).
20071022 Makefile.am,bitmap.h,disk/{disk.c,fdd.c}: add and use bitmap functions
	 for 'clocks' bitmaps (Stuart).
20071022 disk/{disk.c,wd_fdc.c}: remove TR-DOS workaround, fix formatting, add
	 missing prototypes and use functions instead of macros for CRC_ADD and
	 CRC_PRESET (Stuart).
20071022 disk/wd_fdc.c: fix typo (Stuart).
20071022 disk/{beta.c,plusd.c,wd_fdc.c,wd_fdc.h}: rename cmdint to intrq
	 (Stuart).
20071023 event.c: handle EVENT_TYPE_WD_FDC_TIMEOUT in event_name() (Stuart).
20071023 machines/{pentagon.c,scorpion.c}: don't do beta_reset until we've
         initialised the 128 memory system as beta_reset calls
         machine_current->memory_map() (Fred).
20071023 disk/disk.c: fix Gap IV in open_td0() (thanks, Gergely) (Stuart).
20071023 disk/disk.c: tidyup comments (Stuart).
20071023 disk/beta.c: remove redundant step rates (thanks, Gergely) (Stuart).
20071023 disk/wd_fdc.c: add timeout for Read Address command (part of patch
	 #1779138) (Gergely Szasz).
20071023 z80/{Makefile.am,z80_checks.h,z80_ops.c}: use enumerated feature checks
	 (patch #1785743) (Stuart).
20071023 ChangeLog: add more entries (Stuart).
20071024 fuse.c,if1.c,rzx.c,sound/{aosound.c,sdlsound.c},ui/gtk/debugger.c,
         ui.c,utils.c: tidy up error messages (Stuart).
20071024 ChangeLog,machine.c,machines/{Makefile.am,machines.h,pentagon.c,
	 pentagon1024.c},menu.c,roms/Makefile.am,settings.dat,settings.pl,
	 spectrum.h,tape.c: add Pentagon 512 and Pentagon 1024 emulation
	 (part of patch #1774492) (Q-Master).
20071024 machines/pentagon1024.c: move beta_reset() (Stuart).
20071024 widget/filesel.c: move INPUT_KEY_Return handler into a function
	 to simplify drive selection on Win32 (Stuart).
20071024 widget/filesel.c: add drive selection for Win32 (Stuart).
20071024 widget/filesel.c: fix compilation and improve error handling for
	 drive selection (Stuart).
20071025 machines/{pentagon.c,pentagon1024.c}: fix activation of Beta disk
	 interface on reset (Stuart).
20071025 man/fuse.1: updates for Pentagon 512/1024 emulation (Stuart).
20071025 fuse.c,widget/filesel.c: set error handling mode on Win32 (thanks,
	 Jon Needle), and use chdir() for drive selection on Win32 (Stuart).
20071026 ChangeLog,compat/{amiga/paths.c,unix/paths.c,win32/paths.c},
         configure.in: fix typos (Stuart).
20071027 menu.c,menu_data.dat,settings.pl: allow the +D ROM to be customised
         (Fred).
20071027 disk/disk.c: add #include <string.h> for various prototypes (Fred).
20071027 menu.c,menu_data.dat,settings.pl: rearrange ROMs (Stuart).
20071028 keyboard.c,ula.c: fix up ULA handling for 128K / +3 machines. Also
	 move a variable from keyboard.c to ula.c where it makes a lot more
	 sense for it to be. (Fixes bug #1821604).
20071028 z80/z80.pl: LD[DI]R were applying contention when they shouldn't on
	 the +3 (fixes bug #1821389).
20071104 ui/options.dat: fix letter case for "Issue 2 keyboard" option (Stuart).
20071105 machines/{machines.h,pentagon.c,pentagon1024.c,scorpion.c,spec128.c,
	 spec16.c,spec48.[ch],spec_se.c,specplus2.c,specplus2a.c,
	 specplus3.[ch],specplus3e.c,tc2048.c,tc2068.c,ts2068.c},spectrum.h,
	 ula.c: high ports can be contended on the 128K/+2. Also, rename
	 a member to more accurately describe what it does. (fixes bug
	 #1825241).
20071106 z80/{z80.pl,z80_ops.c}: fix smallmem compilation (fixes bug #1726014)
	 (Stuart).
20071109 Makefile.am,configure.in,compat/Makefile.am: directly include compat
         files in fuse_SOURCES removing use of libcompat.a as Mac OS X can't
         do empty ar archives (patch #1827454) (Fred).
20071109 if1.c: fix typos in comments (Stuart).
20071109 menu.c,menu.h,ui/{gtk/{binary.c,fileselector.c,gtkui.c,roms.c},
	 ui.h,win32/win32ui.c},widget/{filesel.c,menu.c}: rename
	 menu_get_{open,save}_filename() to ui_get_{open,save}_filename() and
	 move widget_get_filename() to filesel.c (Stuart).
20071109 ui/{gtk/gtkui.c,win32/win32ui.c},ui.c,widget/menu.c: move
	 ui_{tape,{plus3,beta,plusd}_disk}_write() into ui.c (Stuart).
20071109 disk/{beta.c,plusd.c},machines/specplus3.c,ui/{gtk/confirm.c,ui.h,
	 win32/win32ui.c},ui.c,widget/widget.c: add varargs support to
	 ui_confirm_save() and use more detailed messages when ejecting
	 +3, +D and Beta disks (part of feature request #1828228) (Stuart).
20071109 ui/{gtk/gtkui.c,win32/win32ui.c},ui.c: move #include "tape.h" to
	 where it's needed.
20071109 ui/fb/{fbdisplay.c,fbmouse.c}: fix warnings (Stuart).
20071111 if1.[ch],menu.[ch],menu_data.dat,ui/ui.h,ui.c,utils.c: rewrite
	 Microdrive cartridge insertion/ejection code (fixes bugs #1828225 and
	 1828984) (Stuart).
20071111 disk/disk.[ch]: remove 'filename' member of disk_t (Stuart).
20071112 menu_data.pl,ui/win32/{menu_data.[ch],menu_data.rc}: update menu data
	 for the Win32 UI (Stuart).
20071112 menu_data.pl: remove dead code (Stuart).
20071112 hacking/tc2048_tech_notes.txt,machines/{tc2048.c,tc2068.c}: contention
         tweak for TC2048 and TC2068 based on test programs from Phil and
         Mark Woodmass (Fred).
20071112 machines/pentagon.c: revert spec128 memory port change arising from
         Pentagon 512 and Pentagon 1024 emulation merge (patch #1774492), as it
         breaks the Eyeache 2 demo at least (fixes bug #1829280) (Fred).
20071115 if1.c: unformatted Microdrive cartridge fixes (patch #1769451)
	 (Gergely Szasz).
20071115 disk/plusd.c,z80/z80_ops.c: activate +D on reset and when executing
	 at 0x028e (KEY-SCAN) (Stuart Brady).
20071117 disk/plusd.c: ensure we get a prototype for memset (Fred).
20071117 if2.c, machine.c: fix loading Interface II ROMs (thanks, Stuart Brady)
	 (Fred).
20071118 sound/sdlsound.c: don't use power of two sound buffers on Amiga
         (more of patch #1712260) (Chris Young).
20071118 menu.c,menu_data.dat: simplify menu_media_disk_{insert,eject} action
	 encoding (thanks, Gergely) (Stuart).
20071119 ui/win32/{Makefile.am,menu_data.c,menu_data.h,menu_data.rc}: remove
	 pregenerated Win32 menu data, and a add phony target to generate the
	 Win32 menu data (Stuart).
20071119 disk/wd_fdc.c: clear busy status for a read address command when no
	 address mark is found (part of patch #1834231) (Gergely Szasz).
20071119 disk/{beta.c,wd_fdc.[ch]}: intrq/datarq fixes (more of patch #1834231)
	 (Gergely Szasz).
20071119 if1.[ch],menu.[ch],menu_data.dat: combine menu_media_disk_*() and
	 menu_media_mdr_*() into menu_media_*(), and use a null filename to
	 request a blank image (more of patch #1834231) (Gergely Szasz).
20071119 disk/{beta.c,plusd.c},menu.c,menu_data.dat: add UI to insert blank
	 +D and Beta disks (more of patch #1834231) (Gergely Szasz).
20071119 menu_data.dat,ui.c: rename set/remove write protect options to
	 enable/disable (Stuart).
20071119 disk/disk.c: mark newly inserted disks as not dirty (more of patch
	 #1834231) (Gergely Szasz).
20071119 disk/{beta.[ch],disk.c,fdd.[ch],plusd.[ch]},menu.c,menu_data.dat,
	 ui/ui.h,ui.c: add write protect options for +D and Beta disks (rest
	 of patch #1834231) (Gergely Szasz).
20071119 disk/{beta.[ch],plusd.[ch]},machines/{specplus3.[ch]},menu.c,tape.[ch]:
	 don't autoload tapes and disks when using the Media menu (feature
	 request #1828224) (Stuart).
20071120 man/fuse.1: update man page for recent media UI changes (Stuart).
20071120 compat/win32/osname.c: work around a suspected Wine (or MinGW) bug
	 (Stuart).
20071120 disk/disk.c: fix disk density autodetection (patch #1835229) (Gergely
	 Szasz).
20071120 disk/disk.c: support variable length tracks and fine tune density
	 autodetection (patch #1835402) (Gergely Szasz).
20071121 Makefile.am,z80/tests/Makefile.am: distribution fixes (Stuart).
20071121 widget/widget.h: remove unused variable (thanks, Gergely) (Stuart).
20071121 utils.c: remove duplicated #includes (Stuart).
20071122 kempmouse.c: don't mark ports as attached when the interface is
	 disabled (fixes bug #1541497) (Stuart).
20071122 machines/{pentagon.c,scorpion.c}: if another device has marked a port
	 as attached, don't allow this to affect the value returned (Stuart).
20071122 machines/{pentagon.c,scorpion.c}: add missing initial values (Stuart).
20071122 disk/beta.c: return 0xff for unattached ports (Stuart).
20071122 machines/pentagon1024.c: fix for already attached ports (Stuart).
20071122 ui/win32/{win32internals.h,win32ui.c}: fix duplicated variable
	 definitions (Stuart).
20071122 if1.[ch],machines/{spec128.c,spec16.c,spec48.c,spec_se.c,specplus2a.c,
	 specplus3.c,tc2048.c},periph.c: move specification of if1 ports into
	 if1.c (Stuart).
20071122 machines/{pentagon.c,pentagon1024.c,scorpion.c}: remove redundant
	 *_select_ff_read() functions (Stuart).
20071123 fuse.c,machines/{Makefile.am,machines.h,pentagon.c,pentagon512.c,
         pentagon1024.c},menu.c,menu_data.dat,settings.dat,settings.pl:
         separate Pentagon variants ROM images and change settings to refer
         to beta rather than trdos (patch #1833435) (Fred).
20071124 machines/pentagon512.c: fix file mode (thanks, Phil) (Fred).
20071124 machines/pentagon512.c: spec128_memoryport_write has the same port
         and mask as the 128k Pentagon (thanks, Q-Master) (Fred).
20071124 disk/{plusd.c,beta.c}: add support for +D snapshots and mark beta as
         active when saving Pentagon and Scorpion snapshots (patch #1782512)
         (Fred).
20071126 ui/gtk/pokefinder.c: display an error message if the search value is
	 invalid (Stuart).
20071126 machines/pentagon1024.c: fix Betadisk (fixes bug #1838612) (Q-Master).
20071126 machines/pentagon1024.c: remove duplicate functions (thanks, Q-Master)
         (bug #1838612) (Fred).
20071126 machines/{Makefile.am,machines.h,pentagon.[ch],pentagon1024.c,
	 pentagon512.c,scorpion.c}: share peripherals array for Pentagon 128
	 and Pentagon 512, and move Pentagon-specific declarations into
	 pentagon.h (Stuart).
20071126 machines/scorpion.c: remove duplicate function (Stuart).
20071126 machines/{pentagon.[ch],pentagon1024.c,scorpion.c}: fix Pentagon and
	 Scorpion unattached port and port 0xff handling (thanks, Q-Master)
	 (Stuart).
20071127 ui/gtk/binary.c: validate the length and start fields, and allow a
	 length of 65536 to be used (fixes bug #1715764) (Stuart).
20071128 ChangeLog: update.
20071128 ChangeLog: tidy up (Stuart).
20071128 profile.c: close the file after writing, and open it in text mode
	 (Stuart).
20071202 man/fuse.1: cleanups (Stuart).
20071203 ay.c,disk/{beta.c,plusd.c,wd_fdc.c},divide.c,if1.c,if2.c,joystick.c,
         memory.c,module.[ch],printer.c,profile.c,scld.c,simpleide.c,slt.c,
         snapshot.c,ula.c,z80/z80.c,zxatasp.c,zxcf.c: separate enabling of
         hardware in snapshots from the main snapshot load code so that
         peripherals are enabled when the machine and module reset functions
         are called - fixes loading snapshots with the +D paged in (thanks,
         Jonathan Needle for test +D szx snapshots) (Fred).
20071203 ay.c: add #include <string.h> for memset prototype (Fred).
20071203 sound/alsasound.c: increase NUM_FRAMES to avoid buffer underruns
	 (Stuart).
20071203 sound/alsasound.c: set avail_min to 1/2 of period_size and fix
	 reading of ALSA options (fixes bug #1750603) (Gergely Szasz).
20071203 if1.c: rename IN and WP to MDR_IN and MDR_WP (avoids warnings
	 under Win32) (Stuart).
20071203 input.c,ui/sdl/sdlui.c: pause emulation while displaying the exit
	 dialog (Stuart).
20071203 ui/win32,ui/win32/{Makefile.am,icons}: ignore generated files and
	 distribute icons directory (Stuart).
20071203 ui/win32/win32ui.c: implement pausing (Stuart).
20071204 disk/plusd.c: use MEMORY_PAGE_SIZE define (Fred).
20071204 disk/beta.[ch]: remove unused function (Stuart).
20071204 disk/beta.[ch],machines/{pentagon.c,pentagon1024.c,pentagon512.c,
	 scorpion.c,spec128.c,specplus2.c},periph.[ch],settings.dat,
	 ui/options.dat,ui.c: allow the Beta 128 interface to be used with the
	 128K and +2 machines (feature request #1541506) (Stuart).
20071204 man/fuse.1: document the 128K/+2 Beta 128 support (Stuart).
20071204 man/fuse.1: rearrange Interface I TODO items (Stuart).
20071204 man/fuse.1: mention +D and 128K/+2 Beta 128 support in the "Media,
	 Disk" section (Stuart).
20071205 machines/{specplus2a.c,specplus3.c}: Interface 1 doesn't work on the
         +2A and +3 (Fred).
20071205 menu.[ch],menu_data.dat,settings.pl,ui/{gtk/roms.c,win32/win32ui.c},
	 widget/{menu.c,roms.c,widget_internals.h}: use more appropriate titles
	 when selecting Interface I and +D ROMs (Stuart).
20071205 menu.c,menu_data.dat,settings.pl: allow the Beta 128 ROM to be
	 customised (Stuart).
20071205 menu_data.dat: fix Beta 128 ROM menu item name (Stuart).
20071205 if1.c: add support for Interface 1 snapshots (Fred).
20071205 menu.c,menu_data.dat,settings.pl: rearrange ROMs (Stuart).
20071206 spectrum.c: update comment to reflect added RAM (Stuart).
20071207 disk/disk.c: initialise 'seclen' in open_td0() (Stuart).
20071208 z80/{coretest.c,z80_macros.h}: remove contend_write() (Stuart).
20071213 if1.c,menu_data.dat,settings.dat,ui/options.dat: Interface 1 RS-232
	 cleanup (patch #1849598) (Gergely Szasz).
20071213 man/fuse.1: document IF1 options and +D/Beta 128 disk image formats,
	 remove Sinclair Network section and remove redundant note about lack
	 of support for truncated .TRD images (patch #1849612) (Gergely Szasz).
20071213 man/fuse.1: document the .SAD format, and note that compressed +D
	 disks are not supported (Stuart).
20071213 if1.c,settings.dat: fix compilation on Win32 (Stuart).
20071213 menu.c,ui/{gtk/{gtkjoystick.c,gtkui.c,rollback.c},win32/{error.c,
	 win32ui.c}},widget/menu.c: update titlebar capitalisation (Stuart).
20071213 man/fuse.1: use named character for acute E (Stuart).
20071214 menu_data.dat: don't display the hardware joystick menu options if
	 joysticks are not available (Stuart).
20071214 widget/options.pl: remove Perl warning (Stuart).
20071218 ChangeLog,README,configure.in,man/fuse.1: update for 0.9.0 release
	 (Stuart).
20071218 configure.in: generate ui/win32/icons/Makefile (Stuart).
20071221 BRANCH: Release-0_9_0-branch
20071221 TAG: Release-0_9_0-pre1 (from Release-0_9_0-branch)
20071221 display.c: fix copy-and-paste typo (Release-0_9_0-branch).
20071230 utils.c: recognise periph_beta_active as valid on a .trd open (fixes
         bug #1860344) (Release-0_9_0-branch) (Fred).
20080102 man/fuse.1: small Xlib update (patch #1861180) (Release-0_9_0-branch)
         (Gergely Szasz).
20080102 disk/disk.[ch]: fix opening of .fdi, .cpc and .td0 files (patch
         #1860368) (Release-0_9_0-branch) (Gergely Szasz).
20080102 fuse.c: update copyright date (Release-0_9_0-branch) (Stuart Brady).
20080103 widget/browse.c: ensure all lines are displayed (patch #1860829)
         (Release-0_9_0-branch) (Gergely Szasz).
20080104 ChangeLog,README: set release date (Release-0_9_0-branch).
20080104 man/fuse.1: update date (Release-0_9_0-branch) (Stuart).
20080104 man/fuse.1: change date style (Release-0_9_0-branch) (Stuart).
20080105 disk/disk.c: initialise variables (Release-0_9_0-branch).
20080105 TAG: Release-0_9_0
20080107 Merge Release-0_9_0-branch changes r3444:3841 to trunk.
20080108 Makefile.am,configure.in,sound/Makefile.am,timer/Makefile.am,
	 ui/{gtk/Makefile.am,sdl/Makefile.am},widget/Makefile.am: tidy up
	 use of SDL_CFLAGS and SDL_LIBS.
20080113 z80/z80.c: unhalt on NMI (thanks, Simon Owen) (Stuart).
20080115 ay.c,disk/{beta.c,disk.c,wd_fdc.c}: warnings removal.
20080118 windres.rc,ui/win32/{picture.{c,h,rc},win32display.h,win32internals.h,
	 win32ui.c,Makefile.am}: add a keyboard help dialog for the Win32 UI
	 (Marek Januszewski).
20080118 ui/win32/picture.c: swap red and blue colour components (Stuart).
20080130 debugger/{commandl.l,commandy.y,debugger.c,debugger_internals.h}:
         add command to exit emulator.
20080202 ui/gtk/fileselector.c: give a default action for save dialogs.
20080203 Makefile.am,winfuse.ico: add a conversion of Paul van der Laan's icon
	 for Mac OS X Fuse to Windows ICO format (Arda Erdikmen).
20080203 ui/win32/{win32ui.c,win32display.[ch]}: allow Win32 window to be
	 resized (Stuart).
20080205 sound/win32sound.c: Windows Multimedia API sound route - allows to
	 have sound on Win32 without the need for DirectX headers (MinGW
	 currently doesn't have them) (Marek).
20080205 ui/win32/picture.{c,rc}: Win32: fix for keyboard help dialog (Marek).
20080206 configure.in,sound/Makefile.am: Win32: make autotools recognize and
	 use Windows Multimedia API header (mmsystem.h) (Marek).
20080208 ui/win32/win32ui.c: Win32: machine select dialog, minor code
	 formatting changes (Marek).
20080209 ui/win32/{debugger.c,error.c,picture.c,pokefinder.c,win32display.c,
	 win32internals.h,win32keyboard.h,win32ui.c}: formatting fixes (Stuart).
20080209 ui/win32/debugger.rc: Win32: include resource definitions from
	 debugger.h (Stuart).
20080209 sound/aosound.c,ui/win32/{debugger.h,win32ui.c}: replace C99-style
	 '// ...' comments with '/* ... */' comments (Stuart).
20080210 windres.rc,ui/win32/{win32ui.c,machine_select.{h,rc}}: Win32:
	 make Machine Select dialog a modal one (Marek).
20080212 windres.rc,ui/win32/{win32ui.c,options-resource.pl,options-header.pl,
	 options.pl,Makefile.am}: Win32: fix for the 'options' dialogs (Marek).
20080213 windres.rc,ui/win32/{win32ui.c,machine_select.{h,rc},
	 select_template.{h,rc}}: Win32: simplification of the Select Machine
	 dialog (Marek).
20080215 ui/win32/win32ui.c: Win32: implementation of the Filters dialog using a
	 reusable selector_dialog (Marek).
20080217 ui/win32/{win32ui.c,pokefinder.{c,rc},win32internals.h,Makefile.am}:
	 Win32: fixes for pokefinder (Marek).
20080220 ui/win32/{win32ui.c,debugger.{c,h,rc},win32internals.h}: Win32: Partial
	 implementation of the debugger window (Marek).
20080221 ui/win32/{debugger.{c,h,rc}}: Win32: implementation of disassembly pane
	 in the debugger window (Marek).
20080227 disk/disk.c: disk 'log' formatting fixes (part of patch #1894441)
         (Gergely Szasz).
20080227 disk/disk.c: auto disk density selection fix (part of patch #1894441)
         (Gergely Szasz).
20080227 disk/disk.c: track length calculation fixes (include gap lengths and
         use sector headers rather than file header lengths (part of patch
         #1894441) (Gergely Szasz).
20080227 disk/disk.c: add support for DSK/EDSK files with weak sectors, use the
         first 'copy' of the weak sector and fix sector lengths when there are
         weak sectors with multiple images in a file (part of patch #1894441)
         (Gergely Szasz).
20080227 disk/{fdd.[ch]}: add automatic disk geometry setting from the loaded
         disk file and set fdd->index if needed (part of patch #1894441)
         (Gergely Szasz).
20080228 ula.c: use ULA_CONTENTION macro.
20080229 event.[ch],disk/{beta.c,fdd.[ch],plusd.c,wd_fdc.[ch]}: add fdd motor
         on/off, head load/unload, spindle motor spin up/down, ready
         state/signal and fdd drive select emulation (remainder of patch
         #1894441) (Gergely Szasz).
20080304 windres.rc,ui/win32/{memorybrowser.{c,h,rc},win32ui.c,debugger.c,
	 Makefile.am}: Win32: Initial implementation of the Memory Browser
	 dialog (Marek).
20080306 disk/plusd.c,if1.c,machine.[ch]: refactor loading custom ROMs from
         snapshots for +D and Interface 1 (Fred).
20080311 memory.c: add support for saving custom machine ROMs in snapshots
         (Fred).
20080311 ui/win32/{win32ui.{c,rc},statusbar.c,options.pl,win32internals.h,
         win32display.c,icons/{mouse_active.bmp,mdr_inactive.bmp,
         mouse_inactive.bmp,mdr_active.bmp}}: Win32: status bar fixes (Marek).
20080311 ui/win32/statusbar.c: Win32: fixed switched inactive tape icon (Marek).
20080313 windres.rc,ui/win32/{win32ui.c,binary.{c,h,rc},Makefile.am}: Win32:
         implementation of the routines to load/save chunks of binary data
         (Marek).
20080313 hacking/win32_todo.txt,ui/win32/del_o.bat: Win32: deleted obsolete
         files (Marek).
20080314 windres.rc,ui/win32/{win32ui.{c,rc},browse.{c,h,rc},Makefile.am,
         icons/tape_marker_mask.bmp,icons/Makefile.am}: Win32: implementation
         of Browse Tape dialog (Marek).
20080314 windres.rc,ui/win32/pokefinder.[ch]: Win32: fix conflicting resource
	 ids between debugger and pokefinder (Marek).
20080314 windres.rc,ui/win32/{win32ui.rc,Makefile.am,statusbar.rc}: Win32: moved
	 win32ui.rc to statusbar.rc, as this resource's contents applied to
	 statusbar only (Marek).
20080315 compat/amiga/{Makefile.am,osname.c}: add AmigaOS-specific osname
         implementation (more of patch #1712260) (Chris Young).
20080315 fuse.c: remove obsolete #include <sys/utsname.h> as uname call has
         been moved to compat/unix/osname.c (more of patch #1712260) (Chris
         Young).
20080315 disk/disk.[ch]: reorganise gap, sync and mark byte generation to move
         the sync and the first half of mark bytes to the correct place (part
         of patch #1882836) (Gergely Szasz).
20080315 disk/{beta.c,disk.[ch],plusd.c}: add new flag to disk_t for supporting
         +3 protected disks with unusual track lengths (long, short and 0
         length) (part of patch #1882836) (Gergely Szasz).
20080315 disk/disk.c: write_log() fix (part of patch #1882836) (Gergely Szasz).
20080315 disk/fdd.c: set the write protect flag if there is no disk in the
         drive (part of patch #1882836) (Gergely Szasz).
20080315 disk/beta.c: support for Beta 128 custom ROMs in snapshots
         (patch #1844606) (Stuart).
20080315 disk/{fdd.c,wd_fdc.c}: make disk timing more accruate - improve
         emulation of head actions when null actions are performed, improve
         spin duration calculation, turn off motor and set status to not ready
         on head unload, add emulation of finding and reading the address mark
         id and make timeout reset DRQ (fixes bug #1910395) (patch #1913785)
         (Gergely Szasz).
20080315 Makefile.am,configure.in,fuse.c,unittests/{Makefile.am,unittests.[ch]}:
	 add beginnings of unit testing framework.
20080316 fuse.c,configure.in,settings.dat: make unit testing framework a 
	 run-time rather than build-time option.
20080317 disk/disk.c: add support for some alternate DSK headers (part of patch
         #1882836) (Gergely Szasz).
20080317 disk/disk.c: fix max track length problem with Turbo outrun side B
         (part of patch #1882836) (Gergely Szasz).
20080317 machines/{pentagon.c,pentagon.h,pentagon1024.c,pentagon512.c,
	 scorpion.c,spec128.c,spec128.h,spec16.c,spec48.c,spec48.h,spec_se.c,
	 specplus2.c,specplus2a.c,specplus3.c,specplus3.h,specplus3e.c,tc2048.c,
	 tc2068.c,tc2068.h,ts2068.c},spectrum.c,spectrum.h,
	 unittests/unittests.c: refactor contention functions. Changes TS2068
	 contention such that it starts 1 tstate before the top-left pixel is
	 displayed rather than 16, which must be wrong as we then get
	 uncontended accesses at the end of each line.
20080317 windres.rc,ui/win32/{win32ui.c,roms.{c,h,rc},Makefile.am}: Win32:
	 implementation of the ROM selection dialog (Marek).
20080318 unittests/unittests.c: add floating bus unit test. Currently fails
	 on the Pentagon 512, but I'm convinced that's a copy-and-paste error
	 in the Pentagon 512 code.
20080318 disk/disk.c: fix for CPC images to pad every 128 byte length sector to
         256 bytes immediately after the sector data (128xE5 + 128x00;
         128xE5+128x00; ...  128xE5+128x00), so every sector uses 256 data
         bytes (part of patch #1882836) (Gergely Szasz).
20080318 machines/{pentagon.c,pentagon1024.c,pentagon512.c,scorpion.c,
	 spec128.[ch],spec16.c,spec48.c,spec_se.c,specplus2.c,specplus2a.c,
	 specplus3.[ch],specplus3e.c,tc2048.c,tc2068.[ch],ts2068.c},spectrum.c,
	 spectrum.h: refactor floating bus code, including removing
	 Pentagon 512 floating bus.
20080319 roms/{plus3e-0.rom,plus3e-1.rom,plus3e-2.rom}: update to v1.35 of the
         +3e ROMs (Fred).
20080321 machine.[ch],settings.dat,ui/options.dat,unittests/unittests.c:
	 add --late-timings option to emulate machines with 1 tstate later
	 timings.
20080322 periph.c: implement the "write back" that occurs with any bytes read
	 from port 0x7ffd on the 128/+2 (thanks, Marat Fayzullin).
20080322 windres.rc,ui/win32/{rollback.h.{c,h,rc},win32ui.c,Makefile.am}:
	 Win32: Implementation of the Rollback dialog (Marek).
20080324 disk/disk.c: fix for bytes per track settings in auto density
         selection code (part of patch #1882836) (Gergely Szasz).
20080324 disk/disk.c: add additional handling for fake sectors (part of patch
         #1882836) (Gergely Szasz).
20080325 disk/disk.[ch]: add support for disks with eak sectors that are longer
         than 6144 bytes (primarily Coin Op Hits with 6500 bytes per track)
         (part of patch #1882836) (Gergely Szasz).
20080325 README,Makefile.am,configure.in,
         disk/{Makefile.am,upd_fdc.[ch]},event.[ch]},machine.c,
         machines/{specplus3.[ch],specplus3e.c},man/fuse.1,menu.c,
         menu_data.dat,ui.c,ui/ui.h,utils.c: replace lib765 and libdsk with
         new upd765 FDC emulation for +3 (remainder of patch #1882836)
         (thanks, Mark Woodmass) (Gergely Szasz).
20080326 configure.in,windres.rc,ui/win32/{win32ui.c,win32joystick.{c,h,rc},
	 Makefile.am}: Win32: Implementation of the Configure Joystick
	 dialog. Joystick will be read using Windows' mmsystem library (Marek).
20080327 ui/win32/{win32ui.c,win32mouse.c,win32internals.h,Makefile.am}: Win32:
	 Implementation of the mouse functions (Marek).
20080327 ui/win32/{binary.{c,h,rc}}: Win32: Added prefix BINARY to Binary
	 dialogs ids, used Windows' constants for OK and Cancel (Marek).
20080327 windres.rc,ui/win32/{browse.h,debugger.{h,rc},memorybrowser.h,
	 options.pl,options-{header,resource}.pl,picture.{c,h,rc},pokefinder.h,
	 roms.{c,h,rc},select_template.{h,rc},win32ui.c}: Win32: Made dialogs
	 use IDOK, IDCANCEL, IDCLOSE and IDCONTINUE to use dialog manager's
	 capabilities
	 (http://blogs.msdn.com/oldnewthing/archive/2004/12/14/300204.aspx)
	 (Marek).
20080328 loader.c: let loader detection work with the Digital Integration
	 loader (ATF, Tomahawk, TT Racer).
20080401 z80/z80_ops.c: cgoto array was one entry too small, leading to
	 buffer overflow (fixes bug #1931036).
20080401 loader.[ch],settings.dat,tape.c,ui/options.dat: add support for
	 tape acceleration (slightly extended version of patch #1880376).
20080401 loader.c: add acceleration for Search Loader (Deflektor, Rana Rama).
20080409 machines/{pentagon.c,pentagon512.c,pentagon1024.c},man/fuse.1,menu.c,
         settings.[dat|pl]: change Pentagon 128k back to being a machine as
         described in the RusFAQ and emulated by older versions of Fuse and
         other Spectrum emulators for SZX and other snapshot compatibility with
         those emulators, leave the Pentagon 512k and 1024k as later issue
         machines (Pentagon SL 1.x and 2.2?) as we are free to specify correct
         snapshot support for those machines (Fred).
20080409 roms/{plus3e-0.rom,plus3e-2.rom}: update to v1.36 of the +3e ROMs
         (Fred).
20080409 machines/{specplus3.c,specplus3e.c}: have the +3e share the +3 FDC
         (fixes bug #1931947) (Gergely Szasz).
20080409 disk/upd_fdc.c: initialise head_load member of upd_fdc struct
         (fixes bug #1931555) (Gergely Szasz).
20080415 fuse.c,memory.[ch],menu.c,tape.[ch],ui/win32/win32ui.c: don't use tape
         traps or auto-load snapshots if we are using a custom ROM as the entry
         points are very likely to have moved (Fred).
20080417 kempmouse.[ch],fuse.c: write Kempston mouse status to snapshots
         (Fred).
20080418 simpleide.c: add snapshot support for Simple 8-bit IDE interface
         (Fred).
20080425 divide.c: add snapshot support for DivIDE interface (Fred).
20080501 Makefile.am,configure.in,dck.c,fuse.c,input.c,keysyms.pl,menu.c,
         ui/Makefile.am,ui/fb/fbkeyboard.c,ui/sdl/{sdldisplay.c,sdlkeyboard.c},
         ui/svga/svgakeyboard.c,ui/widget,ui/widget/Makefile.am,
         ui/xlib/{xdisplay.c,xerror.c,xkeyboard.c},utils.c,widget: move the
         widget UI files to the ui subdirectory, remove remnants of the GGI UI
         (Fred).
20080502 ui/gtk/{Makefile.am,gtkdisplay.c},
         ui/scaler/{Makefile.am,scaler.[ch],scaler_hq[23]x.c,
         scaler_internals.h,scalers.c},ui/sdl/sdldisplay.c,
         ui/win32/win32display.c,ui/xlib/xdisplay.c: add HQ2x and HQ3x scalers
         (patch #1952304) (Gergely Szasz).
20080511 ui/scaler/scalers.c: fix green8_Mask and green16_Mask for 555 16 bit
         graphics modes and for 888 32 bit big endian graphics modes (Fred).
20080513 ui/fb/fbdisplay.c: ensure framebuffer display is restored on all
         errors (patch #1912101).
20080517 Makefile.am,fuse.c,mempool.[ch],unittests/unittests.c: add simple
	 memory pool code.
20080518 screenshot.c: missed file from patch #1952304 (Gergely Szasz).
20080518 machines/specplus3.h: remove reference to old specplus3_disk_present
         (Fred).
20080522 ui/{fb/fbdisplay.c,widget/Makefile.am}: fix compilation failures
	 (Stuart).
20080523 compat/unix/osname.c: uname() returns a positive integer on success
         on OpenSolaris (thanks, Andrew Owen) (Fred).
20080526 debugger/{breakpoint.c,command.c,commandy.y,debugger.c,
	 debugger_internals.h,expression.c}: ensure memory is not leaked when
	 parsing expressions.
20080526 debugger/{Makefile.am,breakpoint.c,breakpoint.h,commandl.l,commandy.y,
	 debugger.c,debugger.h,debugger_internals.h,event.c},mempool.c,
	 mempool.h,tape.c,ui/gtk/debugger.c: add "debugger events" where the
	 debugger can stop when certain events happen. So far, only "tape
	 playing" implemented.
20080527 debugger/{breakpoint.c,debugger_internals.h,event.c}: allow event
         breakpoints to be set only if the appropriate event is registered.
20080528 z80/z80.pl: emulate C, H and P/V on repeated I/O instructions.
20080528 z80/z80.pl: can't modify HL until contention has happened.
20080528 unittests/unittests.c: fix warning (Stuart).
20080528 disk/beta.c,ui/widget/pokefinder.c: make code C89 compatible with
         code from fuzegiz (thanks, sweetlilmr) (Fred).
20080528 mempool.c,debugger/event.c: add <string.h> for string prototypes
         (Fred).
20080529 z80/tests/tests.expected: update tests for improved repeated
         I/O instruction emulation.
20080529 z80/{coretest.c,tests/tests.expected}: change coretest driver to
         make fake IO ports return different values.
20080530 z80/{coretest.c,tests/tests.expected}: change the value printed
	 as well as the value returned.
20080530 z80/tests/{tests.expected,tests.in}: add new tests for improved
	 {IN,OUT}[DI] flag emulation.
20080601 divide.c,if1.c,periph.c,periph.h,tape.c,zxatasp.c,zxcf.c: add
	 debugger events for tape stop and peripheral page/unpage.
20080603 unittests/unittests.c: mempool unit test was failing as the
         debugger had created a memory pool.
20080603 debugger/{breakpoint.c,commandl.l,commandy.y,debugger_internals.h,
	 event.c},fuse.c,settings.dat: allow debugger commands to be
	 specified on the command line. A side-effect is allowing multiple
	 debugger commands separated by newlines in one call to the parser,
	 and also fix the fact that event breakpoints didn't pay attention
	 to ignore counts, conditions or lifetime.
20080604 debugger/commandl.l: allow event strings to include numbers
         (necessary for if1 events to work...)
20080606 ui/widget/debugger.c: handle event breakpoints in display.
20080607 mempool.c: print error message if we couldn't initialise pools.
20080607 debugger/{breakpoint.c,breakpoint.h,commandl.l,commandy.y,
	 debugger_internals.h,event.c},memory.c,periph.c,ui/gtk/debugger.c:
	 add facility to run debugger commands when a breakpoint is hit.
20080608 debugger/{Makefile.am,commandl.l,commandy.y,debugger.c,
	 debugger_internals.h,expression.c}: add numeric debugger variables
20080608 debugger/debugger.c: a breakpoint command could have disabled the
	 debugger before the UI is brought up.
20080608 debugger/{breakpoint.c,debugger.c}: ensure the commands for all
	 breakpoints are run; also move previous fix.
20080609 debugger/variable.c: add forgotten file.
20080609 debugger/breakpoint.c: must copy expression when setting a
         breakpoint condition.
20080609 debugger/breakpoint.[ch],ui/gtk/debugger.c: multiple time breakpoints
         didn't work properly.
20080610 debugger/breakpoint.c: add <string.h> for string prototypes (Fred).
20080610 ui/widget/debugger.c: fix widget debugger for multiple time
         breakpoints (Fred).
20080610 debugger/commandl.l: much better to have COMMANDSTATE1 as an
         inclusive start condition.
20080610 ui/{fb/fbdisplay.c,sdl/sdldisplay.c,svga/svgadisplay.c,uidisplay.h,
         widget/{browse.c,debugger.c,error.c,filesel.c,menu.c,options.pl,
         pokefinder.c,query.c,roms.c,select.c,text.c,widget.[ch],
         widget_internals.h,xlib/xdisplay.c}: modify widget UI to have a
         Spectrum 128 style look and feel based on FuseX (Fred).
20080612 ui/widget/{widget_internals.h,widget.c,options.pl}: allow options
         dialogs to be navigated by cursor keys (Fred).
20080613 debugger/{expression.c,variable.c}: add <string.h> for string
         prototypes (Fred).
20080614 ui/widget/{options.pl,widget_internals.h}: try to have widget
         options size themselves a little better (Fred).
20080614 ui/options.dat: make blocks plural (Fred).
20080614 ui/widget/options.pl: make a better stab at accounting for entry
         text length (Fred).
20080614 ui/widget/select.c: make select widgets size themselves a bit
         better too (Fred).
20080614 ui/widget/options.pl: move to a single generic options menu draw
         function (Fred).
20080614 ui/widget/options.pl: fix widget number entry options (Fred).
20080614 ui/widget/memory.c: fix the widget memory browse display
         (patch #1991755) (Gergely Szasz).
20080614 ui/xlib/xui.c: use XCheckMaskEvent() instead of XCheckIfEvent() with
         an empty test (patch #1991780) (Gergely Szasz).
20080614 menu_data.dat: ROM shortcut key for TS2068 doesn't work (Fred).
20080614 ui/widget/{widget_internals.h,widget.c}: fix disabled widget menu
         entries (thanks, Phil) (Fred).
20080616 debugger/{breakpoint.c,debugger.c,debugger_internals.h},
         disk/{beta.[ch],fdd.[ch],plusd.[ch],upd_fdc.[ch],wd_fdc.[ch]},
         event.[ch],fuse.c,loader.c,machine.c,menu.c,periph.c,profile.c,
         rzx.[ch],spectrum.[ch],tape.[ch],timer/timer.[ch],ui/gtk/debugger.c,
         z80/{coretest.c,z80.[ch],z80.pl,z80_ops.c}: refactor the event
         architecture so that modules register their own events with the
         event system (patch #1991683).
20080619 event.c: add missing #include <string.h>.
20080619 ui/gtk/gtkkeyboard.c: remove X dependency for unshifting keys.
20080619 rzx.c: add debugger event for end of RZX playback.
20080621 debugger/breakpoint.c: don't try copying an empty condition.
20080621 debugger/debugger.c: when exiting, quit the main emulation loop
	 immediately.
20080623 compat/{amiga/Makefile.am,morphos/Makefile.am,unix/{Makefile.am,
         file.c},wii/{Makefile.am,file.c},win32/Makefile.am},compat.h,if1.c,
         utils.c: factor out low-level file handling into compat/<os>/file.c;
         needed for Wii port.
20080623 compat/{unix/file.c,wii/file.c},utils.c: don't produce an error
	 message if opening a file failed as this can be a normal result.
20080623 utils.c: call the right function when reading a file.
20080624 ui/widget/query.c: make widget queries navigable keyboardlessly
         (Fred).
20080626 menu.c,ui/{gtk/gtkui.c,widget/menu.c,win32/win32ui.c}: amalgamate
         triplicated functions (patch #1991628) (Gergely Szasz).
20080626 compat/unix/file.c: add <string.h> for strerror prototypes, printf
         warning fixes too (Fred).
20080629 utils.c: add <string.h> for strncpy prototype (Fred).
20080629 menu.[ch],menu_data.[dat|pl],ui/widget/{menu.c,widget.[ch]}: add
         optional detail to menus showing current option selected (Fred).
20080630 dck.c,divide.c,fuse.c,if1.c,menu.c,rzx.c,simpleide.c,snapshot.c,
	 tape.c,zxatasp.c,zxcf.c: handle new allocator returns object
	 style API from libspectrum.
20080630 zxatasp.c: intialise error before returning it (Fred).
20080701 tape.c: one more function that can no longer error.
20080706 debugger/commandl.l: fix warning with recent versions of Flex.
20080706 sound/alsasound.c: don't call deprecated functions (fixes bug
	 #1916457) (Gergely Szasz).
20080706 menu.[ch],menu_data.dat,tape.[ch]: add some detail text for the tape
         branch for the Widget UI ala FuseX (thanks, crabfists) (Fred).
20080715 PORTING: add document on what you can and cannot do with Fuse's code.
20080717 ui/win32/debugger.c: Win32: accommodation for the new event
	 architecture (Marek).
20080719 README,fuse.c: try and direct support requests to locations seen
	 by more people than just me.
20080721 ui/win32/{win32ui.c,error.c,Makefile.am}: Win32: Integrated
	 ui_error_specific into win32ui.c similarly to gtk ui (Marek).
20080721 ui/win32/{win32ui.c,memorybrowser.c,binary.c,debugger.c,win32display.c,
	 browse.c,picture.c,roms.c,pokefinder.c}: Win32: make functions and
	 variables static wherever applicable (Marek).
20080721 ui/win32/{win32ui.c,win32internals.h,confirm.c,Makefile.am}: Win32:
	 fixed confirmation dialog box and moved it to confirm.c similarly to
	 gtk ui (Marek).
20080721 compat/unix/file.c: Win32: applied a minor fix to compat_file_open for
	 Win32 (Marek).
20080721 disk/upd_fdc.c: allow EDSK images with large sector sizes to work
         (patch #2024218) (Gergely Szasz) (thanks, Simon Owen).
20080722 ui/win32/win32ui.c: Win32: implemented win32ui_make_menu and
	 ui_menu_item_set_active functions (Marek).
20080722 ui/win32/win32ui.c: Win32: Minor fixes to how reset menu and window
	 close event are handled (Marek).
20080723 menu_data.pl,ui/win32/{win32ui.c,debugger.c,win32internals.h,
	 win32display.c,win32display.h,picture.c,win32keyboard.c,options.pl,
	 Makefile.am,win32keyboard.h}: Win32: Refactored win32 ui code to
	 resemble gtk ui, applied minor fixes: fixed debugger's Break button,
	 added static wherever applicable to options*.pl, fixed compiler
	 warnings in ui_error_specific and win32ui_picture functions (Marek).
20080723 ui/win32/fileselector.c: Win32: Added fileselector.c to win32 ui as
	 part of refactoring the ui (Marek).
20080724 ui/win32/win32ui.c: Win32: continuing refactoring: moved WM_SIZE
	 handler into a new function win32ui_window_resize, and WM_SIZING
	 handler into a new function win32ui_window_resizing (Marek).
20080724 ui/win32/{win32ui.c,win32internals.h,win32display.c}: Win32:
	 Refactored win32 ui sizing functions to resemble gtk ui: removed
	 win32display_resize(), renamed win32display_resize_update() to
	 win32display_drawing_area_resize(), overwritten the contents of
	 win32display_drawing_area_resize() with the contents of gtk ui's
	 drawing_area_resize() (Marek).
20080724 ui/win32/{win32ui.c,win32internals.h,win32display.c}: Win32: win32 ui
	 refactoring continued: added static wherever applicable, moved
	 WM_PAINT handler into a new function win32ui_window_paint, moved
	 WM_CREATE handler into ui_init, moved most of WinMain into ui_init,
	 changed uidisplay_init be exactly the same one as on gtk ui, changes
	 to win32display_area to have more similar structure to that of gtk
	 ui's (Marek).
20080724 ui/win32/win32display.c: Win32: win32 ui refactoring: removed
	 register_scalers_noresize and win32display_setsize, replaced
	 uidisplay_hotswap_gfx_mode with the code from gtk ui (Marek).
20080725 ui/win32/{win32ui.c,win32display.c}: Win32: Refactored WM_PAINT
	 handler, fixed crash when the screen is resized to 3x, fixed unclosed
	 handle to the drawing area (Marek).
20080728 utils.c: add missing return.
20080728 ui/win32/statusbar.c: Win32: implemented transparency for the status
	 bar icons (Marek).
20080728 configure.in,keysyms.pl,ui/win32/{browse.{c,h,rc},debugger.{c,h,rc},
	 memorybrowser.{c,h,rc},picture.{c,h,rc},pokefinder.{c,h,rc},
	 rollback.c}: Win32: moved Windows version requirement from being local
	 to some units to be a fuse-wide requirement and adjusted the code
	 accordingly (Marek).
20080730 ui/win32/debugger.{c,h}: Win32: implemented showing and hiding panes,
	 without resizing for now (Marek).
20080731 ui/win32/{win32ui.c,debugger.{c,h,rc},win32internals.h}: Win32:
	 partially redesigned the debugger window to make the structure similar
	 to gtk ui, implemented monospaced font code, which is used by debugger
	 only for now (Marek).
20080810 ui/win32/win32ui.c: Win32: modified the procedure preventing to draw
	 the mouse cursor if it's 'grabbed' to explictly call default window
	 procedure if the the mouse cursor is not grabbed, to avoid any
	 confussion (Marek).
20080810 ui/win32/{win32ui.c,debugger.c,win32internals.h}: Win32: fixed the
	 pause/unpause routines by introducing win32ui_process_messages - an
	 equivalent of gtk's gtk_main (Marek).
20080810 ui/win32/{options,options-resource,options-header}.pl: Win32: renamed
	 options dialogs from IDG_* to IDD_* to follow the naming convention
	 (Marek).
20080811 ui/win32/memorybrowser.c: Win32: made the memory browser dialog use
	 the win32ui_get_monospaced_font function (Marek).
20080812 configure.in: Win32: Added version requirement for DirectX sound
	 interface. The module needs version DirectX 7 or higher. This also
	 stops all the redefinition errors happening without this requirement
	 (Marek).
20080815 disk/disk.c: add sanity checks for disk geometry (fixes bug #2051291)
         (Gergely Szasz).
20080815 input.[ch],ui/sdl/sdljoystick.c,ui/svga/svgajoystick.c,
         ui/uijoystick.c,ui/widget/{browse.c,filesel.c,menu.c,options.pl,
         picture.c,query.c,select.c}: unify input_joystick_button and input_key
         and allow widget UI to be controlled by joystick (Fred).
20080818 z80/coretest.c: don't abort on startup.
20080819 settings.dat,input.c,ui/win32/win32joystick.c,ui/gtk/gtkjoystick.c:
	 Added ability to define the keyboard joystick emulation keys (Marek).
20080819 sound/dxsound.c: Win32 DirectX sound: Added static keyword where
	 applicable (Marek).
20080819 sound/win32sound.c: Win32 mmsystem sound: Added support for 8 bit
	 sound, applied static keyword where applicable, applied coding style
	 fixes (Marek).
20080819 sound/win32sound.c: Wi32 mmsystem sound: Changed buffer_size to be a
	 macro instead of int, changed buffer memory allocation to static
	 instead of dynamic (Marek).
20080824 configure.in: Changed configure logic: if SDL ui is selected, choose
	 SDL for sound over any other available sound API (Marek).
20080901 ui/win32/{win32ui.c,win32internals.h,statusbar.c}: Win32: Simplified
	 WM_SIZE handlers by getting rid of GetClientRect (Marek).
20080902 ui/win32/win32ui.c: Win32: Implemented gain and lose focus handlers
	 similiarly to gtk ui (Marek).
20080902 ui/win32/win32ui.c: Win32: Fixed an error message occurring when
	 window is being minimized (Unknown display size/image size 0/1)
	 (Marek).
20080906 menu_data.pl,ui/win32/{win32ui.c,memorybrowser.c,debugger.c,
	 win32internals.h,browse.c,picture.c,options.pl,pokefinder.c}: Win32:
	 Reviewed and fixed all the return codes for all window message handles
	 fixed selector dialog problem where cancelling the dialog would result
	 in choosing option 0 (Marek).
20080906 menu_data.pl: Win32: Minor fix to the menu handling code - moved
	 return into proper place (Marek).
20080910 ui/win32/{roms.rc,win32joystick.rc,pokefinder.rc,options-resource.pl,
	 browse.rc,picture.rc,memorybrowser.rc,binary.rc,debugger.rc,
	 rollback.rc,select_template.rc}: Win32: Changed style for all dialogs
	 to make those dialogs show on the taskbar, converted
	 select_template.rc from DOS to UNIX (Marek).
20081006 compat/unix/file.c: make sure mode is specified when opening a file
         for writing (fixes bug #2146742) (thanks, Cygnus) (Fred).
20081021 z80/tests/README: small documentation update (patch #2183257)
         (Matthew Westcott).
20081021 ChangeLog: update for 0.10.0 release.
20081022 menu.c,rzx.c,settings.dat,ui/options.dat: support for autosaves
	 when using RZX recording.
20081024 man/fuse.1: update. Still TODO: debugger updates.
20081024 man/fuse.1: debugger updates.
20081024 man/fuse.1: minor update for disk formats and compressed disk images
         (Fred).
20081028 configure.in: Fixed a typo in the configure script
	 (was '--without-libsamplerate use libsamplerate') (Marek).
20081029 fuse.c: move up settings_end to happen just after printer_end for
         similar reasons - on OS X settings_end refers to machine and other
         entries, so must be complete before deallocating the machine arrays
         (Fred).
20081031 README: small update for 0.10.0.
20081102 disk/{fdd.c,upd_fdc.c}: stop hang if asked for index hole when disk
         motor is off, and change spindown time so that The Running Man disk
         works (bug #2212424) (Gergely Szasz; thanks, Mark Woodmass).
20081102 ui/win32/win32ui.c: Win32: Made ui_error_specific function work
	 similarly to the gtk ui equivalent (Marek).
20081102 ui/win32/{win32ui.c,win32internals.h,win32joystick.[ch}: Win32:
	 Implemented joystick handling using mmsystem API (and tested using PPJoy
	 joystick emulator, hope it works with real hardware) (Marek).
20081108 disk/disk.c: prevent array overrun (bug #2240211) (Gergely Szasz).
20081108 disk/disk.c,fuse.c,utils.c: use libspectrum's ability to
         identify more disk image formats (patch #2233744) (Gergely Szasz).
20081109 hacking/cvs-tags: document 0.10.0 branch.
20081109 disk/disk.c: stop buffer overrun from malformed .dsk (fixes bug
	 #2248067) (Gergely Szasz).
20081115 man/fuse.1: add debugger variables and print command
	 (Release-0_10_0-branch).
20081115 Makefile.am,hacking/Makefile.am,ui/win32/Makefile.am: make sure
	 all files are distributed (Release-0_10_0-branch).
20081116 ChangeLog,machines/{specplus2a.c,specplus3.c}: reading from the
	 AY data port on the +2A/+3 is the same as reading from the
         register port (thanks, Mark Woodmass).
20081117 configure.in: bump version number for 0.10.0-pre1 release
	 (Release_0_10_0-branch).
20081118 rzx.c: don't autosave rzx snapshots when we are recording in compo
         mode (Fred).
20081119 disk/{disk.c,upd_fdc.c}: fix READ_DIAG emlation bugs to support
         LERM Plus-3-Mate (fixes bug #2312217) (Gergely Szasz).
20081120 compat/amiga/paths.c: implement compat_is_absolute_path for Amiga
         (final part of patch #1712260) (Chris Young).
20081120 utils.c: don't switch machine on autoloading a Timex dock cart if we
         can already support them (Fred).
20081122 disk/disk.c: fix a track length calculation bug (more of bug #2312217)
         (Gergely Szasz).
20081125 scld.c: fix loading of dock/exrom information from snapshots (Fred).
20081129 disk/disk.c: limit weak sector handling to fix Coin-Op Hits (more of
         bug #2312217) (Gergely Szasz).
20081129 disk/disk.c: one instance of plus3_fix wasn't updated (thanks, Stuart
         Brady) (Fred).
20081129 configure.in,man/fuse.1,README: final tweaks for 0.10.0 release
	 (Release_0_10_0-branch).
20081201 fuse.c: update libspectrum version needed (Release_0_10_0-branch).
20081202 ui/gtk/debugger.c: begin replacing the deprecated GtkCList interface
	 with GtkTreeView/GtkTreeModel.
20081203 configure.in,fuse.c,hacking/{ChangeLog,Makefile.am},Makefile.am,
	 man/fuse.1,README,ui/win32/Makefile.am: merge Release_0_10_0-branch
	 changes onto trunk.
20081206 ui/fb/Makefile.am: distribute fbmouse.h (thanks, rkd77) (Fred).
20081210 Makefile.am,compat/unix/file.c: must open files for writing with
         O_TRUNC to ensure that any old data is cleared out. Also fix a
         dependency problem (thanks, Matthew Westcott).
20081210 ChangeLog,configure.in,man/fuse.1,README: update for 0.10.0.1 release.
20081210 ui/gtk/debugger.c: final bit of GtkCList removal from this file.
20081210 snapshot.c: remove fallback from +3/+3e to +2A as +3 will now
	 always be available.
20081214 disk/disk.c: relax "Track-Info" check (Gergely Szasz; thanks, Simon
	 Owen).
20081215 ui/widget/options-header.pl: remove unnecessary use directive (Fred).
20081215 event.[ch],disk/fdd.c: fix issue with FDD motor events preventing
         both +3 disk drives from being used (bug #2424700) (Gergely Szasz).
20081215 event.[ch],rzx.c,spectrum.c,tape.c,timer/timer.[ch]: tidy new event
	 removal function a bit, and make functions which can't error return
	 void.
20081222 menu_data.dat,menu.h,ui/gtk/gtkui.c,ui/widget/menu.c: add Help/About
         dialog box (Alberto Garcia/Philip Kendall).
20081225 ui/widget/query.c: make "Don't Save" return the correct enum (Fred).
20081225 disk/plusd.c: support +D switching between the two drives when the
         motor on signal is 'ON' as when copying between drives (fixes bug
         #2465540) (Gergely Szasz).
20081226 Makefile.am,compat/wii,configure.in,fuse.c,ide/{Makefile.am,
         divide.[ch],ide.[ch],simpleide.[ch],zxatasp.[ch],zxcf.[ch]},menu.c,
         periph.c,snapshot.c,ui/gtk/{debugger.c,gtkui.c},
         ui/widget/{debugger.c,menu.c},ui/win32/debugger.c,utils.c,
         z80/z80_ops.c: move ide related files to their own sub-directory
         (Fred).
20090102 ide/Makefile.am: ensure we pick up glib in GTK+ builds.
20090102 fuse.c: update copyright date.
20090106 compat.h,compat/{amiga/Makefile.am,morphos/Makefile.am,
         unix/{Makefile.am,timer.c},win32/{Makefile.am,timer.c}},configure.in,
         hacking/timer.txt,Makefile.am,timer/{Makefile.am,native.c,sdl.c,
         timer.c,timer.h,unix.c,win32.c},ui/widget/widget.c: move better
         abstraction of timer routines from the Wii branch.
20090107 Makefile.am,compat.h,compat/{amiga/Makefile.am,morphos/Makefile.am,
         unix/{Makefile.am,dir.c},win32/Makefile.am},ui/widget/filesel.c:
         add compatibility layer for directory reading routines (needed for
         Wii port).
20090107 compat.h,compat/unix/{dir.c,file.c},machine.c,utils.[ch]:
         utils_find_auxiliary_file needs to return a compat_fd, not an int
         (from Wii branch).
20090107 utils.h: fix utils_read_fd prototype (from Wii branch).
20090109 loader.c: don't call readbyte_internal macro with an argument that
	 has side effects (fixes accelerated loaders with gcc 3.x; thanks,
	 Carlos Almeida, Alberto Garcia and Alexander Yurchenko).
20090110 AUTHORS,compat.h,compat/{Makefile.am,wii/{file.c,osname.c,paths.c,
	 timer.c}},configure.in,disk/disk.c,fuse.c,keysyms.pl,menu_data.dat,
	 README,settings.pl,sound/wiisound.c,tape.c,ui/{Makefile.am,
	 widget/{filesel.c,menu.c,widget.c,widget_internals.h},
	 wii/{Makefile.am,wiidisplay.[ch],wiijoystick.c,wiikeyboard.[ch],
	 wiikeysyms.h,wiimouse.[ch],wiiui.c}},utils.c: merge Wii port to
	 trunk (Bjoern Giesler/Philip Kendall).
20090111 configure.in: Wii: Modified configure script so that USE_JOYSTICK is
	 always defined if Wii ui is used (Marek).
20090111 ui/wii/wiimouse.c: Wii: Made wii remote arrows send joystick key codes
	 instead of cursor key codes to the menu since widget now support
	 joystick a little better. This fixed inability to check the checkboxes
	 in the menu (Marek).
20090112 ui/win32/win32ui.c: Win32: Created a simple Help->About message box
	 (Marek).
20090112 compat/win32/timer.c: Win32: Added missing include (Marek).
20090112 configure.in: Win32: Added missing library link needed by the joystick
	 code (Marek).
20090112 ui/win32/{installer/{Makefile.am,fuse.nsi},Makefile.am}: Win32: Added
	 NSIS (nsis.sf.net) installer script (Marek).
20090112 ui/win32/win32joystick.c: Win32: Small correction to the file's header
	 info (Marek).
20090112 ui/win32/installer/fuse.nsi: Win32: Added information and license to
	 the header of the NSIS installer script (Marek).
20090114 configure.in,ui/win32/{Makefile.am,icons/Makefile.am}: Win32: Fixed
	 autotools scripts so that 'make dist' works properly for win32 ui (Marek).
20090118 ui/wii/wiimouse.c: Wii: Changed menu navigation so that it's navigated
	 using wii remote in horizontal position, consistently to how wii
	 remote is used during emulation (Marek).
20090118 ui/wii/Makefile.am: Wii: Added wiikeysyms.h to the autotools script
	 (Marek).
20090118 compat/wii/paths.c: Wii: Changed the home path location to absolute
	 path, since the relative doesn't seem to work when saving settings
	 (Marek).
20090122 ui/widget/filesel.c: Widget: Fixed potential problem with length of
	 dirent.d_name and made windows version use constant FILENAME_MAX
	 instead of NAME_MAX (Marek).
20090124 ui/widget/menu.c: Widget: Added capability to define joystick buttons
	 (Marek).
20090126 input.c,ui/wii/wiijoystick.c: Wii: Added support for configuring A, B,
	 Plus and Minus Wii Remote keys (Marek).
20090202 menu.c: fix saving PNG movies (fixes bug #2551259) (Gergely Szasz).
20090210 settings.dat,ui.c,ui/options.dat: allow user to swap Kempston mouse
         buttons as some combinations of physical hardware and spectrum
         software make it hard to use the standard mapping e.g. right clicking
         and moving the cursor on Mac notebooks (thanks, Andrew Owen) (Fred).
20090211 compat/unix/timer.c: added include <sys/time.h> for gettimeofday
         (Fred).
20090211 joystick.[ch],ui/gtk/gtkui.c,ui/widget/widget.c: remove duplication of
         joystick_connection array (patch #1991669) (Gergely Szasz).
20090301 options.pl,select.c: allow the use of the home and end keys in option
         and selection dialogs in the widget UIs (patch #2637459) (Gergely
         Szasz).
20090303 perl/cpp-perl.pl: extend cpp-perl.pl to handle all of #ifdef; #ifndef;
         #if defined; #if ! defined; #elif defined; #elif !defined; #else;
         #undef; #define (fixes bug #2065518) (Gergely Szasz).
20090304 disk/disk.[ch],machines/specplus3.c: preformat new disks on +3 to
         allow format command on +3 to work (fixes bug #2602397) (Gergely
         Szasz).
20090306 ui/{gtk,win32}/pokefinder.c: Win32,GTK: Fixed Poke Finder passing the
         wrong page for the possible found location to the debugger (Marek).
20090309 ui/widget/text.c: fix display of widget text entry boxes (Fred).
20090309 ui/widget/options.pl: fixes for widget options when multiple options
         are changed in one session (fixes bug #2673198) (Gergely Szasz).
20090315 ui/widget/{menu.c,widget_internals.h,select.c,widget.c,options.pl},
         ui/gtk/{options-header.pl,options.pl},
         ui/win32/{options-resource.pl,options-header.pl}: add a new "Combo"
         type for options entry, for a selection from a defined list (patch
         #2637346) (Gergely Szasz).
20090329 disk/{beta.c,fdd.[ch],plusd.c},machines/{specplus3.[ch},specplus3e.c},
         menu.h,menu_data.dat,settings.dat,ui.c,ui/gtk/options.pl,
         ui/{options.dat,ui.h},ui/widget/{menu.c,options.pl,widget.[ch]}:
         allow the configuration of the drives attached to the various disk
         interfaces (part of patch #2030341, also resolves feature request
         #1724331) (Gergely Szasz).
20090329 man/fuse.1,fuse.c,settings.dat,ui/fb/fbdisplay.c,ui/svga/svgadisplay.c:
         add support for the full range of bit depths and the full range of
         scalers to the SVGA UI (patch #1745520) (Gergely Szasz).
20090403 ui/wii/{wiimouse.c,wiijoystick.c}: Wii: Added support for 2 controllers
	 (Marek).
20090404 ui/widget/menu.c,ui/wii/{wiimouse.c,wiijoystick.c}: Wii: Added nunchuck
	 support (Marek).
20090404 ui/wii/wiimouse.c: Wii: Swapped the functions of 1 and 2 Wii remote
	 buttons in the menu (Marek).
20090408 menu_data.dat,ui/wii/wiidisplay.c: Wii: Implemented scalers/filters
	 (Marek).
20090414 disk/fdd.c: fix warning.
20090415 Makefile.am,configure.in,disk/{beta.c,fdd.[ch],plusd.c},
         machines/specplus3.c,menu_data.pl,
         ui/gtk/{Makefile.am,options-header.pl,options.pl},
         ui/widget/{Makefile.am,options-header.pl,options.pl,widget.c},
         ui/win32/{Makefile.am,options-header.pl}: enumerate combo box options
         to eliminate duplicated strings (patch #2722074) (Gergely Szasz).
20090416 ui/widget/options.pl: have current option selected when entering a
         combo selection screen (more from patch #2722074) (Gergely Szasz).
20090416 disk/{beta.[ch],disk.[ch],fdd.[ch],plusd.[ch]},machines/specplus3.[ch],
         menu.[ch],menu_data.dat,settings.dat,ui.c,ui/gtk/confirm.c,
         ui/options.dat,ui/ui.h,ui/widget/widget.c: add support for flipping
         drive images in single sided drives and for automatically merging both
         both drive images where they are named with the text
         [Ss]ide[ _][abAB12] (patch #2726922) (Gergely Szasz).
20090504 ui/uijoystick.c: poll_joystick() should fire an input_event for each
         button (fixes bug #2784357) (Anonymous).
20090504 input.c,ui/svga/{svgaui.c,svgajoystick.c}: switch SVGA joystick code
         from the polling interface to the event interface (patch #2785333)
         (Anonymous).
20090509 settings.dat,settings.pl,ui/gtk/options.pl,ui/widget/options.pl:
         defend against segfaults when trying to deal with empty options XML
         elements (thanks, Anonymous from patch #2788548) (Fred).
20090518 ui/gtk/options.pl: add <string.h> for strcmp (Fred).
20090518 man/fuse.1,ui/gtk/{gtkinternals.h,gtkdisplay.c,gtkui.c}: allow scalers
         to set window size in GTK+ UI (patch #2790063 rkd77 and Fred, also
         resolves feature requests #1841504 and #1729198).
20090529 Makefile.am,README,compat.h,configure.in,hacking/ChangeLog,man/fuse.1,
         settings.dat,sound.[c|cpp|h],sound/{Blip_Buffer.[cpp|h],Makefile.am},
         tape.c,ui/options.dat,ula.c: switch from libsamplerate to Blip_Buffer
         (by Shay Green) for alias noise reduction for beeper and AY (Fred).
20090530 ui/gtk/gtkui.c: remove unused variable (Fred).
20090530 timer/timer.c: fixes for speed estimation (part of patch in bug
         #2688741) (Gergely Szasz).
20090530 configure.in: try harder to find libpng (Fred).
20090530 ui/gtk/gtkdisplay.c: don't allow double or triple size filters for the
         Timex machines (Fred).
20090530 display.c: fix border colour recorded in display_last_screen so it
         can handle bright borders like in Timex HiRes mode (fixes bug
         #2788244) (Fred).
20090531 ui/widget/options.pl: fix options widget drawing bug in segfault
         protection (Fred).
20090531 configure.in: seem to be trying too hard to find libpng (Fred).
20090605 disk/{beta.[ch]},machines/{spec48.c,tc2048.c},man/fuse.1,
         z80/{coretest.c,z80.c,z80_ops.c}: enable Beta 128 interface in 48K and
         TC2048 machines (thanks, Omikron) (Fred).
20090608 Makefile.am,ay.[ch],fuller.[ch],fuse.c,joystick.[ch],kempmouse.c,
         machines/{spec16.c,spec48.c,tc2048.c},man/fuse.1,periph.[ch],
         settings.dat,sound.cpp,ui/options.dat: add emulation of the Fuller Box
         (feature request #1764994) (Stuart & Fred).
20090608 sound.[cpp|h],sound/{alsasound.c,coreaudiosound.c,sdlsound.c}: allow
         sound to run from 2% speed up (patch #2799477) (Fred).
20090610 Makefile.am,ay.[ch],fuse.c,joystick.[ch],kempmouse.c,
         machines/{spec16.c,spec48.c,tc2048.c},man/fuse.1,melodik.[ch],
         periph.[ch],settings.dat,sound.cpp,ui/options.dat: add emulation of
         the Melodik and similar AY interfaces (feature request #1841501)
         (Fred).
20090611 sound.cpp: correct AY capability check (thanks, Stuary Brady) (Fred).
20090613 sound.cpp: ACB stereo fixes (Fred).
20090613 man/fuse.1,sound.cpp,ui/options.dat: tweak sound output options based
         on listening tests against real hardware, narrow options to a default
         similar to MIC output and one similar to the internal beeper (Fred).
20090613 disk/disk.c: support non-standard TRD images with 41-83 tracks per
         side (fixes bug #2805766) (Gergely Szasz).
20090625 display.[ch],machines/{pentagon.c,pentagon1024.c,pentagon512.c,
         scorpion.c,spec128.c,spec16.c,spec48.[ch],spec_se.c,specplus2.c,
         specplus2a.c,specplus3.c,specplus3e.c,tc2048.c,tc2068.[ch]},
         memory.[ch]: add support for Pentagon 1024SL v2.2 16 colour mode
         (Fred).
20090627 compat.h,compat/unix/file.c,compat/wii/{Makefile.am,file.c}: switch
         UNIX file compat routines to use the C standard file I/O, switch Wii
         to use the UNIX file routines (patch #2808481) (Gergely Szasz).
20090627 display.c: mark pentagon_16c_get_colour as inline and static (Fred).
20090706 machines/pentagon1024.c: initialise memory port before doing
         periph_update as that triggers a memory map call (Fred).
20090707 AUTHORS: Add Shay Green (Fred).
20090707 ChangeLog: chuck in a few entries as we go, mostly OS X port visible
         items at the moment (Fred).
20090710 disk/{fdd.c,wd_fdc.c}: save disk selected status over reset and
         reset motor or head when resetting WD FDC to fix Mr Gluck ROM handling
         on reset with a disk present (patch #2819220) (Gergely Szasz).
20090730 AUTHORS,ChangeLog,README,
         disk/{Makefile.am,beta.c,disk.c,opus.[ch],plusd.c,wd_fdc.[ch]},fuse.c,
         machines/{spec128.c,spec16.c,spec48.c,spec_se.c,specplus2.c,tc2048.c},
         man/fuse.1,memory.c,menu.[ch],menu_data.dat,periph.[ch],
         roms/Makefile.am,roms/opus.rom,settings.dat,tape.c,ui.c,ui/options.dat,
         ui/sdl/sdldisplay.c,ui/ui.h,utils.c,z80/coretest.c,z80/z80_checks.h,
         z80/z80_ops.c: add Opus Discovery support (patch #2823760) (Gergely
         Szasz and Fredrick Meunier).
20090731 disk/disk.c: tweak sector padding to fix ATC+Technician Ted.dsk Opus
         disk (thanks, Simon Owen) (Gergely Szasz).
20090803 man/fuse.1: tweak some details in the Opus and +D sections (Fred).
20090813 compat/wii/paths.c: Wii: Modified compat_is_absolute_path function to
	 recognize 'sd:/' prefix (Marek).
20090830 settings-header.pl,settings.pl: Minor correction to the perl code that
	 was creating duplicate 'Copyright (c)' string in generated c files.
	 (Marek).
20090830 fuse.c,ui/wii/wiidisplay.c: Wii: Moved filesystem init to main() where
	 it belongs (Marek).
20090830 utils.c,fuse.c,compat.h,disk/disk.c,input.c,README,settings.pl
	 ui/widget/{menu.c,filesel.c}: Wii: Use GEKKO macro instead of UI_WII
	 for non-UI code that needs to be compiled when compiling for Wii. This
	 will allow to compile Fuse for Wii either native or SDL UI (Marek).
20090830 Makefile.am,ui/win32/{options-resource.pl,confirm.c,options.pl}: Win32:
	 Fixes to compile fuse for win32 again (patch #2801706) (Gergely Szasz).
20090830 README: Win32: Added some instructions to README about cross-compiling
	 fuse with MinGW (patch #2801706) (Gergely Szasz).
20090831 menu.c,configure.in,menu_data.dat,settings.pl: Added ability to
	 read/write the config file in ini format in case libxml2 is not
	 present (patch #2801706) (Marek).
20090831 compat/unix/file.c: Added 'b' to mode argument of fopen in
	 compat_file_open - this is ignored for POSIX systems, but for others,
	 like Win32, it is neccessary (Marek).
20090831 Makefile.am: Win32: Fixed building the main resource file and made
	 sure it is rebuilt if any of the included resource files are rebuilt
	 (Marek).
20090831 windres.rc: Win32: Added version information to the executable
	 (Marek).
20090902 sound/coreaudiosound.c: add missing header and clean up some format
         warnings (Fred).
20090902 configure.in: apparently AC_TRY_COMPILE should just have the body of
         the function, which is placed inside main() (Fred).
20090902 z80/z80.c: NMI is intended to advance time (Fred).
20090902 display.c: remove unused variable start in copy_critical_region_line
         (Fred).
20090902 rzx.c: rzx_sentinel is intended to reduce tstates by
         RZX_SENTINEL_TIME_REDUCE (Fred).
20090902 tape.c: remove unused variable block from tape_play (Fred).
20090902 debugger/disassemble.c,printer.c: reduce GCC 4.2 string format warnings
         (Fred).
20090902 ui/win32/{options.pl,options-{resource,header}.pl}: Win32: Implemented
	 comboboxes in options dialogs (Marek).
20090903 disk/disk.c: remove a couple of unneeded settings of bpt (Fred).
20090903 ui/gtk/picture.c: use a compat_fd rather than an int (Fred).
20090903 debugger/{command.c,debugger_internals.h}: we put a size_t argument in
         the result argument of debugger_command_input rather than an int
         (Fred).
20090903 ui/win32/picture.c: use a compat_fd rather than an int (Fred).
20090916 README: change reference to CVS to be Subversion (Fred).
20091006 ui/uijoystick.c: only send a joystick button event if there has been
         an actual change in button state since last poll in the libjsw code
         (fixes bug #2863656) (thanks, Phil Reynolds) (Fred).
20091007 settings.pl: numeric settings don't need to be non-zero to save into
         the settings file (fixes bug #2873277) (thanks, Phil Reynolds) (Fred).
20091016 man/fuse.1: update link to ResiDOS homepage in fuse man page (patch
         #2875612) (Gergely Szasz).
20091019 disk/disk.c: correct mapping of sector length to SECLEN_* macros
         (patch #2875613) (Gergely Szasz).
20091022 disk/{beta.[ch],opus.c,plusd.c},ide/{divide.c,zxatasp.c,zxcf.c},if1.c,
         if2.c,machines/{pentagon.c,pentagon1024.c,pentagon512.c,scorpion.c},
         memory.[ch]: make each peripheral/machine that uses memory paged in via
         /ROMCS have its own copy of the relevant struct (part of patch
         #2880415) (Gergely Szasz).
20091113 man/fuse.1,menu.[ch],menu_data.dat: add a menu item with a hot key to
         allow full screen and windowed mode switching for SDL (feature
         request #1515888) (György Szombathelyi).
20091118 sound/coreaudiosound.c: replace some deprecated functions (Fred).
20091121 input.h,keyboard.[c|dat|pl],ui/widget/{browse.c,debugger.c,error.c,
         filesel.c,memory.c,menu.c,options.pl,picture.c,pokefinder.c,query.c,
         roms.c,select.c,text.c}: some notebooks wire the "standard" return
         key to the same keysym as enter on the number pad, so treat the two
         equivalently (thanks, Marce) (Fred).
20091215 Makefile.am,display.c,rectangle.[ch]: extract dirty rectangle handling
         to its own files (Fred).
20091215 man/fuse.1: fix typo (Fred).
20091216 configure.in: add a '--without-png' option for Gentoo (patch #2915091)
         (José Manuel Ferrer Ortiz).
20091227 fuse.c,input.c,menu.c,ui.c,ui/fb/{fbkeyboard.c,fbui.c},
         ui/sdl/{sdldisplay.c,sdlkeyboard.c,sdlui.c},
         ui/svga/{svgadisplay.c,svgakeyboard.c,svgaui.c},
         ui/ui.h,ui/widget/widget.[ch],ui/wii/{wiikeyboard.c,wiiui.c},
         ui/xlib/{xdisplay.c,xerror.c,xkeyboard.c,xui.c}: move widget UI hooks
         to the UI code, remove unnecessary #ifdef WIDGET_UI (patch #2918210)
         (Gergely Szasz).
20091230 ui.c: include widget.h for widget_init and widget_end definitions (more
         from patch #2918210) (Gergely Szasz).
20100107 ui.c: supply dummy ui_widget_init and ui_widget_end definitions (more
         from patch #2918210) (Gergely Szasz).
20100107 Makefile.am,configure.in,sound.[c|cpp],
         sound/{Blip_Buffer.[cpp|h],Makefile.am,blipbuffer.[ch]}: convert
         Blip_Buffer to plain C (patch #2922796) (Gergely Szasz).
20100116 disk/{disk.[ch],fdd.[ch],upd_fdc.[ch]},machines/specplus3.[ch],
         man/fuse.1,periph.c,settings.dat,ui/options.dat: add weak data handling
         capability so Fuse can deal with weak data if it present in the disk
         image (EDSK/UDI) (patch #2927624) (Gergely Szasz).
20100215 ui/gtk/gtkkeyboard.c: account for group setting on key events to make
         intertional keyboards work based on key positions rather than default
         symbol (patch #2951275) (Michal Jurica).
20100302 ui/gtk/gtkui.c: implement drag and drop support (patch #2961519)
         (Dmitry Semyonov).
20100506 debugger/{command.c,debugger_internals.h},ula.c: fix gcc 4.4 warnings.
20100515 disk/upd_fdc.c: fix valgrind warning.
20100515 ChangeLog: update.
20100516 ui/ui.h: include widget.h if we are going to refer to widget_finish()
         (Fred)
20100516 ui/widget/menu.c: supply a format to avoid warnings (Fred)
20100516 debugger/commandl.l: have a second go at eliminating warnings when
         calling debugger_command_input() on platforms where yy_size_t isn't an
         int in a way that works for platforms where it is (Fred)
20100519 disk/{beta.c,fdd.[ch],opus.c,plusd.c},machines/specplus3.c,
         settings.dat: extend 80 track drives to accept disks up to 84 tracks
         and 40 track drives to accept disks up to 42 tracks. Also add options
         to allow these limits to be overridden (fixes bug #3002653) (Gergely
         Szasz).
20100520 ChangeLog,README,configure.in,man/fuse.1: merge Release_0_10_0-branch
         changes from 0.10.0.2 onto trunk (Fred).
20100521 ChangeLog: remove duplicate entry (Fred).
20100522 sound.c: allow a little more treble in the TV Speaker mode (Fred).
20100527 sound/coreaudiosound.c: add some casts in output statements to avoid
         annoying warnings about format mismatches (Fred).
20100530 ChangeLog: remove another duplicate entry (Fred).
20100627 ui/gtk/gtkdisplay.c: ensure an appropriate scaler is selected when
         the Fuse window is resized by the user.
20100719 disk/disk.c: set track lengths when inserting a new disk (fixes bug
         #3031299) (Gergely Szasz).
20100819 disk/beta.c: correct writing of status and system regeisters to
         snapshots (Patrik Rak).
20100825 machine.c,machines/{Makefile.am,machines.h},tape.c: reintegrate
         NTSC Spectrum branch.
20100831 lib/[un]compressed/{disk_plus3.szx,tape_128.szx,tape_16.szx,
         tape_2048.szx,tape_2068.szx,tape_48.szx,tape_pentagon.szx,
         tape_plus2.szx,tape_plus2a.szx,tape_plus3.szx,tape_plus3e.szx,
         tape_scorpion.szx,tape_se.szx,tape_ts2068.szx}: swap A and F and A'
         and F' registers in autoload snapshots which were written when
         libspectrum still suffered from bug #2857419 (fixes bug #3040262)
         (thanks, Gergely Szasz) (Fred).
20100831 machines/spec48_ntsc.c: add some more peripherals and add display
         setup code (Fred).
20100901 lib/{[un]compressed/tape_48_ntsc.szx,Makefile.am}: add autoload
         snapshot for NTSC Spectrum (Fred).
20100905 tape.c: remove obsolete reference to munmap (Fred).
20100909 settings.pl: remove the 80 character limit in ini file settings
         names+values and change 256 char path lengths to MAX_PATH (patch
         #3013768) (Gergely Szasz).
20100912 menu.c,rzx.[ch]: query for an initial snapshot when opening a rzx file
         which doesn't have one as is common in competition mode rzx files
         (patch #3054536) (Sergio Baldovi).
20100912 configure.in,windres.rc: enhancements to Windows version encoding
         (patch #3061430) (Sergio Baldovi).
20100913 fuse.c,menu.[ch],rzx.[ch],utils.[ch]: extend RZX playback handling of
         files without initial embedded snapshots to cover File->Open, the
         command line and some miscellaneous RZX playback initialisation bugs
         (more from patch #3054536) (Sergio Baldovi).
20100919 ui/win32/installer/fuse.nsi: windows installer improvements; correct
         uninstall registry key, parameterise installation directory path, add
         version information fields, optionally register file types, make start
         menu shortcuts optional and add desktop shortcut (patch #3069264)
         (Sergio Baldovi).
20100930 ChangeLog,fuse.c,man/fuse.1,README: first updates for a "1.0" release.
20101002 lib/{compressed,uncompressed}/*.szx: update libspectrum signature in
         each file so we know they don't have the A-F swap bug.
20101003 README: small update to mention WoS forums.
20101006 configure.in: update header check for XShm.h (patch #3081497) (Gergely
         Szasz).
20101006 ui/gtk/{gtkkeyboard.c,gtkui.c,statusbar.c,stock.c}: use F1 as shortcut
         to open menus, set window dialogs as transient for the main window and
         set a fixed width for the emulation speed display (patch #3081729)
         (Sergio Baldovi).
20101007 ui.c: don't close a disk or mdr if a write fails (patch #3058156)
         (thanks, Crisis) (Gergely Szasz).
20101007 ui/widget/query.c: fix colour of dialog Cancel entry and correct action
         returned when cancel is selected (patch #3083619) (Gergely Szasz).
20101009 disk/{beta.c,disk.[ch],opus.c,plusd.c},if1.c,machines/specplus3.c,
         man/fuse.1,menu.c,menu_data.dat,ui.c,ui/ui.h: change "Eject and write"
         menu items to "Save" and "Save as" (patch #3083639) (Gergely Szasz).
20101010 configure.in: pad version number for Win32 if needed (patch #3084574)
         (Sergio Baldovi).
20101011 ui/gtk/gtkdisplay.c: resize window when machine selection switches
         between Timex and non-Timex modes (fixes bug #3084862) (thanks, Phil)
         (Fred).
20101025 memory.c: writable_roms preference shouldn't affect the 16K machine
         "empty" page (thanks, Andrew Owen) (Fred).
20101029 man/fuse.1: some updates to bring things a bit more up to date (Fred).
20101102 man/fuse.1: remove reference to fixed issue in RZX playback command
         line ordering (patch #3100707) (Sergio Baldovi).
20101129 ui/fb/fbdisplay.c: only call fbdisplay_end() when display is
         initialised (fixes bug #3119382) (rkd77).
20101129 ChangeLog,README,man/fuse.1: more 1.0 updates.
20101203 ui/fb/fbdisplay.c: improve fb colour handling and initialise scaler
         system (fixes bugs #3124787 and #3124788) (rkd77).
20101216 ChangeLog,README,configure.in,man/fuse.1: update for 1.0.0 release.
20101217 keysyms.pl: fix SVGAlib compilation (rkd77).
20101229 debugger/breakpoint.c: don't free temporary breakpoint until after we have run
         it (fixes bug #3084862) (thanks, Chris Cowley) (Fred).
20101230 debugger/breakpoint.c: stop evaluating breakpoints when we have hit a
         temporary breakpoint (really fixes bug #3084862) (patch #3142840)
         (Sergio Baldovi).
20110101 debugger/breakpoint.c: evaluate all breakpoints again, but store the
         next breakpoint before deleteing the current one from the list 
         (really really fixes bug #3084862) (thanks, Phil) (Fred).
20110109 ui/widget/filesel.c: make Amiga work again (Chris Young).
20110112 ChangeLog,README,configure.in,man/fuse.1: updates for 1.0.0.1 release.
